New Functionality

What's New In Version 6.0

The key features added to the product in this version are listed below. This is not an exhaustive list, but includes the main features and user requested enhancements.

New Features:

  • Online Design Rule Check - Checking for design rule errors is now much easier using the new Online DRC option, which checks for errors whilst you are adding or editing items rather than waiting until you've finished your design!
  • Single-shot plotting - The plotting and printing options have been extensively re-worked, allowing you to create complete plot jobs for your designs, and later re-use them to re-generate plots at the click of a button.
  • Library Wizards - New library items can be quickly and easily created using the new schematic symbol, PCB symbol and Component Wizards. These take you step-by-step through all the stages needed to create a wide range of component items.
  • DXF import - Shapes and text in AutoCAD DXF files can be imported into Schematic or PCB designs using the new DXF Import option.
  • Align Items - Groups of items can easily be lined up using the new Align feature. This allows you for example to align several components by their leftmost pin, or several shapes by their top edge.
  • Display SpeedBar - The Preview Bar has been enhanced to provide you with instant access to display and find features, including finding nets and components, loading colour files, and turning layers on and off.
  • Save/Load Colour Files - Commonly used colour settings can be saved to disk from the Display dialog and later reloaded, allowing you quickly switch between different views of the design. Used in conjunction with the new SpeedBar feature, this allows single-click switching of display views.
  • Swap Layer Mode - This new option, available from the [Edit] menu in PCB designs, provides you with the ability to quickly swap items between top and bottom of the board interactively. Swap Layer works just like the normal 'select' mode, but instead of simply selecting, the items are swapped to the other side of the board.
  • Optimise Vias - The Optimise Vias option examines all tracks that start or end on vias to see whether the via count can be reduced by swapping the track to the other side of the board. All such tracks are then swapped as long as they wouldn't cause design rule errors.
  • Net Completion - The new Net Completion report examines all the tracking in your PCB design, checking for any breaks or unfinished routing. Any breaks found are reported, allowing you to check that your design really is finished before generating your manufacturing outputs.
  • Show Owner - The component to which a component name belongs is highlighted when the name is moved.

    • User Requested Features:

  • Relative coordinates in Properties - All coordinates displayed on Properties dialogs can now be toggled between relative and absolute values.
  • Tool Bars - many more tools are now included on the application tool bar, and the tool bar itself has been split into fuctional groups for increased flexibility. Simply choose which tool bars you want to display, and where to position them.
  • Component previews in Libraries and Add Component dialogs - the small preview of the selected component has been extended to display both Schematic and PCB symbols, making it easier for you to confirm that you are adding the component you require.
  • Colour by net - in schematic designs, each net can now be given its own colour. For example, you can now have all your power nets red and your ground nets green, leaving all other nets in the default connection colour. These colours can be set up in your technology files, allowing you to re-use your standard settings for each new design you create.
  • Improved library Find - the Find dialog has been extended to allow you to search your libraries for items using wildcard name matching, pin count and component value.
  • Save All and Close All - as well as saving or closing single design files, you can now save or close all open files in one go using the new Save All and Close All functions.
  • Reload Design - the current design can be reloaded from disk, effectively discarding any changes you have made since the last time the design was saved.
  • Connected and Unconnected Pins - The Display dialog has been extended to allow connected pins in schematic designs to be suppressed, and to allow unconnected pins in PCB designs to be highlighted.
  • Colour of pin names and numbers - The visibility and colour settings for pin names and pin numbers are now independent of the setting for the pins themselves, including whilst viewing symbols in component edit.
  • Plotting symbols - Schematic and PCB symbols can now be plotted or printed in the same way as actual schematic or PCB designs.
  • Suppress thermal vias - Thermal isolation and relief for vias on powerplanes can now be suppressed.
  • Suppress pins on schematic plots - Output of pins on schematic plots can now be prevented using a switch on the plot dialog.
  • Rotate Gerber macros clockwise - Most Gerber front-end software assumes that rotation applied to macros operates counter-clockwise. A new option has been added to the Gerber setup to provide for those few packages that rotate macros clockwise.
  • 'Fixed' flag in Properties - A checkbox has been added to the properties dialogs for Text, Shapes, Pads and Board to allow these items to be 'fixed' so they cannot be accidentally moved.
  • Net total length - The Net Properties dialog now shows the total track length of the net.
  • View Selection - This will zoom the display to the extents of the current selection.
  • Component name visibility - The default visibility of names used in the component can already be defined at the component edit stage. This has been extended to allow the visibility for both Schematic and PCB designs to be defined separately.
  • Pin name characters - The restriction on the characters allowed in pin names has been removed.


Menus

Easy-PC uses the standard Windows menu system.

All menus may be accessed directly with the mouse, with cascaded menus opening after a pause on the relevant entry on the previous menu. The top level menus may be accessed using the key combination <Alt+(underlined letter)>.

Menu entries can be accessed either by typing the underlined letter for the desired function, or by using the cursor keys followed by

Not all the functions described below are visible at all times. In most cases they are context sensitive, and will not appear if, for example, a file has not been loaded. Easy-PC also has a number of context-sensitive Popup Menus.

Easy-PC For Windows uses standard operations wherever possible, e.g. [Open] is always found on the [File] menu, [Cut], [Copy] and [Paste] are always found on the [Edit] menu etc.

The top level menus are (as they appear on the menu bar):


Shortcut Keys

In addition to the menu commands, many operations are also possible with direct keyboard input. A few commands are accessible only with the keyboard. The following list describes the commands in the order of the context in which they are active.

Easy-PC For Windows shortcut keys

Windows Commands

The standard Windows commands are briefly summarised here.

F1 - Displays on-line Help system.
PrntScn - Paste full screen to clipboard.
Alt-PrntScn - Paste active window contents to clipboard.
Alt-F4 - Close application.
Alt-Enter - The Windows function of this command has been disabled as it is used internally by Easy-PC for Windows.
Alt-Esc - Cycle through programs in order.
Alt-PrntScn - Paste active window to clipboard.
Alt-Spacebar - Open [System] menu.
Alt-Tab - Switch to next application.
Ctrl-F4 - Close current file.
Ctrl-Esc - Open [Start] menu.
Ctrl-C - Copy.
Ctrl-X - Cut.
Ctrl-V - Paste.
Ctrl-Z - Undo.
Ctrl-Y - Redo.
Ctrl-Insert - Copy.
Shift-Delete - Cut.
Shift-Insert - Paste.

Global Commands

F2 - Activates 'Add Track' in PCB or 'Add Connection' in Schematics.
F4 - Activates 'Add Pad'.
F6 - Activates 'Add text'.
F8 - Activates 'Add 'Component'.
Down arrow - Moves cursor down one grid step.
Left arrow - Moves cursor left one grid step.
Right arrow - Moves cursor right one grid step.
Up arrow - Moves cursor up one grid step.

1 to 9, and 0 - Set zoom levels. 1 has the greatest magnification, halving until 0 is reached. Because of a restriction within Windows 95/98/ME, the ratio of: working area : smallest pixel size is 32768 : 1. In practice this means that to use zooms 1, 2 and 3 it may be necessary to restrict the working area. The program will beep if it cannot reach the requested zoom. It will zoom in to the maximum figure, nonetheless. This restriction does not apply to Windows NT and 2000 which have a higher zoom ration by a factor of 4.

A - Zoom all. This will zoom to the level at which the drawing just fills the window.
C - Change cursor type.
Ctrl-F - Zoom to frame. Following this command, the program will wait for the required frame to be drawn before zooming. All the frame contents, plus any additional area necessary to maintain the aspect ratio is included.
Ctrl-H - Highlight selected net.
Ctrl-S - Save.
G - Toggles grid on and off.
H - Displays snap mode shortcut menu.
Ctrl-N - Creates new design. Files already open are left unaltered.
O - Sets the relative origin.
Ctrl-O - Opens an existing file using the file browser. Other open files are unaffected.
P - Pan screen by cursor offset from centre.
Ctrl-R - Forces screen redraw.
Shift-O - Goto relative origin.
Shift-R - Toggles between relative and absolute co-ordinate display.
Ctrl-S - Saves current design, which remains open for editing.
T - Go to next design rule error.
U - Unzoom; Zoom out to half the previous magnification.
V - Go to previous design rule error.
X - Enters the current application into cross probe mode.
Z - Zoom; Zoom in to twice the previous magnification.
Alt-Backspace - Undo.

Commands active whilst editing

Alt-Enter - Displays the properties of the selected item. Note that this will not work if multiple items of different types are selected.
BackSpace - (Line and track segment mode only), delete current segment.
Del - Delete all selected item(s).
End - (Line and track segment mode only), go to end segment.
Home - (Line and track segment mode only), go to start segment.
PgDn, Page Down - (Line and track segment mode only), go to next segment.
PgUp, Page Up - (Line and track segment mode only), go to previous segment.
D - Duplicate selected item.
Ctrl-D - Toggle optimise during component move.
E - Disconnect end segment during track editing.
F - Flip selected item(s).
I - Line and track mode only, invert direction.
L - Change layer of selected item.
M - change segment mode, (Line and track segment mode only).
R - Rotate selected item by default angle.
S - Change style of selected item.

Shortcut Keys for Easy-PC DOS users

You can select two settings for the shortcut keys available: the Easy-PC For Windows setting and the old Easy-PC DOS setting. This will enables users who are used to the old shortcut keys to continue using the majority of them. There are some small exceptions, for the F1 key for example, which is always Help under Windows but an alternative in F11 has been provided (see below).

This is available as a setting on the [Settings] menu under [Preferences] on the [General] tab. Select the [Use EASY-PC DOS Shortcuts] option to enable this option.

The standard Windows keys for Cut/Copy & Paste are still available but shortcuts such as Ctrl-O have been replaced by Shift-F7 etc.
Some extra functionality has been added for the DOS compatible shortcuts:

F3 selects free pads under the cursor
F5 selects text under the cursor
F7 selects components under the cursor
F9 switches between PCB & Schematic designs
F10 starts frame select
F11 edits tracks or shapes under the cursor. (Note that this was F1 in the DOS product but F1 must always be Help in Windows products).

Some changes have been made to existing shortcut keys (when using this new mode):

H will be M
Ctrl-R will be Alt-R
Alt-O is Optimise
Ctrl-S will be Shift-F5
T will be Alt-T
V will be Alt-v


Changing The View

Zoom

To Zoom in, use the [View] [Zoom] command. When using the menu Zoom command, the design will be zoomed at the centre position of the screen regardless of where the design is. You can also use the Z key on the keyboard as a shortcut.

The Zoom feature is also available on the mouse wheel if fitted. To Zoom in, roll the mouse wheel forwards.

Unzoom

To Zoom out (called Unzoom) use the [View] [Unzoom] command. Remember that the design will unzoom to the cursor position. You can also use the U key on the keyboard as a shortcut.

The Zoom feature is also available on the mouse wheel if fitted. To Unzoom (Zoom out), roll the mouse wheel backwards.

Shortcut Keys For Zoom and Unzoom

1 to 9, and 0 - Set zoom levels. 1 has the greatest magnification, halving until 0 is reached. Because of a restriction within Windows 95/98/ME, the ratio of: working area : smallest pixel size is 32768 : 1. In practice this means that to use zooms 1, 2 and 3 it may be necessary to restrict the working area. The program will beep if it cannot reach the requested zoom. It will zoom in to the maximum figure, nonetheless. This restriction does not apply to Windows NT and 2000 which have a higher zoom ration by a factor of 4.

Also see: Pan
Also see: Frame
Also see: Refresh

Sometimes, Zoom will not zoom you in close enough to the design area required, in this instance use the [Working Area] and [Best Fit] command to make the design area smaller.
Also see: Working area


How To...

This section details different functions within the application and how to use them.

How to Find Nets in a Layout

[Goto] [Net] and select the net from the list, This places the net - suitably highlighted in the centre of the display area. Or, use [View] [Highlight] [Net] in just the same way. Note that both methods can be used at the same time enabling any two nets to be highlighted in different colours. This can be very useful when positioning components prior to routing. The high lights can be re moved using the same [View] [Highlight] or [View] [Goto] menu.

How to Find a Component in a Design

Use [View] [Goto] [Component] select the component required from the drop down list. The component is high lighted and the screen view panned to position the component in the centre of the window.

How to use Cut, Copy and Paste

Cut works very similarly to delete with the exception that cut object(s) are placed in the clip board and can be pasted else where into the de sign OR into other Windows based applications like Word, Paint brush, Corel Draw etc. If the object is a graphic - like a component symbol it will be pasted as a graphic. If it is a text string it will be pasted as such.

Copy and Paste are much more complex. Copying or pasting a section of a schematic into a schematic, it is necessary to sort out component numbering and net name conflicts. In Easy-PC, numbered nets are automatically given new net numbers to avoid all of the components simply being connected in parallel with their originating components. Named nets like Vcc and Ground will usually need to retain the original names but some named nets like "Out put Channel 1" would need to be al located new names. All of this is handled. You are given the choice of allocating new names to all of the named nets either as a group or individually. Note that component references R1, C3 etc., are automatically incremented above the highest used in the receiving de sign. You can only paste "like for like", you can not paste a section of schematic into a PCB.

Note that paste does not yet allow pasting between multiple Schematics in a Project. This will be added in a future revision of Easy-PC. At present you must ensure that no component references are re-used in different schematics within a project.

The procedure for using Cut, Copy and Paste to other (non Easy-PC) Windows applications is: - Select the objects to be operated on using either click and drag from a clear area of the drawing or using click and control click in select mode. Then use [Edit] [Cut] or [Edit] [Copy] as appropriate. This places the selected items in the clip board. Move the cursor into the appropriate receiving window and select paste in that window. The objects will be pasted in as a bitmap in the same colours as they were in Easy-PC DOS.

The procedure for using Cut, Copy and Paste within Easy-PC is: - Select the objects to be operated on using either click and drag from a clear area of the drawing or using click and control click in select mode. Then use [Edit] [Cut] or [Edit] [Copy] as appropriate. This places the selected items in the clip board. Move the cursor into the appropriate receiving window and select [Edit] [Paste]. Answer the questions about the net naming conflicts as required and the objects will be pasted in.

How to add a component to a schematic and then modify the corresponding PCB

This is best described by an example i.e. to add a diode to a design - to clamp a voltage swing, say.

First en sure that both schematic and PCB have identical connectivity using the PCB Integrity checker.

Then save the designs under a new name to allow you to go back to the old design if required.

Add the diode to the new schematic making sure that it is the correct way round and save the design. Load the PCB of the same name and run the integrity checker. This gives the modifications required to the PCB to bring it in line with the schematic. It will tell you to add the Diode and to add the pads of the diode to the appropriate nets. Note that all components have pin numbers. It is important to connect the correct pin numbers to the appropriate nets. Print out the results and use this information to up date the PCB.

Hint: If you click on a connection, the status bar shows the pin number you selected.

Start by adding the diode to the PCB. Initially place it OFF the board. Temporarily use [View] [Display] [Pin Numbers] checked to display pin numbers on the diode. Use [View] [Goto] [Net], entering the name of the net that pin one of the diode is to be connected. see to which net pin one of the diode needs to be connected Use [Add Connection] to make the connection and repeat it for the other end of the diode. Running the integrity checker should now con firm the connections have been made correctly.

Now position the diode and convert the nets to tracks in the normal way either manually or using the autorouter.

The same procedure applies to more complex changes - First always save under a new name. Check integrity is OK; make changes to the schematic, save, run integrity checker. Use the integrity check information to make modifications to the PCB. Finally check with the Integrity checker again to confirm that the changes were correct.

Deleting components and changing components works in exactly the same way.


Support

Getting Support

Dedicated support by trained staff is available between the hours of 10:00AM and 4:00PM (UK Time) Monday to Friday for all registered users of Number One System programs.

Support will only be given if your User Registration Form has been completed and returned to Number One Systems. You must also have the current major version of the program, but not necessarily the most up-to-date patch. If you are advised to update the program to the latest patch, these can be downloaded from our web site at www.numberone.com/downloads. We cannot support any previous versions of the program.

Contacting Support

The support desk can be reached on 01480 382538 or by email on support@numberone.com.

Calls to the sales office cannot be transferred to the support desk.

On-site Visits

On-site visits for support are not undertaken in any circumstances. If you require a visit by one of our engineers it will be quoted for beforehand, and charged for at our consultancy rates. Under these conditions, you would be informed of the charges before the visit is made.


Web Access

Number One Systems web site can be reached at www.numberone.com

Also see: Number One Systems


Copyright

Copyright For Easy-PC For Windows

Copyright © 1980 - 2002 WestDev Ltd. All rights reserved. E & O E


Add Board

This option is used to add a board outline to the PCB design. It is not available in Schematics.

Board outlines (or Profiles as they are sometimes called) can be saved as part of a Technology File, or can be created using the [Add Board] [Rectangle/Polygon/ Circle] functionality and adding directly to the design.

The Add Board icon on the toolbar uses the [Add Board] [Polygon] function by default. If you need a circle then you will use the [Add] menu and [Add Board] [Circle] option and likewise with the Add Board Rectangle option if you require a rectangular board outline.

Sometimes, Zoom will not zoom you in close enough to the design area required, in this instance use the [Working Area] and [Best Fit] command to make the design area smaller.
Also see: Working Area


Add Component

Adding Components

Adding Components to Schematics

The first necessity with any new design is some components. These can be added using [Add], [Component], or using the [Add Component] button on the toolbar:

A browser screen opens. When the 'Library' box is unchecked, a listing of any components already used in the design is shown. If the 'Library' box is checked, the contents of the current library appear in the lower window. Use [Browse] to select a library. Main.cml is an omnibus library containing all the contents of the other libraries supplied with the program.

Either type the name of your required device in the 'Component' box, or click on the down arrow and type the first character(s). The window will scroll to match, making selection easier. Select the device and the target package type, (remembering to check the placement reference) and it will appear at the cursor. Left click to place it.

With multiple gate packages, gate 'a' will first appear under the cursor, then gate 'b', and so on until all are placed.

You can also use the Component Bin and Preview Bar when adding components.

Adding Components to PCB

The process of component placement in a PCB design is identical to that for a schematic, with the minor difference that different package types will place different footprints. Changing the package type once the component has been placed is not just a simple matter of changing the entry in its properties.

You can also use the Component Bin and Preview Bar when adding components.

Also see: Preview Bar
Also see: Component Bin


Add Connections

Working with Connections and Tracks

Easy-PC uses three distinct terms to refer to the links between component pins. A connection is an indication that two component pins are connected together. It is shown as a line on both schematics and PCB's. On a schematic, a connection can be positioned so as to create a neat circuit diagram; on a PCB, a connection is always shown as a straight line linking the pins. A PCB containing only connections is displayed as the familiar "rat's nest". Tracks only appear on PCB's and form the physical links between pads which can have physical properties such as width and layer. A Net is a collection of all the connections or tracks that are connected together and carry the same electrical signal.

This Help section describes how to add and edit Connections, Tracks and Nets.

Schematics

Joining two component terminals with a connection

The mechanism for making connections in a schematic has been improved to allow for single click working. Under [Settings / Preferences / Interaction], if the “Stitch” Connections / Tracks box is NOT checked connections can be started and finished on a single click. – Ideal for simple circuits without many daisy chained connections. If the box IS checked, connections are stitched between clicks on component connections.- Ideal for complex work where a net is connected to many components.

The following description is for operation with the “Stitch” Connections / Tracks box checked

To make connections between two component terminals in a schematic click on the [Add / Connection] button.

Click the left mouse button on the first component connection point, then move the cursor to take the connection over to the second and subsequent component connection points. Connections are made on the components and corners can be fixed on the way by clicking the left mouse button. On arrival at the final connection point double click the left mouse button on the component terminal and the connection will end and release the cursor. A little practice will soon give you the idea.

If the “Stitch” Connections / Tracks box is NOT checked then connections between component pins are simply added by single click at start and finish. If the connections are to be daisy chained then two clicks are required at each intermediate connection.

Giving a connection a Net Name and Net Class

The connection can be given a Net Name by selecting any point on the connection (Click on the Select button then click the left mouse button on the required connection. This will cause the section of the connection to be highlighted. Click on the Properties button to bring up the Properties - Connection dialog. Under the Net tab you can select from any of the existing Net Names or add a new one for this connection. If you use a Net Name that has already been used in the design, then these nets will automatically be joined when you translate to PCB. You can also select a Net Class - this is used by the PCB section of the program to define track widths and clearances, etc.

Adjusting the route or position of connections

Any connection line can be moved simply by switching to [Select] mode then clicking and dragging the connection line to the required position. All of the angles will adjust automatically. Remember that click and drag means press the left mouse button then, while still holding it down, move the mouse to get the require position, then release the mouse button. Click and drag on a corner of a connection, moves the corner and the connections going to it.

In [Select] mode additional corners can be added into a straight connection by double clicking any where on the connection and moving the mouse and hence the resultant new line to the required position.

Unwanted “staircases” can be removed simply by dragging a step to be in line with another. – When two elements of a connection are perfectly aligned they combine and become a single element. Unwanted stubs can be removed simply by clicking and dragging the end back over itself.

Joining a component terminal to a connection (T-junctions)

Select the [Add Connection] button then single click on the component terminal and move the cursor to the required connection line. Double click to make the connection and accept the name of the net being joined to in the Join Nets dialog.

Joining a connection in mid-segment to a component terminal (T-junctions)

Select the [ Add Connection] button then single click on the connection segment, then move the cursor to take the connection over to the component connection point. If the initial angle of the line is along the existing connection – hitting the “F” key will FLIP the angle to be at right angles. Corners can be fixed on the way by clicking the left mouse button.. On arrival, double click on the component terminal and the connection will end and release the cursor.

Note that the connection will have picked up the Name, Net Style and Net Class information from the initial connection.

Changing the width of Schematic connections

To change this globally in a schematic change the style. Use [Settings / Styles / Connections]. To change it locally, select the connection required then use RHM key [Style] to select a different style or to add a new one.

PCB

There are two different scenarios with PCB's The most usual one is the PCB layout that has come from an Easy-PC schematic. The second one is where a user is creating a PCB layout from scratch without the use of an Easy-PC schematic. The connections can be manually added from a paper schematic or from lists of components and their net connections.

Options

The mechanism for editing tracks in PCB mode can be set up in [Settings / Preferences / Interaction / PCB Track Segment mode]. The options are Fillet, Free, Mitre, Orthogonal or Right Angle.

Fillet Puts in 90 degree arcs at each bend

Free allows totally free angles

Mitre puts in 45 degree corners and

Orthogonal and Right angle provide two subtly different means of having 90 degree corners –

Try them and choose your preference.

Most designers will use either orthogonal, right angle or Mitre for most of the time, only using free or fillet if the layout requires it. It is very easy to convert 90 degree corners to mitres.

Working from a translated Easy-PC schematic

The advantages of using the translate to PCB procedure from an Easy-PC schematic are that connectivity and net classes and therefore track widths and styles can be defined at schematic stage and that the connectivity of the final PCB can be compared with that of the originating schematic, thereby minimising the risk of errors.

Converting nets to tracks automatically - Autorouting

This can be done with one of our optional MultiRouter autorouters. If you have MultiRouter the layout can be routed totally automatically. MultiRouter II, MultiRouter IV and MultiRouter VIII can automatically route on up to two, four and eight layers respectively. The track width parameters and design rule clearances are automatically defined by the net classes allocated during creation of the schematic. Depending upon the complexity of the board, MultiRouter can usually save many hours and even days of manual routing and produce excellent results. Critical areas of a layout like RF, high speed or sensitive low level sections or power connections can, if required, be routed manually first and the rest of the board routed totally automatically. See Getting the Best out of MultiRouter.

Converting Nets to tracks manually

Nets are converted to tracks by double clicking on the net near to one of its end pads. The net between the nearest pad and the cursor is converted to a track of the dimensions defined in the Net Class / Style and locked to the grid as defined by [Settings / Grids / Working Grid / Snap Mode]. Move the cursor along the route that you wish the track to take clicking at appropriate points to fix the track into position. When the route is complete, a double click anywhere along the track fixes the whole track from start to finish in position. When converting nets to tracks, there is NO NEED to go to the final connection point.

Modifying tracks

Clicking (hold down) and dragging it can modify the position and run of a track. Additional orthogonal or 45 degree segments can be added to a track by double clicking on the track and then moving the cursor with the mouse. The new section of track always starts at the end of the track nearest to the cursor. Orthogonal corners can be converted to mitres by double clicking on the corner and moving the cursor in the direction of the mitre. Mitred corners can be modified or converted to orthogonal corners by double clicking on the mitre and moving the cursor in the appropriate direction. An existing mitre can be moved by single clicking on it and dragging it.

Curved tracks

In select mode, any segment of a track can be converted to a curved track. Select the track segment to be converted, press the right mouse button, select arc from the menu and the desired included angle for the arc. In free mode the arc moves in and out with the cursor.

Adding PCB nets manually (independent of an Easy-PC schematic)

The mechanism for making net connections in a PCB has been improved to allow for single click working. Under [Settings / Preferences / Interaction], if the “Stitch” Connections / Tracks box is NOT checked connections can be started and finished on a single click. – Ideal for simple circuits without many daisy chained connections. If the box IS checked, connections are stitched between clicks on component connections.- Ideal for complex work where a net is connected to many components.

The use of Easy-PC in this way has the big disadvantage that connectivity cannot be checked against the schematic. However for those that need to, track widths can be defined prior to routing by allocating appropriate Net Classes as the nets are connected. The default net class and styles are set in [Settings] [Remembered Styles].

Component pads can be connected by a net by selecting [Add Connection], clicking on a component pad and moving to the other pads in turn and clicking on them. Clicking the right mouse button [Cancel] finishes the process. Each net can be allocated a Net Class to define the resulting track width, style and clearances using [Select / Right Click / Properties / Net / Class]. Nets can then be converted into tracks as above, or with MultiRouter.

Adding tracks manually (independent of an Easy-PC schematic)

Joining two or more component pads with a track

To add a track joining component pads in a PCB, click on the [Add / Track] button.

With [Stitch] mode set, click on the first component connection point, move the cursor using occasional single clicks on the way taking the track over to the other component connection points. On arrival, double click on the final component terminal and the track will end and release the cursor

Giving a track a Net Name

The manually added track can be given a Net name by selecting any point on the track by clicking on the Select button, then on the required track. This will cause the section of the track to be highlighted. Click on the Properties button to bring up the Properties - Track dialog. Under the Net tab you can select from any of the Net Names or add a new one for this track.

Modifying Tracks

Any track can be moved simply by switching to [Select] mode then clicking and dragging the track line to the required position. All of the angles will adjust automatically

Additional direction changes can be added into a straight track by double clicking anywhere on the track and moving the mouse and hence the resultant new line to the required position. Track Width can be changed by selecting the track segment and pressing the right mouse button. This brings up the track edit menu. Select [Style] and (preferably) select another style or enter the new width required. The change can be applied to all segments of the track by checking the [Apply to all Segments] check box.

Use - click to select several segments for modification at the same time.

Joining a component pad to a track

Select the [Add Track] button, then single click on the component pad and move the cursor to the required track. Double click to finish the track and accept the name of the net being joined to in the Join Nets dialog.

Joining a track mid segment to a component pad.

Select the [Add Track] button then single click on the track segment, move the cursor using occasional single clicks on the way to fix the route, taking the track over to the required component pad. On arrival, double click on the component pad and the track will finish and release the cursor.

Note that the new track has automatically picked up the net style and net class information from the initial track.

Using arcs

Track segments can be converted to arcs using [Select], clicking on the track segment, then selecting Arc from the menu. There is a choice of arc included Angles and Free.

90-degree arcs can also be used when converting nets to tracks or laying down new tracks. While laying down a track, press the right mouse button, select [Segment / Mode Fillet] and this will automatically put curved fillets at each right angle bend


Add Copper Area

A Copper area is used to define a boundary in which the copper is to be poured. Using these areas as templates for pouring provides the ability to re-pour areas and to clear blocks of copper within that area. It also allows net association to be made where connection of the copper to a particular net, optionally with thermal relief, is required.

The Add Copper Area feature is located on the Add menu. Copper Areas can only be added to an electrical or power plane layer. They cannot be added to non-electrical layers. When inserted, these areas are added to the current layer which can be changed using the <L> key.

To add a Copper Area, select the area type of Rectangle, Polygon or Circle and draw the shape required. Copper Areas can be modified using the same editing methods as any other shapes or areas in Easy-PC For Windows.

When the final shape has been completed, select it using the right hand mouse button and you will be presented with a context menu of commands applicable to Copper Areas. Most important are the Pour Copper and Clear Copper options which control the addition and removal of copper pour shapes.

As their names suggest, Pour Copper is used to create the poured area and Clear Copper is used to remove areas of poured copper from the design.


Add Gate

This option opens a dialog to select a schematic symbol to be added as an extra gate. It is used to build symbols from dissimilar gates.


Add Menu

This menu changes the edit mode from selecting existing items to adding new ones. It is cancelled with the Select toolbar icon, or by selecting [Cancel] from the item properties (Right button) or simply by clicking the escape key on the keyboard [ESC].

Shape

This entry is used to generate outline or filled shapes used on electrical or non-electrical layers (such as silkscreen layers).

When Shape is selected, you can add it as a Rectangle, Polygon or Circle.

Board

This item only appears for PCB designs. A board outline is used to define the outline of the board you require to manufacture, it should define the edge of the board after cropping or profiling.

When Board is selected, you can add it as a Rectangle, Polygon or Circle.

Routing Area

This item only appears for PCB designs. When a polygon is used to define the routing area, it is always closed and unfilled. Routing areas can be defined for use with Easy-Router where a specific routing area is required. A routing area must be defined if the MultiRouter is being used.

When Routing Area is selected, you can add it as a Rectangle, Polygon or Circle.

Copper Area

This item only appears for PCB designs. When a polygon is used to define the copper area, it is always closed and unfilled. Copper areas can be defined for use copper pouring is required.

When Copper Area is selected, you can add it as a Rectangle, Polygon or Circle.

Text

This adds text to the design. A dialog is displayed for entering the text, when the OK button is clicked the text follows the cursor until it is placed in its final position. Click the right mouse button to change its size, style and orientation.

Component

This places a new component which is chosen from a browser window. The browser allows the library, component, package, and reference name to be specified.

Connection

This starts drawing a connection from the point selected with a left button click. The existing snap and angle modes are used.

A connection is a logical point-to-point connection between two electrical pins. The connection is converted into a copper track which then becomes a physical point-to-point connection. In schematics the connection can be drawn orthogonaly for better definition and clarity on the drawing, it is still only a logical connection between two or more points.

A connection in PCB can only be between two or more points and is always shown as a straight line i.e. the shortest distance.

Pad

This entry only appears for PCB files. The pad is placed at the cursor position. The style can be changed by clicking the right mouse button.

Track

This entry only appears for PCB files. The track is started at the cursor position by clicking the left mouse button. The style can be changed by clicking the right mouse button.

Bus

This entry only appears for schematic files. It is similar to the connection menu entry in that it draws lines from the initial cursor position following a left mouse button click.

Reference Origin

This entry only appears when creating or editing a symbol. It is used to specify the default position of the placement reference.

Gate

This option opens a dialog to select a schematic symbol to be added as an extra gate. It is used to build symbols from dissimilar gates.

Package

This option opens a dialog to select a package type and a second dialog to select a PCB symbol to be associated with it. It is used to add additional PCB footprints to a component.


Add Package

This option opens a dialog to select a package type and a second dialog to select a PCB symbol to be associated with it. It is used to add additional PCB footprints to a component.


Add Pad

In most cases, the pads used in a design are part of components, and were specified when the relevant symbol was created. Occasionally, however, free pads are used. The commonest use is for mounting holes, but an autorouted board will also use them as vias.

There are two ways to place a free pad. Either use [Add], [Pad], or click on the [Add Pad] button in the toolbar. The last used pad style appears. Right click to adjust the layer and style. Any or all electrical layers can be used. [Style] controls the pad shape, width, length, and hole diameter. The length can only be adjusted when an asymmetrical shape has been chosen. [Rotate] changes pad orientation. As well as the four basic quadrants, pads can be rotated anticlockwise by odd amounts. The size of this rotation is configured in [Settings], [Preferences].

Vias are automatically generated when a track changes layer. Although they are automatically generated their size and shape can be adjusted from [Settings], [Remembered Styles], [Vias].


Add Reference Origin

Reference Origin

This entry only appears when creating or editing a symbol. It is used to specify the default position of the placement reference.


Add Routing Area

A Routing area is used to define a boundary in which the router will operate. This boundary is layer dependant and will restrict the router to not allow tracks to cross ther boundary.

The [Add Routing Area] feature is located on the [Add] menu. Routing Areas can only be added to an electrical or power plane layer. They cannot be added to non-electrical layers. When inserted, these areas are added to the current layer which can be changed using the <L> key.

To add a Routing Area, select the area type of Rectangle, Polygon or Circle and draw the shape required. Copper Areas can be modified using the same editing methods as any other shapes or areas in Easy-PC For Windows.

When the final shape has been completed, select it using the right hand mouse button and you will be presented with a context menu of commands applicable to Routing Areas.

Also see: Rectangle, Polygon, and Circle


Add Shape

Adding Shapes to PCBs

Shapes can be added in Schematics and to the PCB. In both applications, the [Add Shape] option is available from the [Add] menu.

Adding Shapes to Schematics

There are several shape variants possible. They may be open or closed. If closed, they may be filled or unfilled. To assist with drawing them, [Rectangle] and [Circle] options are provided as well as the [Polygon] shape.

To add a shape select [Shape] from the [Add] menu, and choose the style. While drawing the shape, right clicking brings up a popup menu.

The [Add Shape] button always creates a polygon, but if you use the menus you will have a choice of [Circle], [Polygon] or [Rectangle].

Adding Shapes to PCB

There are several shape variants possible. They may be open or closed. If closed, they may be filled or unfilled. To assist with drawing them, [Rectangle] and [Circle] options are provided as well as the [Polygon] shape.

To add a shape select [Shape] from the [Add] menu, and choose the style. While drawing the shape, right clicking brings up a popup menu.

The [Add Shape] button always creates a polygon, but if you use the menus you will have a choice of [Circle], [Polygon] or [Rectangle].

Shapes in PCB can be electrical and non-electrical depending on the layer in which they appear. A menu appears by right clicking, the [Layer] option opens a dialog with a drop down list box showing all layers currently available in the design. You select one of these to make the layer choice.

In addition to the variety of normal shapes possible using Easy-PC, there are also three specialised applications in PCB designs. These are the use for creating Board outlines, Routing Areas and Copper Areas.


Add Text

With both Schematic and PCB designs you can add text. The text style is defined in the [Settings] [Styles] [Text] dialog. The style can be a 'stroke' Easy-PC font or a TrueType system font as installed on your Windows system.

Adding Text to PCB's

Adding text to a PCB design is similar to adding to a schematic. (See Adding Text to Schematics). The only difference is that a new item, [Layer], appears with a right click. This offers a pick list of all current layers. Text cannot be defined as all layer.

TrueType fonts can be used in both Schematic and PCB designs. When using these fonts in the PCB design, consideration must be made to how the boards will be manufactured. If TrueType fonts have been used for text which appears on the final board as copper text or silkscreen, then its quality must be considered. When plotted through a photo plotter, the strokes used for the font, including any serif, will be plotted using the smallest aperture available. If using a Thou unit as the design units and a precision of 3, then a 1 thou aperture can be used to draw the font. In most instances, this will be marginal as to whether it is acceptable or not. A font such as Arial, which is a san-serif font might be more acceptable when plotted than say Times New Roman. The same consideration must be made if the output is directed to a pen plotter, although this is more critical as you must allow for the smallest pen size available as well. Obviously, for Windows printing outputs the font will print to the expected quality.

Adding Text to Schematics

Add text to the design or symbol library item using [Add], [Text], or use the [Add Text] button on the toolbar.

A dialog opens up prompting for the text string to use. Accepting the text places a mobile copy at the cursor. Right clicking now accesses a menu to change the text style (character height and line thickness), to rotate or cancel. [Rotate] offers a choice of each of the four principal axes, or a rotation anticlockwise by the default Rotation Step. This default rotation is defined using [Settings], [Preferences]. Once placed with a left click, another dialog opens automatically for the next text string. [Cancel] ends the operation.

Also see: Styles

Terminology: A stroke font is made up of small ‘drawn’ line segments of a given width, whereas a TrueType font is one of the installed Windows system fonts available on your system. Where a font is described as Sans-serif this means: serif being the ‘curly’ parts of the font, and ‘sans’ being the French word for no.


Add Track

Tracks are the result when connections are converted to physical entities. They may also be placed ‘on-the-fly’ if desired. In many ways they behave like connections in schematics, but with a few differences. These are that they need not run between connection points, and they may change layer (with all that implies with vias and connectivity).

The usual way to add a track is to double click on a rubberbanded net. (Single click, right-hand click, then [Place] has the same effect.) This converts the connection to track. For most of the editing commands, please refer to Adding Connections to Schematics. The exception is layers. This is accessed when placing track by right-clicking and selecting [Track Layer]. The dialog shows the current layer, which may be changed from a pick list. If a new layer is chosen, a check box gives the option of applying it to all segments of the new track. Should only one segment be changed, a via is automatically created at each end. The exceptions are when an end is either free and unconnected, or if a pad with a through hole already exists at that point.

For more information on vias, see Add Pad.


Adding Busses to Schematics

A bus is a special line mode allowing the quick, convenient generation of bus structures. A bus ‘knows’ the names of all the nets attached to it, which helps to avoid errors. Busses can be Open or Closed depending on how you use them, it is recommended that you use Closed busses.

A Closed bus means that net names can be pre-defined 'internally' within the bus, only those nets can be connected to the bus, whereas, Open busses can carry any net.
This is the process for defining a 'Closed' bus with the net names pre-defined.

To create a bus, select [Add], [Bus], or select the [Add Bus] button on the toolbar. The bus behaves as a polygon shape, with the exception that while it can be closed, it cannot be filled. Right clicking during creation opens the same menu used by polygon shapes. When the bus is complete, it is necessary to edit it if you wish to define a set of standard net names to use. It is also recommended that you use the segment mode Mitre to add the Mitred corner to any corners of the bus shape.

Exit [Add Bus] and click on the bus, select [Properties] using the menus on the right hand mouse key, and [Add Net].

In the lower two boxes in [New Nets] you can enter the start and end values of the net names required (this is the closed part of the system in that this is the only place you can add bus net names for use with that bus). For example, type A0 and A15 respectively to give the name and number range. Press the [Add to List] button and press OK while all the net names are highlighted, or make a selection, this will add them to the bus. Press OK to exit Properties once all the net names are visible in the display window. The dialog will show the net names A0 to A15 entered with the [Add To List] button already pressed.

Following the OK button being pressed, the main Properties dialog for Busses now has the complete list of net names allowed for the Closed bus.

If there are multiple bus lines you can still add additional 'spurs' but can use copy and paste to duplicate the spurs and enable them to remain connected.
Now when you add a connection from a terminal and click on the bus to finish, the system will give you the choice of which net name to choose (taken from the bus net names list just entered). Select one of the names and press [OK] or to add it.
Any connection can be added to the bus but only choosing one of the names from the list. If two connections are added and both use the net name A2, for example, the Translate to PCB option will connect them both together, in other words the connection is implied by the name of the net (as it is throughout Easy-PC).


Clear Copper

Clear Copper is used to 'unpour' the copper area. This must be used to remove copper before editing or repouring the area. Any poured copper within a Copper Area will be removed when Clear Copper is selected. Copper which has not been poured but has been manually added will not be removed.

Also see: Pour Copper


Pour Copper

Copper pour is used to flood areas on the design with copper. These areas follow the boundary of each obstacle in the design using the Spacing clearance value defined, and where neccessary, associate themselves with pads of a pre-defined net name.

On selection of Pour Copper from the right hand menu, a dialog is displayed. This allows you to associate a net name to the copper, to control the minimum area size of copper poured and to specify the thermal relief and isolation gaps used for the thermal 'spokes' of the associated net.

Poured copper areas can be made without any net association and used to apply more copper to an electrical layer if required without touching the tracks, vias and pads etc. on that layer. Net association will mean that thermal spokes and isolation gaps are automaticaly added during the creation of the copper area. The spoke width will be defined using the width of the copper style used.

When associated with a net, leaving 'Thermal Pads' unchecked will pour copper over the the top of the associated pads. This may be a requiement for some design applications.

During the pour of an area, all spacings are used as defined in the Spacings dialog. For each net the Guard Band spacing is also considered and added to the spacing already defined as a default. For example, a Guard Band spacing of 50 thou would be added to a default spacing of 10 thou to create an overall clearance between the copper area and a particular track/via/pad of 60 thou.

To edit a copper shape, the poured copper must be unpoured first using Clear Copper. The Copper Area ‘template’ can then be edited and re-poured.

Isolated islands can be removed to occupy less than the minimum area defined. This provides you with a mechanism for allowing small isolated areas of copper to be removed.

The process for pouring copper

The process for using copper pour is:

1. Define the area required for pouring, using the Add Copper Area feature on the layer required.

2. Select the Copper Area.

3. Right hand mouse key and select Pour Copper.

4. From the dialog select any net association if required and the thermal relief/isolation spaces.

5. Press OK to pour the copper.

If the area is not as required, use Undo or Clear Copper from the right hand mouse menu to clear it.

Adjust the area and re-pour using Pour Copper again.


Shapes

There are three shape types available when using the add Shape features (Board, Shape, Copper Area etc.)
Rectangle, Polygon and Circle.

Rectangle

A four sided shape which can be dragged into the required size. By default this is Closed shape but can be and Open shape. It can also be Filled or Unfilled. To change these characteristics, select the shape and use the [Properties] option on the right mouse once the shape has been added to the design.
When adding the Rectangle, the segment modes of 90 degree, right angle, Curved and Mitred can be used.

Polygon

A shape which can be created using any number of sides. Polygons can Open or Closed and Filled or Unfilled. For the shape to be filled it must be a closed shape. To change these characteristics, select the shape and use the [Properties] option on the right mouse once the shape has been added to the design When adding the Polygon, the segment modes of 90 degree, right angle, Curved and Mitred can be used.

Circle

A Closed shape (Circles can only be Closed) which is dragged out from the centre point to make the shape. It can also be Filled or Unfilled. To change these characteristics, select the shape and use the [Properties] option on the right mouse once the shape has been added to the design.


Easy-Spice Simulator

When the Easy-Spice A/D mixed mode simulator option is installed, an output is provided on the [Tool] menu. This dialog allows you to generate a netlist which is automatically ready into the Easy-Spice simulator option.

What Should You Expect From A Simulator ?

Simulation should be seen as a complement to the traditional breadboarding phase of circuit design, rather than a complete replacement. With simulation, you can gain an insight into the workings of your circuit that are difficult or impossible to do in "real life". Here are some examples of things you can do with a simulator that can't be done on the bench:

  • Make "non-invasive" measurements. For example, current is always difficult to measure without adding components to the circuit. Even magnetic current probes can alter a circuit's behaviour. Measuring current with a simulator, however, is straightforward and doesn't affect its characteristics.
  • Remove parasitic elements. For example, you can remove the capacitance that cause "Miller Effect" in an amplifier to see if that is the cause of a misbehaving circuit.
  • Operate components outside their safe operating area. Sometimes it is useful to see what will happen when you run - say - a power supply at beyond its ratings. In real life you risk damaging some components in the circuit, but a simulator does not suffer such limitations.

    • It is often not viable to simulate a complete circuit either because the simulation would take too long or because models are not available for all the components you are using. But, it is nearly always possible to simulate a part of your circuit and learn a great deal about the design by doing so.
    You can also use a simulator to try out ideas at a system level. Easy-Spice has a number of components that can be defined by an equation either to describe a non-linear characteristic or to implement an arbitrary frequency response. You can use these blocks to implement functionality without having to think about the underlying implementation.

    What's In The Product ?

    Easy-Spice has two main elements:

    1. The simulator. This is a "number cruncher" that takes a netlist as it's input and generates a - sometimes very large - data file containing the results. The netlist contains a description of your circuit along with commands to instruct the simulator exactly what analysis to perform. The data file contains all the voltages and currents in your circuit for later plotting or analysis.
      The simulator is based on SPICE3 developed by the University of California at Berkeley and XSPICE developed by the Georgia Technical Research Institute. Although based on these programs, Easy-Spice has received extensive further development to improve its overall performance.
    1. The waveform viewer. This part of the program plots the results of the simulation using the data file created by the simulator. It can do this while the simulator is running or on demand after the simulation has completed. As well as plotting facilities, the waveform viewer can also perform measurements on the results such as RMS, peak-peak, frequency etc.

    To run Easy-Spice you will also require the Easy-PC For Windows Schematics package. This is used to hold the model values, create the circuit and to generate the netlist which is simulated. Please call our sales office on 01684 663662 for more information and a datasheet.


Align

The Align option allows two or more items to be aligned with one another.

Using the option

To use this option, first select the item to use as the 'reference' item. This is the item against which the others are to be aligned.

Next, use the Ctrl key to add the other items to the current selection. When you have selected all the items you wish to align, click the appropriate align button on the Edit toolbar, or select the required option from the [Align] submenu on the [Edit] menu.

Controlling how items are aligned

Most items are aligned using the appropriate edge (left, right, etc). For components, you have the option of aligning them not by their edge but by the corresponding (e.g. left-most) pin. This option is available on the [Align] submenu of the [Edit] menu.


Assign Pins 1:1

Within the Component Library editor there is a command for assigning schematic symbol pins to the PCB symbols where there is a direct 1:1 relationship. For instances where the relationship is not 1:1 then the conventional [Assign Pins] option should be used, or the direct entry method into the component grid.

The [Assign Pins] option is found on the [Edit] menu. When selected it will automatically assign pins for the Terminal Names against the Gate information at a 1:1 ratio. This feature will only work sensibly for single gate devices but does also work for multi gate devices. If the option is pressed on a multi-gate device, the following warning appears:

By pressing the [OK] button the program will automatically add the name/gate numbers sequentially through the gates starting at the first until the number of terminals has been exhausted.


Board Properties

See Shape Properties for more information.


Change Component/Package Type

With this enhancement, components in either a circuit or layout can now be changed directly from the Component Properties browse screen. Select the [Change] button to enter the Change dialog. This dialog works in a similar way to the [Add Component] dialog and also includes the Preview screen.

Note that the changes are NOT automatically copied to the corresponding schematic or PCB design file, so it is important to use the integrity checker after changing any components.

This function is also useful as if a board gets tight it is now very easy to change from a DIL component to a surface mount device (SMD, and also called an SMT [surface mount technology]).


Change Layer

When using Change Layer a dialog is displayed which show s the old layer from which the change has occurred and the new layer. When editing an item and the 'L' key is clicked you click <enter> to select the default layer changed offered. If you require another layer other than that displayed by default you can select it from the list box.


Component Name Properties

This box has three tabs, {Name}, {Component}, and {Component Values}.

Name

The {Name} tab allows the component reference to be changed, but unlike Component Properties, the position and orientation shown here relates solely to the text, not to the component as a whole.

Component

See Component Properties.

Component Values

See Component Properties.


Component Pad Properties

This dialog has four tabs, {Pad}, {Component}, {Component Values}, and {Net}.

Pad

The Number edit box displays the allocated pad or connection point number.

See Pad Properties for more information.

Component

See Component Properties for more information.

Component Values

See Component Properties for more information.

Net

See Pad Properties for more information.


Component Place/Edit Popup

Component Place/Edit Mode Popup Menu

Component Place Mode

In Component Place Mode, the menu has the following entries:

Cancel

Aborts the operation.

Rotate

Activates a sub menu with the following options:

Angle 0

Returns component to default rotation.

Angle 90

Rotates component about its origin one quadrant anticlockwise from the default position.

Angle 180

Rotates component about its origin one semicircle from the default position.

Angle 270

Rotates component about its origin one step anticlockwise from the current position. The step size is defined in the [Settings], [Preferences] dialog.

Rotate One Step

Rotates component about its origin one quadrant anticlockwise from the default position.

Flip

Reverses the component. Single layer pads will move to the opposite side of the board, as will the silk screen. The criteria for this to happen is that there is a ‘Bottom’ layer to match the corresponding type of ‘Top’ layer (e.g. both ‘Silk Screen’ for instance).

Component Edit Mode

The additional entries in the menu in Component Edit Mode are:

Deselect

Cancels edit operation.

Place

Makes the component mobile under the cursor for repositioning.

Duplicate

Repeats the component and leaves the copy mobile under the cursor for placement.

Update Component

Allows the image of the selected component which is held in the design to be replaced by a different copy from the currently active library.

Delete

Deletes the component. Requires confirmation.

Properties

See Tabbed Property Dialogs.

Values

Accesses a dialog for adding or editing values associated with the component.


Component Properties

This properties dialog has two tabs, {Component} and {Component Values}.

Component

This tab allows the component reference to be edited. The current position and angle may be varied, and the part mirrored. The component type and associated symbol type(s) are also shown for reference.

Component Values

This tab is used to edit the values associated with the component. The values may be of various types depending on the ancillary application requiring them. The information is identical to that in the Values window accessed by right clicking when editing a component.


Component Values

The Component Values dialog is used to display all the Values on components, either in the current design or in a component library.

Opening the dialog

To view the values for all components in the current design, choose Component Values from the Settings menu.

To view the values for all components in a library, choose Libraries from the File menu, select the Component tab and choose the library you wish to view, then click the Values button.

Using the dialog

The operation of the dialog is basically the same for both design and library values. The main part of the dialog is taken up with a 'grid' or 'table'. The first column of the table lists the component name or reference name, and the remaining columns show the values that are defined for each of the components.

A set of buttons is shown down the right-hand side of the dialog, allowing you to modify the values, add new ones, delete values, and so on. These buttons work on the selected part of the table, so you will need to select the required value or values first, then click the appropriate button. For example, to set all the values for a given component to be visible, click the left mouse button down in the first 'cell' of the row for that component, then drag across to the last cell and release the mouse button. Then click the Show button to set all those values visible.

The cells in the table are colour-coded to show you the status of each kind of value for each component. Four different colours are used, as described below. The default colour of each is also shown, although you can change the colours used by clicking the Colours button on the dialog.

  • Undefined (cream) : this value is not present on this component
  • Empty (pale green) : this value is defined, but has no text
  • Hidden (pale blue) : the value is defined, and has text, but is not displayed in the design
  • Visible (white) : this value is defined, and has text, and is visible in the design

As well as changing the colours, you can also resize the dialog by dragging the corners or sides. The new size is remembered so the dialog comes back the same size next time.

To change the actual component values, you can use the buttons down the side of the dialog, click the right mouse button in the table and use the popup menu, or use the keyboard to type text directly into the grid cells.


Connection Properties

When any schematic line segment is selected, this Properties Dialog can be accessed from the [Edit] menu or by clicking the right mouse button. It contains two tabs, {Connection} and {Net}.

Connection

This shows the start and finish locations of the selected segment. If more than one segment has been selected, the connections will be marked as being Different.

Net

This is used to view or alter the net name and class of the parent net for the selected segment.


Copper Area Properties

See Shape Properties for more information.


Cross Probing

This feature allows you to probe and locate items in a known design. This feature enables Bi-directional Cross Probing between corresponding SCM and PCB designs, between SCM designs within a Project or between any open design. This enables better integration of design data between each stage of the design process.

To use this option, a toolbar icon is available to put the applications into the Cross Probe 'mode' prior to probing. There is also an entry on the Edit menu called Cross Probe which selects the cross probe mode.

Once this is selected the designs can be cross probed.

Items which can be probed

Pins/Terminals | By picking the pin
Components | By picking a component or symbol gate
Nets | By picking connections/tracks/net names or copper
Closed busses | By picking the closed bus containing the same net names (good for viewing all similar closed buses)

Where multiple sheets have been combined to make one PCB, the sheets must be encompassed by a Project in order for probing from the PCB design to search all design sheets. Where Projects are not used and a single Schematic sheet is probed with a corresponding PCB design the design names for both must be the same. These rules apply if you wish to make sensible use of the probing mechanism and can be controlled by the settings defined on the [Preferences] dialog (detailed below).

If different designs are in the same Project and do not have the same name, they can still be probed using the Probe All Open Designs' switch from the Settings and Preferences menu option (detailed below).

Cross Probing SCM to SCM is useful for checking for multiple component references and symbol gates not located together as well as checking nets spanning multiple sheets. Again though, SCM to SCM sheets must be included under a single project.

The {Cross Probe} tab on the Settings, Preferences dialog enables Cross Probing to tailored to be your own preferences.

As its name suggests, the 'Bring Probed Design Windows to Front' will ensure that the probed design is always visible by forcing it to the front as the active design.

The two other options under the 'Which Designs To Probe' heading allow you to force intelligence into the cross probing. 'Probe Corresponding Design' means only designs under the same Project or Same Name will be probed, any other design names will be ignored. If probing a PCB design, an schematic design not containing probed net names will be opened automatically. If probing a schematic design, the PCB design will be opened and probed but only the schematic designs already opened will be probed.

'Probe All Open Designs' has the opposite effect and allows any design to be probed regardless of its name and even if it doesn't correspond to the other open design - care should be taken using this option as it could mean an irrelevant design is accidentally probed!!.


Cross Sheet Name Checking

Net and component reference names are referenced across schematic sheets, this feature is available if multiple schematic sheets are within a Project.

The features which are available for this functionality are:

Add Component

When a component is added the program knows what component references have been used on other sheets so that duplicates are not introduced.

Paste

Pasting in additional components or circuitry, duplicate component references or net names are not introduced.

Change Net

If changing a net name this function is aware of all net names used across all the sheets under a Project.

Net Classes

Net classes are displayed for all sheets under a Project.

The above description only applies if the sheets are added to the Project from 'scratch'. This means when adding an existing schematic to a Project, the name lists used will not be automatically updated and duplicates will not be found.

To resolve this situation, you will need to run the Translate to PCB option from the Tools menu to find files containing duplicates. A note of warning here, duplicate net names will not be highlighted to you because they will automatically become connected. Use the Cross Probe functionality to find component reference duplicates (featured later in this manual).

It is probably better at this time to resolve this situation by using another method of adding existing designs to the Project.

Instead of adding an existing file to the Project, create a new schematic sheet and add it to the Project. Open both the existing schematic and the new sheet. In the existing design, use Frame select, draw an area around the whole design and press <Ctrl+C> to copy the complete contents into the Clipboard. Click on the new schematic sheet to make it 'active'. Press <Ctrl+V> to paste the contents of the Clipboard into the design.

During the paste any duplicate component references will be resolved with the program allocating new reference numbers where needed. Duplicate net names will be displayed in a warning dialog giving you the option to automatically connect the net to an existing net or to create a new net name. At this point you have the choice depending on what the net function is, GND for example would probably be connected as part of the board's ground net.


Cut

Cut and Copy

Cut is used to Copy and 'remove' information from the design and put it in the clipboard. This information can then be retrieved using the Paste option.

Cut works very similarly to delete with the exception that cut object(s) are placed in the clipboard and can be pasted elsewhere into the design as normal OR into other Windows based applications like Word, Paintbrush, Corel Draw etc. If the object is a graphic, such as a component symbol, it will be pasted as a graphic. If it is a text string it will be pasted as text.

Using Cut, Copy and Paste

The procedure for using Cut, Copy and Paste to other (non Easy-PC) windows applications is as follows:

Select the objects to be operated on using either click and drag from a clear area of the drawing or using click and control click in select mode. Then use [ Edit / Cut] or [Edit / Copy] as appropriate. This places the selected items in the clipboard. Move the cursor into the appropriate receiving window and select paste in that window. The objects will be pasted in as a bitmap in the same colours as they were in Easy-PC.

The procedure for using Cut, Copy and Paste within Easy-PC is as follows:

Select the objects to be operated on using either click and drag from a clear area of the drawing or using click and control click in select mode. Then use [ Edit / Cut] or [Edit / Copy] as appropriate. This places the selected items in the clipboard. Move the cursor into the appropriate receiving window and select paste. Answer the questions about the net naming conflicts as required and the objects will be pasted in.

Cut, Copy and Paste of Design Information

This allows the cut and copy of design information, in both Schematic and PCB design editors, into the clipboard (in Easy-PC For Windows format) for subsequent reuse (Paste) into another part of the design or a new design. All duplicate design information, such as net names and component references etc. are automatically resolved by using the next available reference name or net number. The option for keeping named net names like Vcc or Ground on these added circuit sections minimises the amount of work required to use them, it also allows you to make nets with the same logical names connected automatically.

Cut, Copy and Paste of Text

Cut, copy and paste of text is available in all design types and to/from other Windows applications. This facility is bi-directional with information from Easy-PC For Windows also available to other applications. To import text into Easy-PC For Windows you can Paste it directly into the design without using the Add Text function. You should note that text can only be single line in Easy-PC For Windows even if it appears as multi-line in the host systems.

Also see: Paste
Also see: Duplicate


Cut and Copy to Bitmap

At any time during the cut or copying of design items, the clipboard also saves the selection as a bitmap format. This selection can then be pasted into any program which accepts bitmap format e.g. Microsoft Word or Paint etc. Note that for the best effects it may be necessary to change the display colours using [Settings] [Display].

Also see: Cut
Also see: Copy
Also see: Paste
Also see: Duplicate


Delete

Delete is used to remove items from the design.

If Undo is enabled, the message box to confirm deletion of items is not displayed. If an item has been deleted by accident, use the Undo option to recover it. Ensure that you have enough undo levels set at all times for the tasks you are undertaking.

Undo Levels are set in the [Settings] Preferences] dialog.

Delete Removes Attached Tracks/Connections

To allow maximum flexibility when editing the design a check box is provided on the [Preferences] dialog and Interaction tab to allow the user to decide which way of working is best for themselves.

This allows the ability to delete a component which is still connected and routed and to retain the routing information but left dangling ready for further connection to another component or pin.

This mode is selected using a switch in the [Settings] [Preferences] [General] dialog on the [Interaction] tab.

Also see: Undo


Delete Layan Overlay

If a Layan overlay has been added to the design after using the Layan product, you can remove it using this option.

Also see: Layan Launch
Also see: Layan Read Results


Delete Package

Delete Package is used to remove a package from the Component definition. This option is used in the Component Editor.


Duplicate

Duplicating Items In The Design

Duplicate is a fast method of using Copy and Paste of design items.

Duplicate Tracks

A check box is provided on the Preferences dialog to allow Duplicate Tracks to be added PCB designs. These can be particularly useful for designers of current carrying designs which need additional tracking.

Also see: Cut
Also see: Copy
Also see: Paste


Edit Menu

The entries on this menu are context sensitive for the type of structure being edited.

Undo

This undoes the last operation. This menu entry is context sensitive, indicating the type of operation to be reversed (e.g.' Undo Select' ). The number of consecutive undo operations that may be performed is configured on the Settings - Preferences - General tab.

Redo

This reverses the most recent Undo operation. All Undo operations can be reversed up to the maximum configured capacity.

Cut

This operation is similar to the standard Windows Cut operation. It differs in that the full structure and connectivity of the selected items is preserved. The original items are removed from the design.

Copy

This operation is similar to the standard Windows Copy operation. It differs in that the full structure and connectivity of the selected items is preserved. The original items are not affected.

Paste

This operation is similar to the standard Windows Paste operation. It differs in that the full structure and connectivity of the selected items is preserved. Any numbering conflicts with existing items are resolved by automatically renumbering the affected items using the next free number. User-named nets are NOT renumbered as they are assumed to be globally relevant signals.

Duplicate

This operation is a short cut, combining a Copy operation with an immediate Paste. Items are renumbered automatically as described above.

Delete

This deletes the currently selected item(s). You will be asked to confirm this operation before the item is actually deleted. If a component is being deleted, you can choose whether or not to delete the associated connections as well in the Settings - Preferences - Interaction tab.

Delete Layan Overlay

This option only appears if you have Layan For Windows installed. It is used to remove the Layan overlay information from the design.

Select

This enables select mode. In this mode, clicking on a structure allows it to be modified.

Cross Probe

This is used to switch the product into cross probing mode so that the current design can be probed with its corresponding Schematic or PCB design or Project.

Swap Layers

This option provides the ability to swap items from one side of the board to the other simply by selecting them.

Align

This is used to re-position one or more items so that they line up with another item.

Symbol Editing

The following entries appear on the Edit menu when a symbol is being edited :

Symbol Name

This opens a dialog box for naming the symbol.

Renumber Pins

This option opens a dialog to request the first pin number. The pins are then numbered by clicking on them in sequence.

Component Editing

The following entries appear on the Edit menu when a component is being edited:

Delete Package

This option opens a dialog with a list of currently defined package types. The selected package type is deleted.

Assign Pins

This option selects assign pin mode for defining links between schematic and PCB symbols. It can also be used to view existing links.


Editing Tracks and Connections

The editing of tracks and connections differs significantly from the behaviour when they are being created. There are two different edit modes. The first (default) mode is used for manipulating complete track segments. The second mode allows the segments themselves to be changed, added to, or deleted, and is known as segment mode.

Considering the first mode. When a segment is selected, dragging it creates new segments at either end, or where segments already exist they are extended or shortened. Where a segment must be split, it splits at its midpoint. Angled segments will stay the same length unless they are mitres (i.e. the track segments at either end form a right angle) in which case the adjacent segments will remain fixed, and the length of the mitre will change.

Selecting several adjacent segments by using <Ctrl> click gives similar results, and can result in very rapid reconfiguration of track and line patterns.

Right clicking displays a pop up menu with a number of options. These are:

Deselect

This releases the selected segment.

Place

This makes the selected segment mobile under the cursor. It avoids the need to hold down the left mouse button when dragging.

Layer (PCB only)

This allows a new layer for the segment to be chosen. A check box in the dialog forces a whole track change.

Style

Sets the segment width, and / or style.

Duplicate

This exactly duplicates the selected segment.

Edit Segment

Selects segment mode editing.

Arc

The current segment is converted to an arc. See below.

Net (PCB only)

See below.

Display Net Name (Schematic only)

This allows the net name to be displayed adjacent to the segment. The name can be repositioned as required.

* Change Net

Allows a new net name to be defined or chosen from a pick list. If it is already in use, a warning is given before joining the nets.

* Highlight Net

Highlights all nets using the current name.

Delete

Deletes the selected segment.

Properties

Accesses the segment properties. These are mostly self explanatory, but most aspects of the segment’s behaviour can be changed from here.

See Tabbed Property Dialogs for more details.

*These items are accessed from the [Net] entry with PCBs.

Arcs

The [Arc] command converts a segment to a curve. Apart from the predefined arcs of 45, 90 and 180 degrees, there is a flip command to reverse the sense of the arc, and an angle free mode. The angle free mode uses the cursor position to define the required arc. This gives quite fine control, providing that the rotation step size has been set sufficiently small (0.1 degrees is possible). There is one illegal value, 360 degrees. If an attempt is made to create effectively an infinite circle, the segment defaults back to a line.

Nets

In PCB design mode, the [Net] command opens a subsidiary menu. Apart from [Change Net] and [Highlight Net] already considered, it contains these options:

Optimise Net

This command reroutes any unrouted parts of the net so as to take the shortest possible path. Track is not affected.

Unroute Track Segments

All selected track segments are unrouted to connections.

Unroute Track Path

The whole of the track which contains the selected segment is unrouted between the nearest connection points

Unroute Net

The whole of the net containing the chosen segment is unrouted.

Fix Track Segments

Marks selected segments as fixed for autorouting.

Unfix Track Segments

Marks selected segments as moveable for autorouting.

Adding Segments

Sometimes it is still necessary to add line segments. Segment mode is used for this. There are two ways of accessing segment mode. Either double click on the desired segment, or right click, then select [Segment Mode] from the pop-up menu. In this mode the editing behaves the same way as described in Adding Connections to Schematics, but with the exception that a rubberband always exists to the next segment or the line end. Note the existence of the commands [Home], [End], [Page Up] and [Page Down] for moving to the start, end, previous and next segments respectively. When at the end segment, a new option appears on the pop-up menu (from a right click) of [Disconnect Con End]. This disconnects the final point on the line or track, leaving the current cursor position free to extend it further.

Connections in PCB Mode

When a connection is selected, it is usually to convert it to a track. This will happen if it is selected and dragged, if it is selected with a double click, or if it is right click selected and [Place] chosen. A right click offers other options. Apart from [Deselect] and [Delete] which are obvious, [Place] which has been covered, there are [Nets] and [Properties]. See Tabbed Property Dialogs for more information. [Nets] opens a further menu with three entries, [Change Net], [Highlight Net] and [Optimise Net]. [Change Net] opens a dialog to browse for a new name, and / or net class. Either an existing name or a new one may be used. [Highlight Net] does just that (and promptly becomes [Unhighlight Net]). [Optimise Net] reroutes all parts of the net so that they have the shortest aggregate length.


Edit Track/Line Segment Popup

Edit Track/Line Segment Popup Menu

This function is distinct from Track Edit Mode. It is entered either by double clicking on the required segment, or by selecting it, clicking the right mouse button, then selecting Edit Segment form the popup menu.

Cancel

This deselects the current segment and aborts the edits.

Finish

This deselects the current segment, but leaves any edits intact.

Track Layer

A dialog appears with a browser to change the current segment layer. A check box allows the new layer to be used for the whole track.

N.B. Layer changes between electrical and non-electrical layers are not allowed unless the whole track option is chosen.

Track Style

A dialog allows the track style to be changed on the current segment. A check box lets this be applied to the whole track.

Via Style

When a track changes electrical layer, a via is automatically generated where appropriate. This dialog provides access to the properties of the vias. They can be changed either by specifying a new style, or by editing each property separately.

Change Net

A pick list of net names currently in use is offered. If a new net name is not in this list, it is automatically added.

Highlight Net

This highlights the net associated with the current segment. If it is already highlighted, the menu entry is shown checked, and selection removes the highlight.

Change Segment

The segment change options in this menu are usually accessed by their quick keys, shown with each entry.

First

The first segment of the current track becomes the active one. Both <Home> keys are quick keys.

Previous

The previous segment on the current track becomes the active one. The quick keys are <Page Up> or <PgUp>.

Next

The next segment on the current track becomes the active one. The quick keys are <Page Down> or <PgDn>.

Last

The last segment of the current track becomes the active one. Both <End> keys are quick keys.

Segment Mode

This determines the way in which new segments are added between the start of the segment and the cursor position. The section from the cursor to the end of the active segment (when it exists) always defaults to Free mode. As the cursor is moved, the new segments are shown rubberbanded.

Free

The new segment follows the shortest straight line between its start and end.

Orthogonal

The two shortest orthogonal paths are followed to the cursor. On clicking the left mouse button, only the first segment is created. The offset in the other axis is irrelevant.

Right Angle

The two shortest orthogonal paths are followed to the cursor. On clicking the left mouse button, both segments are created.

Mitre

Two segments are created, one orthogonal, the other at 45 degrees. The order is determined by the flip command.

Fillet

Two segments are created, one orthogonal, the other a tangential 90 degree quadrant. The order is determined by the flip command.

Flip

Where more than one segment is created by a clicking the left mouse button, there are always two possible routes Flip alternates between these possibilities while they are shown rubber banded.

Delete Segment

This deletes the last segment created. The Backspace key provides a quick route to this operation.

Invert Shape

Lines and tracks are regarded as having a start and finish. Usually this aids editing, but there are circumstances where this direction is wrong for the desired operation (e.g. extending a line from the Home end). The invert function reverses direction of the line or track to overcome these difficulties.


Editing a Design

The way Easy-PC operates when editing is, in many respects, different to the way it operates when adding items to a design.

However, there are some points of overlap, and this Help section should therefore be read in conjunction with the section on Adding Elements.

One general note regarding selecting items to be edited. Clicking on an item selects it for editing. Holding <Shift> down when clicking selects the whole item (e.g. an entire track rather than a single segment). Holding <Ctrl> down when clicking adds (or removes if highlighted) the item to (from) those previously selected. This is consistent with the way <<Shift>> and <<Ctrl>> are used for usual Windows selection.

Entering edit mode is straightforward. Either click on the [Select] arrow button on the toolbar, or click on [Edit], [Select].

Note: Clicking is context sensitive. Directly right clicking on an unselected item will select it and reveal the menu. Consequently, when editing an item, if the cursor is over the top of another item when you right click, you will select this second item instead.

Follow these links for more information about editing the various element types:


Editing Components

A component may be selected by clicking on any part of the outline or pads. If a placement reference or any pin names or numbers are inadvertently selected, an attempt to drag the component will just move the text instead. If this is a problem, use <Shift> click to select the whole item. Moving is simply a matter of dragging and dropping. Snap modes are adhered to.

To rotate the component, either right click and select [Rotate], or use the quick key <R>. The same rotation options as when adding a component are offered. [Flip] also acts the same way as when adding.

See Adding Elements for more information.

There are several new menu entries when right clicking in edit mode, these are:

Deselect

This releases the selected component.

Place

This makes the selected component mobile under the cursor. It avoids the need to hold down the left mouse button when dragging.

Duplicate

This creates another component, identical to the first, except for the placement reference index number.

Update Component

This is an important feature. It allows the copy of a component internal to the design to be overwritten by a different copy from the currently active library.

Nets (PCB designs only)

This accesses two net utilities useful at a component level. See below.

Delete

Deletes the selected component.

Properties

Accesses the component properties. These are mostly self explanatory, but most aspects of a component’s behaviour can be changed from here.

See Tabbed Property Dialogs for more details.

Values

A shortcut route to modifying the values associated with a component. See below.

Updating Components

A copy of every component used in a design is kept internally as part of the design. This has many advantages, not least that the design becomes independent of any changes to the source library. This very stability can become a problem when a component needs to be changed. The update component function is provided to force a new definition into a design. This intelligently links to the same connections as the previous component.

Nets Associated with Components

In a practical design components are linked by nets (which may exist as tracks). The [Net] entry accesses two functions; [Optimise Nets] and [Unroute Nets]. [Optimise Nets] only operates on unrouted connections. It will not affect tracks. Any nets associated with the selected component will be rerouted so as to give the minimum total connection length possible. On the other hand, [Unroute Nets] returns any routed tracks linked to the component to unrouted connections. This affects the whole net, not just the part immediately associated with the component.

Component Values

The values associated with a component have a variety of uses. Firstly, they can obviously be used to associate a supplementary label with the placement reference. As this is most commonly a value, it gives the function its name. Secondly, when a design is being passed to one of Number One Systems’ simulation programs, a mechanism is needed to pass any relevant parameters across, and thirdly, it provides a convenient way of specifying entries for export to parts lists, etc.

A value entry always splits into three parts. Firstly there is a check box to determine whether the value should appear in the design (under the placement reference). Secondly there is a header. This is the descriptive label to identify the data which follows. For instance, “R:” would indicate a resistor value. The same device may have a second label “C:” in another entry identifying the stray capacitance. The label always ends with a colon. The third part is the value itself. Its form is dictated by the requirements of the application using it. It is customarily an integer string, possibly with an exponential multiplier, or a multiplier code letter. (T,G,M,K,m,u,n,p,f).


Editing Pads

When right clicking on a free pad, there are several entries on the pop up menu extra to those when adding one. [Deselect], [Duplicate] and [Delete] are self explanatory. [Place] makes the pad mobile at the cursor without dragging, and [Properties] is dealt with in Tabbed Property Dialogs. The remaining item {Add To Net] creates an unrouted connection to the nearest connection point on the selected net. This entry then becomes [Remove From Net], and a new [Net] entry appears. This [Net] entry has the same entries as just discussed in Editing Tracks and Connections, plus an [Unroute Net] entry. The [Unroute Net] entry should be used with caution as it will unroute the whole net, not just the added section.


Editing Shapes

When editing a shape the right click pop up menu differs from that during addition. Some entries are common, but the majority differ. Of these [Deselect], [Duplicate] and [Delete] are self explanatory. [Place] makes the pad mobile at the cursor without dragging. [Rotate One Step] rotates the shape anticlockwise by the default angle configured with [Settings], [Preferences]; and [Properties] configures the outline width and / or style, the layer, and whether the shape is to be closed or open. Closed shapes are automatically filled. Shapes flagged as open (even though they may actually be physically closed) are left unfilled.

The remaining item {Add To Net] creates an unrouted connection to the nearest connection point on the selected net. This entry then becomes [Remove From Net], and a new [Net] entry appears. This [Net] entry has the same entries as shown in Adding Connections to Schematics and Adding Connections to PCB's, plus an [Unroute Net] entry. The [Unroute Net] entry should be used with caution as it will unroute the whole net, not just the added section.

Note: The above description applies to closed shapes, and open shapes where the whole shape has been selected (use <Shift> click). If only one segment has been selected, the options are as shown in Editing Tracks and Connections.


Editing Text

Text is selected by clicking on any part. Right clicking gives access to the same functions as described under Adding Text to Schematics and Adding Text to PCB's, plus the following:

Deselect

This releases the selected text.

Place

This makes the selected text mobile under the cursor. It avoids having to hold down the left mouse button when dragging.

Duplicate

This exactly duplicates the selected text.

Delete

Deletes the selected text.

Properties

Accesses the text properties. These are mostly self explanatory, but most aspects of the text’s behaviour can be changed from here. See Tabbed Property Dialogs for more details.


Editing Tracks

Editing ‘Normal’ Tracks

Clicking (hold down) and dragging it will modify the position and run of a track. Additional orthogonal, 45 degree or fillet (curved) segments can be added to a track by double clicking on the track and then moving the cursor with the mouse. The additional segments will be right angle, 45 degree or Fillet according to the preferences settings. The new section of track al ways starts at the end of the track nearest to the cursor. Orthogonal corners can be converted to mitres by double clicking on the corner and moving the cursor in the direction of the mitre. Mitred corners can be modified or converted to orthogonal corners by double clicking on the mitre and moving the cursor in the appropriate direction. Single click and drag on a mitre moves it as required.

Curved Tracks

In select mode, any segment of a track can be converted to a curved track. Select the track segment to be converted, press right hand mouse button, select [Arc] from the menu, then the desired included angle for the arc. In free mode the arc moves in and out with the cursor.


Fix Components

Components can be fixed using the Component Properties dialog and the Fixed check box.

Multiple components can be fixed by making the selection using the <Shift> and <Ctrl> key process, and with the Component Properties dialog:

Fixed components cannot be interactively moved, flipped, rotated, changed or moved to the component bin without confirming the warning dialog:

The fixed status of a Component can be altered using the Properties dialog from either the right hand mouse menu or the Edit menu option.


Move - De-clutter

Move includes a performance enhancer when there are complicated selections. It will only draw items it has time to draw before processing the next mouse move instruction. Items are drawn in the following order, Board, Component Outlines, non-connective information and finally connections and tracks. The effect of this is that the selection follows the cursor more accurately when the mouse is moving. When the mouse is not moved for a short while more items will be drawn allowing the user to view the complete selection by just holding the mouse still. There is still a time lag when a selection is first dragged or if the mouse has been held still for some time, this lag is while the drawn in items are initially removed from the screen.


Pad Place/Edit Mode Popup

Pad Place/Edit Mode Popup Menu

Pad Place Mode

The menu entries available in this mode are:

Cancel

Aborts placement of the pad.

Rotate

Activates a sub menu with the following options:

Angle 0

Returns component to default rotation.

Angle 90

Rotates component about its origin one quadrant anticlockwise from the default position.

Angle 180

Rotates component about its origin one semicircle from the default position.

Angle 270

Rotates component about its origin one step anticlockwise from the current position. The step size is defined in the [Settings], [Preferences] dialog.

Rotate One Step

Rotates component about its origin one quadrant anticlockwise from the default position.

Note: These have no visible effect on round pads.

Flip

Reverses the pad horizontally. The effect is only visible on horizontal bullet pads. There is no layer change.

Layer

Selects the active pad layer. The choice is ‘All’, ‘Top’, ‘Bottom’ system layers plus any user defined layers.

Style

Defines pad width, length, hole diameter, and shape.

Pad Edit Mode

The additional menu entries in this mode are:

Deselect

Cancels edit operation.

Place

Makes the pad mobile under the cursor for repositioning.

Duplicate

Repeats the pad and leaves the copy mobile under the cursor for placement.

Add To Net

Adds a connection to the nearest point on the net selected from a pick list in a dialog which opens.

Delete

Deletes the pad. Requires confirmation.

Properties

See Tabbed Property Dialogs.


Pad Properties

The (free) pad properties box has two tabs, {Pad} and {Net}. For component pad details, see Component Pad Properties.

Pad

This controls most of the properties relating to a pad. The position, orientation and shape can be changed. The width and hole size are always accessible. The length is disabled for round, square, and cross shapes. The active layer(s) are also assigned here. A style option allows for quick modification. The Number edit box is disabled as it is only used within components.

Net

If the ‘Add To Net’ function has not been used , this tab is greyed out. If the pad is attached to a net, choosing another net from the pick list will allow them to be joined. The net class can also be changed here.


Paste

Paste is used to 'paste' design information which has been previously saved to the clipboard using the Cut or Copy options, or Text which has been saved to the clipboard from another application.

Copying Design information

When copying and pasting a section of a schematic into a schematic, it is necessary to sort out component numbering and net name conflicts. In Easy-PC, numbered nets are automatically given new net numbers to avoid all of the components simply being connected in parallel with their originating components. Named nets like Vcc and Ground will usually need to retain the original names but some named nets like “Output Channel 1” would need to be allocated new names. All of this is handled by the program. You are given the choice of allocating new names to all of the named nets either as a group or individually. Note that component references R1 C3 etc., are automatically incremented above the highest used in the receiving design. You can only paste like for like, you cannot paste a section of schematic into a PCB.

Note that paste does not yet allow pasting between multiple Schematics in a Project.

Also see: Cut
Also see: Copy
Also see: Duplicate


Tabbed Property Dialogs

Several of the popup menus provide access to Tabbed Property Dialogs. These all modify the various properties of the item being edited. A few of these property dialogs are also accessed from the top level menus.

The tabbed Property dialogs in Easy-PC are:

Board Properties
Component Properties
Component Name Properties
Component Pad Properties
Connection Properties
Document Properties
Pad Properties
Routing Area Properties
Shape Properties
Track Properties
Text Properties


Redo

Multi-level undo and redo of all major design items and Projects to a maximum of 50 levels. The number of undo levels are set in the [Settings] [Preferences] dialog. System memory (RAM and Virtual Memory) will have an impact on the larger undo levels available. The memory used for undo depends on the items and number of items preserved by the system.

Standard Windows shortcut keys are used for Undo and Redo, these are, <Ctrl Z> and <Ctrl Y>, respectively, as well as the inclusion of menu options on the Edit menu for each item.

Undo - Redo can be very memory hungry. We recommend setting the undo-redo undo levels to 10 or less for normal use. Setting it to higher levels on large jobs will dramatically reduce the performance of your system. Do not rely upon Undo-Redo as a substitute for regularly saving your work.

Also see: Undo


Renumber Pins

Renumber Pins is used by both the Schematic Symbol and PCB Symbol editors. It is used to renumber the pin sequence fo the symbol


Routing Area Properties

See Shape Properties for more information.


Select

Select is the default mode of operation where items can be picked or selected ready to have an option applied to them.

Select is also availale from the Toolbar as a button

Once an item is selected, you can deselect it by clicking in 'free' space (in an area where there is no other item) or by right mouse clicking and selecting Deselect from the menu.


Shape Properties

This Property Dialog is used to change the properties of a polygonal shape. The line style, width and layer can be entered, with options to force the polygon to close and to fill. The overall line length (perimeter if closed) is shown for information.

Board and routing area are two special cases of this Property Dialog. The board layer is internal to the program, so it is not shown, and the closed/fill options are disabled and set to closed but unfilled. The routing area layer can be set to allow for layer dependent variations. This is a planned future feature.


Splitting Nets In Schematics

When adding or moving a two pin component into a net to split the net, the function automatically gives the newly created net a net name. The net name will be the next available default net name in the sequence. The original net name is retained by the attached pin which has the lowest pin number.

For example:

The source component (shown in the centre) is dragged into the existing net:

On release this dialog is displayed:

The resultant circuit will be split but the net names will now be different:


Swap Layers

This option allows you to simply point-and-click to swap items from one side of the board to the other simply.

This option works just like the normal Select mode, including using the keyboard keys to add and remove items to/from the selection. Only items that are potentially swappable can be selected. When the selection has been made, the layer or side of the selected items is altered to move them from one side of the board to the other.

This feature can be very useful when tidying up a board after routing, or to allow routing to be completed. Tracks can quickly be swapped to the opposite side of the board to make space to allow more tracks to be inserted or other modifications to be carried out.


Name Symbol

The [Edit] [Name Symbol] option is used in the Schematic and PCB symbol editors only and is used to provide a New symbol with a name. This is the name used when the [File] [Save] option is used.


Text Properties

The properties dialog for free text only contains one tab, marked {Text}. The position, angle, style, size and thickness of the text can all be viewed or edited, and the text can be mirrored about its origin.


Track Place/Edit Popup

Track Place/Edit Mode Popup Menu

Deselect

This releases the current selection.

Place

An alternative to a left mouse button click and drag for moving selected items. This does not require the mouse button to be held down.

Rotate

Rotates selected segment(s) anticlockwise by the default rotation as set using [Settings], [Preferences], {Interaction}.

Flip

Reverses the sense of unplaced angled track segments, i.e. unplaced orthogonal and angled or curved segments will change places, giving access to each of the two possible routes.

Layer

Selects active layer of selected track segments. A check box extends the layer change to the whole track. Vias are generated automatically if needed.

Style

Changes the style applied to the selected segments.

Duplicate

Creates a mobile copy of the whole of the current track at the cursor position. Click the left mouse button to place the copy.

Edit Segment

The menu is replaced by a dedicated one containing extra functions. See Edit Track/Line Segment for more details.

Arc

This triggers a sub-menu when accessed. This function changes the shape of the selected segment as described below:

Line

The segment is always a straight line between the ends.

Angle 45

The segment describes a 45 degree arc.

Angle 90

The segment describes a 90 degree quadrant.

Angle 180

The segment describes a 180 degree semicircle.

Angle Free

The segment describes an arc whose size is controlled by the cursor position. The 360 degree position is illegal, and is interpreted as 0 degrees, or the Line option. Click the left mouse button to fix the arc. Clicking the right mouse button offers the option to cancel.

Flip

This reverses the sense of the current arc.

Net

This triggers a sub-menu when accessed. The functions are as described below:

Change Net

This offers a browser showing all existing net names. If a new name is specified, it is added to the browser. The new net name replaces the old one for the entire net, not just the selected segment.

Highlight Net

This option highlights the net associated with the selected segment.

Optimise Net

If the track is already unrouted, this option minimises the total connection length. Otherwise, it has no effect.

Unroute Track Segment

This causes the selected segment to revert to an unrouted net.

Unroute Track Path

This causes the whole track, of which the selected segment is a part, to revert to an unrouted net.

Unroute Net

This causes the whole net, of which the selected segment is a part, to revert to an unrouted net.

Fix Track Segments

This marks the selected segments as fixed in order to prevent MultiRouter from altering their placement.

Unfix Track Segments

This clears the Fix Track marks from the selected segments, allowing MultiRouter to move them as required.

Delete

This deletes the track containing the selected segment. There is a warning before the operation is completed.

Properties

This causes a tabbed dialog to appear. See Track Properties for more information


Track Properties

When a track is selected, either click the right mouse button, or click on the top level [Edit] menu and select [Properties]. The Track Properties dialog appears. It has two tabs marked {Track} and {Net}.

Track

The first section of this tab reports the connection points of the selected section of track, and its length. If more than one track or section of track is selected, the connection points are reported as being Different and the total length selected is shown. The width may also appear as Different, and the style may be blanked.

The width, style and layer edit boxes show the current value, and allow these properties to be edited. A check box shows whether the track can be moved during autorouting.

Net

This tab allows the current net name and class to be viewed or edited. If multiple nets are selected, these edit boxes remain empty.


Undo

Multi-level undo and redo of all major design items and Projects to a maximum of 50 levels. The number of undo levels are set in the [Settings] [Preferences] dialog. System memory (RAM and Virtual Memory) will have an impact on the larger undo levels available. The memory used for undo depends on the items and number of items preserved by the system.

Standard Windows shortcut keys are used for Undo and Redo, these are, <Ctrl Z> and <Ctrl Y>, respectively, as well as the inclusion of menu options on the Edit menu for each item.

Undo - Redo can be very memory hungry. We recommend setting the undo-redo undo levels to 10 or less for normal use. Setting it to higher levels on large jobs will dramatically reduce the performance of your system. Do not rely upon Undo-Redo as a substitute for regularly saving your work.

Also see: Redo


Close

Close

Use this option to close the current active design or symbol design file. You will be prompted to save any unsaved work.

Close All

Use this option to close all open design or symbol design files. You will be prompted to save any unsaved work.


Creating a New Project

While projects are useful for coordinating sets of files, initially you can only create an empty project to hold your designs. As the design files are created, you can then return to the project and include them using the browser.

To create a project, firstly ensure that the folder where you intend holding your projects exists. There are no restrictions on its location. Next select [File], [New], and highlight the first option, “Project”. The bottom part of the dialog changes to show name and directory boxes. Enter an appropriate name, and browse to the correct folder. A new window opens showing the areas of the project which hold schematic and PCB files. To add to either of these, highlight it, then select [Add to Project] from the [Project] menu. A normal browser window opens to allow you to find and add a file.

To add to an existing project, simply use [File], [Open], rather than [File], [New].

Note: Each Project must be located in a separate folder.


Document Properties

Selecting [Properties] from the top level [File] menu displays this dialog. It has two tabs marked {Summary} and {Statistics}.

Summary

This tab allows information such as author, title, content, and comments about the current file to be recorded.

Statistics

This tab reports various facts about the current file. These include author, creation date, revision, edit time, last edit, last save, last print, and other statistics.


Exit

Use this option to close down Easy-PC completely. The program will prompt you to save any unsaved work. You can also use the Windows shortcut of or the small Cross in the top right hand side of the program to Exit Easy-PC.
Any files open at the time of closing will be automatically opened at the next Easy-PC session.


File Menu

The file menu handles filing system operations, with the exception of printing. This is controlled from the [Output] menu. The most recently edited files appear at the bottom of the menu for easier selection.

New

The window opened by this function offers a choice of file types. At the top level is the project, which manages all files associated with a particular job. The filename and location of the new file are specified here. Accepting this opens a browser for the project, with a [Project] top menu entry.

The PCB and schematic design, and PCB and schematic symbol options each open a new design screen of the appropriate type. Selecting one of these options also allows a technology file to be linked to the new design.

The Component design entry opens a dialog box which prompts for the schematic and PCB symbols to be used. All the available symbols may be browsed alphabetically, with a graphical preview if required.

Open

This opens a normal Windows file browser to allow a file to be selected. This option is also used to import files from other programs, including the DOS versions of Easy-PC. Netlists from some third-party programs can also be imported as PCB rat's nests.

Reload

This re-opens the current design, discarding any changes made since the last time the design was saved.

Import

This is used to import Gerber files (if the option has been purchased), netlist files or DXF files created on another system.

Close

This closes the current design. You will be prompted to save any unsaved work.

Close All

This closes all open designs. You will be prompted to save any unsaved work.

Save

This saves the design using the original name.

Save All

This saves all open designs using their original name.

Save As

This opens a file browser to allow the design to be saved to a new or different file.

Save To Library

Note: This menu entry only appears during component or symbol editing.

It opens a dialog box allowing the target library to be specified. It includes a browser to help identify the correct library. The component name may be changed before it is added to the library.

Save Technology Files

This allows you to save the current design information to a technology file. It can only save relevant technology file information.

Properties

This function opens a Properties dialog for saving and viewing design related information.

Libraries

This option opens a dialog which allows you to view or manage the contents of your symbol and component libraries.

Recently Used File List

The four most recently edited files of any type are shown here, for direct loading. To select one of the files on the list, either type its corresponding number or select it using the mouse.

Exit

This closes the program and any currently open files. You will be prompted to save any changes. When the program is next run, any files opened at exit time are automatically reloaded.


Gerber Import

(Cost Option)

The Gerber Import facility is available as a cost option - please contact Number One Systems for the current list price.

Gerber Import allows existing Gerber format files to be loaded into the design onto nominated layers to create a picture of the design. This facility does not rebuild the design with electrical connectivity but does build an electrical picture which can be used as a template to recreate a working design from.

It can also be used to load in specific information such as a company logo which is in Gerber format, or a component silk screen layer which can be used for overlaying component placement

Using The Gerber Import Facility

To run this facility you must have a PCB design already open, this provides the layer structure required to import the Gerber file into. The open PCB design can be an existing design or can be created from an empty design but as long as there are existing legal layers.

Shape information is extracted from the Gerber file automatically if the RS-274-X extended Gerber format has been used. If the RS-274-D format has been used a style table will appear blank ready for completing.

To run this facility you must have a PCB design already open, this provides the layer structure required to import the Gerber file into. The open PCB design can be an existing design or can be created from an empty design but as long as there are existing legal layers.

From the File menu select Import. You are presented with a standard Open dialog from which you can select a number of possible file types using the Files of type options, these are All Import, Gerber Artwork and All Files (*.*).

In most instances you will select the Gerber Artwork file type. Normally, Gerber files will have the file extension .gbr, .g* or other user defined filename extensions (Easy-PC For Windows uses .g00, .g01, .g02 etc.).

Select the Gerber file required and click OK. You will be presented with the dialog shown right. It confirms that Easy-PC recognises the file format as that of a Gerber file. By clicking Yes the option moves to the next phase of import, if No is clicked the option exits back to the design editor.

The next dialog allows you to confirm the format of the Gerber file and how it will be imported into the design. It has a number of controls to enable the positioning of the plot within the design and to specify the file format.

Import As - this allows you to place the plot onto a specific Layer or as the board outline onto the Board. If you select Board and the imported Gerber file contains more information that just the board, all the information is displayed and the board outline may become confusing.

The Layer selection will allow you to pick from the displayed list, and will present you with the layers defined in the PCB design. This will include [All], [Top] and [Bottom], but only pick one of those if you are importing pads, shapes cannot be placed onto these layers.

The Origin option will allow you to define any offset to reposition the imported file relative to the 0,0 point. This maybe useful if for example, you have plotted the design with different positions or offsets.

The Format box enables you to select the format of the Gerber file so that the import mechanism can interpret the format correctly during the reading in process. The Units, Integer, number of Decimal points, and Zero Suppression are all characteristics of the format used to write the original Gerber file and should be set as written. Refer to the original host CAD system for further information on the format used.

Once the OK button is pressed, you are provided with the Aperture dialog which displays the aperture name and automatically assigns shape information to aperture number. This shape information is extracted from the Gerber file automatically if the RS-274-X extended Gerber format has been used. If the RS-274-D format has been used this table will appear blank ready for completing.

Each of the D-Code to shape references will be added to the design as a style and will be named using its D-Code name as the style.

During the conversion process all flashes are converted to pads, and hence pad codes and styles if required. Drill holes can be automatically added to the pad style provided the RS274-X format has been used (RS-274-X contains drill hole information as well). If the RS-274-D format has been used then the drill hole in the pad style will be set to zero size. You will need to edit these drill holes in manually.

Note: The option automatically recognises the RS-274-X format by searching for the %AD command within the file.

Although the Gerber import facility does not enable a full electrical rebuild of the original design, it does allow a shape template to be constructed from Gerber format files which can then be used to re-place and rebuild a design.

In instances where a design rebuild is required it is recommended that the silk screen layer(s) be imported and the board outline. This then gives you the footprint location for overlaying new components using Add Component. The electrical layers will allow you to re-trace existing tracks and vias but more prove tedious. It may be more efficient to re-place the design first and import an existing netlist if one is available or to import the netlist and use the silk screen template as a template for the placement.

It also allows you view a Gerber file output from Easy-PC For Windows to verify that what is in the file is what you expected before sending the files off to be plotted. This feature alone can save money in setup charges from the plot bureaux.


Import DXF

Use this option to import DXF (Design eXchange Format) files into Easy-PC. DXF files are commonly used by AutoCAD and other 'mechanical' design or CAD software to transfer data to other systems.

Once a DXF file is selected in the Import option, the DXF import dialog opens. This dialog allows you to choose which layers in the DXF file are to be imported as which type of design item, or indeed whether to import them at all.

As DXF files do not generally specify their units, you will need to select the appropriate units on the import dialog, otherwise the data will not be imported at the correct size.


Library Imports from XM

Importing Libraries from EASY-PC Professional XM

To import libraries from EASY-PC Professional XM, ensure that all the relevant original DOS symbol and component libraries are in a common directory, then open [File], [Libraries]. Follow the rule that '.PIC' files become '.psl' files, '.SIC' files become '.ssl', and '.IDX' files become .cml'.

For each PCB and schematic symbol file:

Use [New] to create a symbol file with the same name and file type as the original (e.g. IC.PIC would need Ic.psl to be created in {PCB symbol} mode.)

Use [Add] to add each symbol file in turn.

Repeat the operation with each '.IDX' file in component mode. This time it is not necessary for the source and target filenames to match. All package types found will be imported.

If any symbols are missing you will not be warned until you attempt to use a component that needs one of them.


Net List Import to PCB from OrCAD and Electronics Workbench

Easy-PC For Windows is capable of import netlists in a number of formats. These are: Easy-PC For Windows own netlist format, OrCAD EDIF and EDA Workbench using the EDIF format.

Format Expected

The file to be imported should be in OrCAD Native EDIF netlist format or OrCAD PCB 386 (*.NET) format. When opening a net file for import, Easy-PC For Windows determines whether it is native Easy-PC or OrCAD or Electronics Workbench and assigns the appropriate mapping file (orcad.map etc.). If the imported file contains components or packages not yet defined in the mapping file Easy-PC produces an Import Report containing the omissions.

An example OrCAD netlist is supplied in the 'Examples' directory for reference of the file contents. The file is names 3ic.net.

Importing The Netlists

The Netlist import mechanism for the non-Easy-PC For Windows netlists, always creates a new design.

From the File menu you select Open (or Open from the toolbar). After you have pressed Open, the program evaluates the netlist presented to it and decides which format it is. For the OrCAD format, the dialog shown previous is displayed.

This dialog enables you to choose the Component library to use, the Technology File required and whether to use the component bin or not during import.

For most designers where an 'alien' schematic system has been selected over that of the PCB system, the libraries will contain items which have the same device names (Parts and Components). Where they don't match an Edit Map dialog has been provided to allow a mapping reference to be created and maintained.

For the Components section, the Old Name refers to the netlist entry PartValue field and the name used within it. This is cross referenced to the New Name which relates to the Component name used in Easy-PC For Windows. For example, the PartValue name in OrCAD of 7400, could be related to the Easy-PC For Windows Component name of 74LS00.

Add Values is used to add additional value 'attributes' to the component as it is used from the library. This information is in addition to any default component value data already assigned in the component library to the device.

In the Packages section, the Old Name refers to the netlist entry of ModuleValue and the name contained within it. This is cross referenced to the New Name which is the Easy-PC For Windows Package name used with a Component. For example, 7400 could be related to the Easy-PC For Windows package DIL14. These entries are only required if the ModuleValue is different from the PartValue when the Package type has been predefined.

For each of the Component and Package entries, the Remember and Forget buttons are used to Save and Delete the entries defined.

This mapping information is saved into a .map file which is saved into the Easy-PC For Windows installation directory (e.g. orcad.map). The file is a formatted text file and for experienced users who have many mapping entries to define, it can be edited using a non-formatting editor such as Notepad. It is recommended that the file is initially created using the Remember button to generate the format and then edit the file subsequently.


New

Use NEW to create a new Project, PCB Design, Schematic Design, PCB Symbol, Schematic Symbol, Component, PCB Technology and Schematic Technology.

Technology File

You may choose to use a Technology File when creating the new item, select one from the drop down list. The files listed here are taken from the folder defined under [Settings], [Preferences] and the [Technology File] location.

Save As

Where a new Project has been selected, you can choose the name and folder where it is saved to.


Creating a New Schematic

To create a new schematic, select [File], [New], then select “Schematic Design”. The dialog will prompt you for a technology file. A technology file contains many standard settings, and is invaluable as a way of maintaining consistency across a range of designs. The settings contained within it add to any used defined options available within the design proper. It is not essential that one be specified. Pressing <Enter> opens the new schematic file.


Open

The Open option is used to select a file to open. This uses the standard Windows Open dialog.

From the drop down list of File of types, you can filter the type of file which to open. All the available files types supported by Easy-PC are listed here, as are netlist formats and the odler Easy-PC DOS formats. If an old version of an Easy-PC file from DOS is selected, the file will be put through a format filter to convert it first. Once converted and in Easy-PC For Windows, the file should be saved to a new name.


Recent File List

This is list of the most recently opened filed into Easy-PC For Windows and is sequenced by the most recently used at the top.
The number of files showing on this list can be controlled from the [Settings] [Preferences] and [General] option. On this dialog is a selection for the Recently Used File List. When this is set to 0, no files will appear on the list.

To select a file from this list, drop down the [File] menu and either select the file from the list or type in its corresponding number.


Reload

Use this option to re-load the current design from disk. This will discard all changes made since the design was last saved to disk.


Save

Save

Use this option to write the current design to disk using the existing name. If the design has no name, for example if it has not been saved since creating it with the New option, selecting Save will instead open the Save As dialog for you to enter a suitable name.

Save All

Use this option to save all open designs at once. Any unnamed design will cause the Save As dialog to be opened as when saving individual files.


Save As

Use this option to Save any unsaved information using the a new name. If the design has no name, as created from NEW, it will present you with the Save As option by default in which you must enter a name.
When saving a name, the file extension will automatically be in-context with that of the design or symbol type being saved.


Save Technology File

Use this option to Save the current design or symbol Technology information.
Technology information consists of Technology, Layers, Layer Types, Grids, Units, Nets and Net Classes.

The Technology File will be saved into the folder defined in [Settings], [Preferences] and [Technology Files] location.
All technology files will use either the Schematic or PCB technology file extension depending on their context when saved.


Save To Library

Use this option to save the current Symbol or Component being edited to the library.
this option will prompt you to provide the name of the library in which to save it and the name of the symbol or component.
By defaultm, the path presented for the libraries will be that defined in the [Settings] [Preferences] and [Library Path] location.


About Easy-PC For Windows

This dialog gives you information about the version of the program you have, including any service pack numbers and the version you upgraded from (if applicable).


Help Menu

Contents

Selecting this option displays information on how to use Easy-PC. This information is displayed using the standard Windows HTML Help system. For more information on how to use this, select [How To Use Help] from this menu.

Context

Selecting this option will open the help menu and display the contents page, pressing the F1 key also has the same effect.

How To Use Help

Selecting this option displays information on how to use the Windows Help system.

Web Home Page

From the Help menu there is a link which runs the command line required for the Number One Systems webs site to be loaded into your web browser. For this to operate you must have a web browser loaded and active in your Windows environment and an active modem connection. If no connection exists the browser will load the web address but will not be able to actively load the web site pages.

For reference, the Number One Systems web site address is www.numberone.com

About Easy-PC

Use this dialog to obtain information about the revision number, user information, and the relevant product serial number. This is where you look when asked about the version of software you are running.

Support

This dialog is used when requested by the Number One Systems support staff. It can be run to obtain vital system information about your computer. It would not generally ever be required.


Number One Systems

Number One Systems can be contacted direct at the address below:

Oak Lane
Bredon
Tewkesbury
Glos
GL20 7LR
UK

Sales Contacts

Sales: +44 (0) 1684 773662
Fax: +44 (0) 1684 773664

Email: info@numberone.com
Web site: www.numberone.com

Technical Support

Technical support: +44 (0) 1480 382538
Email: support@numberone.com

Note: support calls cannot be transferred to the support desk via the sales phone number.

Copyright (C) 2001 WestDev Ltd. All rights reserve E & O E

All trademarks acknowledged to their rightful owners.

Number One Systems, a division of WestDev Ltd.


Hard Ground Test Points

Layan - Hard Ground Test Points

These are Layan Library type 0. Whilst they can be placed anywhere in a schematic and translate into the equivalent component in the PCB they have additional significance in that for board parasitic extraction purposes they are also automatically connected by zero impedance to the external ground plane or Note 0. As an example they are the method that would be used to represent solid conductive mounting points for a PCB on pillars above a metal plate.


Input Test Points

Layan - Input Test Points

These are Layan Library type 1. They can be placed anywhere in a schematic and translate to the equivalent component connected in the appropriate net in the PCB. After translation they are placed at the required points on the tracks. These points on the tracks can then be identified when selecting the input port in Analyser For Windows as the net at that point has been assigned the same name as the test point.


Layan PCB Simulator

The Layan Electromagnetic simulator is supplied as a cost option in addition to the main Easy-PC For Windows Design Suite. For further details please contact our sales office on +44 (0)1684 773662

Layan is an extremely powerful software package which enables Analyser For Windows to include in a simulation the parasitic resistances, inductance’s and both inductive and capacitive couplings introduced into a circuit by the printed circuit board or a thick or thin film layout. The printed circuit must be designed using Easy-PC For Windows. The effects of an external ground plane, i.e.. a metal panel parallel to the board can also be included in the simulation.

Layan is an Electromagnetic simulator which takes the printed circuit board layout information from Easy-PC For Windows and computes the effects of the electromagnetic fields of metallisation pattern.

Layan produces a Partial Element Equivalent Circuit of the layout including capacitive and inductive couplings, inductance and resistance of the tracks. Layan even allows for skin effect, and dielectric losses.

The net list of the Partial Element Equivalent Circuit is automatically combined with the original net list from the schematic if there is one and the whole field fed into Analyser For Windows for analysis.

Where complex PCB structures are involved like stripline filters, couplers, etc. their S Parameters can be saved and then used as a design block within the schematic for phenomenally fast simulations of very complex systems.

The engine at the heart of Layan is based on the results over 20 man-years work by Philips Research Laboratories in Redhill, Surrey, UK. It is an Electromagnetic Field Solver designed specifically for complex planar structures and making use of numerical analysis based on Integral Methods and the Method of Moments. It is capable of modeling much larger problems than most tools already on the market. It achieves this by running 3D Vector Field Analysis, then reducing Maxwell’s field equations to an equivalent set of Kirchoff’s network equations. This and other well proven approximations dramatically reduce the computational requirements enabling workstation type performance on a PC.

Running Layan

To run this PCB simulator, select the [Layan] option from the [Tools] menu (the Layan feature is automatically installed when the Layan option is installed). Select Launch and the Configuration dialog is displayed.

Layan Libraries

To run Layan you will be required to use the three specific components as Input, Output and Common markers within the design. These are supplied in the Layan library within the Easy-PC For Windows product.

Note for Existing XM users upgrading to Layan For Windows

When converting designs from Easy-PC XM to Easy-PC For Windows, for designs which require or have been used with Layan previously, you will need to run the Forward Design Changes feature before subsequent use of Layan For Windows.

This will update the PCB design with the required component values from the Schematic.


Layan Configuration Dialog

This dialog is used to configure the characteristics of the PCB before it is simulated. The information is used to describe the frequencies required and the characteristics of the PCB construction materials used in the ‘make-up’ of the finished PCB.

There are buttons on this dialog for:

Run

This runs the Layan simulation engines and displays the Layan progress dialog.

Cancel

This cancels you from the Configuration dialog back to the main application.

Save Settings

This will save the current configuration settings to the design_name.ini file. This file is read in each time the design is loaded and the Layan configuration dialog entered.

Restore Settings

This button will restore the configuration settings back to the previously used configuration for that design. However, if the design has been renamed in-between the running of Layan, the settings will not be available for the new design name.

Load Default

This will load the default settings from those previously saved using the Save As Default option. If the Save as Default has not been previously used the Load Default option will use the built-in system defaults.

Save as Default

This feature will save the current settings of the configuration dialog to be recalled for subsequent use. Use the Load Default feature to recall the saved defaults.

thou to mm

This button switches (and converts) between imperial (thou) units and Metric (mm) units depending on which you decide to work in. These are independent of the design and the Units set in the Settings Units dialog.

You have control over the configuration of Layan and the parameters it will use for the simulation using the controls detailed below:

Principle Frequency

At low frequencies a conductor passes current evenly through its whole cross-section. At high frequencies however, due to the magnetic field generated at the centre of the conductor, the flow of current is effectively forced out to the outer ‘Skin’ of the conductor and the resistance of the conductor increases. This effect is taken into account by Layan. It computes the effective resistance of PCB tracks at the Principal Frequency,. This frequency is also used to compute the resistive losses in the dielectric of the PCB material.

PCB tracks are split up into sections no longer than one twentieth of a wavelength at this frequency to ensure the accuracy of transmission line effects.

The Principal Frequency, in MHz, is entered from the selection.

Coupling Radius

Layan will ignore capacitive and inductive coupling effects outside this distance. The larger this distance is made, the more capacitances and mutual inductances will be included in the equivalent circuit of PCB. Obviously the larger the coupling radius, the greater will be the accuracy of the simulation.

Coupling radius is entered in either mm or thousandths of an inch depending upon whether mm or inches are selected in Easy-PC For Windows normal display mode.

The coupling radius can usefully be experimented with for each layout. A setting of 200 thou (~5mm) is usually good to start with but additional accuracy can often be obtained by increasing this up to five times the distance of the main circuit tracks from the ground plane.

BUT, increasing the coupling radius increases the circuit complexity and can greatly increase the computational processing time both in parasitic extraction and in later simulation.

Dielectric Constant

This is the dielectric constant of the PCB Insulation Material. It is also a bit of a misnomer as with most materials it is not a constant but is a function of frequency. For greatest accuracy, use the dielectric constant specified for the main frequency range of operation.

Loss Tangent

This is the loss tangent of the PCB insulation material and is used to compute the losses in the insulation. Losses are calculated at the same frequency as that specified for skin effect. At relatively low frequencies, and for many applications, these dielectric losses will be negligible and under these circumstances computation can often be speeded significantly by setting loss tangent to zero.

Conductor Patterns

The make-up of the PCB is enters here. Layan allows for each surface of the board to have two different metal layers i.e. gold over copper or solder over copper etc. Thickness of each layer in either thousandths of an inch or mm depending whether you are working in inches or mm in Easy-PC For Windows and its respective conductivity, in Siemens per Metre, is entered. The thickness of the board material itself is entered in the same way.

Top Plating/Bottom Plating

With this check box checked, it indicates that the design has been top (or bottom) plated in its manufacturing process. Once checked, you are required to enter a Conductivity and Thickness of the material used to plate the top/bottom layer, e.g. tin on the copper layer.

The second entry for each Top/Bottom Plating layer is used for defining a second plating e.g. Gold on the existing copper.

The Bottom (or Top) plating layer will only be available for entry if the second layer has been used.

Via Metal

These parameters describe to Layan the Conductivity and Thickness of the metal used in through hole vias. The Thickness is in either thousandths of an inch or mm depending upon whether you are working in inches or mm.

This entry is greyed out as unavailable if there are no vias in the design or there is no usage of a second electrical layer.

Ground Plane/Air Gap

Layan will work with or without a ground plane. The ground plane can be on the board or separated away from it. Check the Ground Plane box to show the use of a ground plane.

Similarly, check the Air Gap box if there is an air gap between the board and the ground plane. If there is an air gap – specify the thickness in thou (or mm). Layan computes the capacitances of all board elements to the ground plane.


Layan Component Libraries

The testpoints recommended for use with Layan are supplied in the Layan library with Easy-PC For Windows. The Schematic and corresponding PCB Components are shown below:

Component 1
Component 2
Component 0

Schematic Symbols

Layan Components

PCB Symbols

I/P, O/P and Ground Schematic Symbols

Layan Components

I/P, O/P and Ground PCB Symbols

There are three types of components, Input Test Points , Output Test Points and Hard Ground Test Points. There are also Multiple Test Points. These are discusssed by following the links to relevant Help pages.


Layan Progress Dialog

Once the Configuration dialog has been completed and the Run button pressed, the progress dialog is displayed. This shows a dynamic report of Layan elements being processed from the Layan engine.

There are three buttons on this dialog:

Run Analyser

Once Layan has completed, indicated by the word Finished in the Activity box, clicking this button, Layan will automatically generate an Analyser netlist of the simulated design. The results do not contain a simple netlist of the design, but instead is a netlist of the design containing all the individual elements that Layan has calculated makes up the design. Analyser will run up and load the netlist automatically.

Back To Configuration

This returns you back to the Configuration dialog to make modifications which can then be resimulated.

Abort

If this button is pressed during simulation, the Layan engines are stopped and you are requested to continue or exit.

Warning: Running large designs in Layan can take some time to calculate every element in the design. Times of 30 minutes plus for processing on the larger designs should be expected, even on faster processors. Obviously, the processor power will have a significant effect on the computation of the design.


Layan Read Results

After Layan has been run, you can view the physical results of the operation by loading in the Layan overlay file. This will show you the elements that Layan has split the design items into in order to makes its calculation.

Also see: Layan Launch
Also see: Delete Layan Overlayt/a>


Multiple Test Points

Layan - Multiple Test Points

It can also be convenient to assign several input points to a circuit and have several output points, selecting an input and output pair for each simulation as required. An excellent example with an amplifier circuit would be to have a choice of two input points, one at the true input and one on the supply line. By re-selecting the input point after a normal simulation the input could be set up as the supply line and hence supply line immunity plotted.


Output Test Points

Layan - Output Test Points

These are Layan Library type 2. They can be placed anywhere in a schematic and translate to the equivalent component in the PCB. As with Input test points this enables the appropriate position on the PCB tracks to be identified by the net name having the test point mane in Analyser.


Component Library Manager Grid

The Component Library manager dialog displays a three way split screen showing the component information, the schematic symbol and PCB symbol.

This grid displays the Gate and terminal information as well as defining the terminal and pin name/numbering used by both the schematic and PCB symbols. The grid is directly editable for relevant information and should be for editing.


Component Wizard

The Component Wizard guides you step-by-step through the creation of new library components. If you need any new schematic and/or PCB symbols to make your new component, you should create these first before using the Component Wizard to create the component that 'binds' them together. New symbols can be created interactively or using the schematic symbol or PCB symbol Wizards.

Using the Component Wizard

The Component Wizard starts with an opening page telling you what the Wizard is for, and with a list on the left-hand side showing the steps that the Wizard will guide you through.

Type

Click [Next] to move to the next page of the Wizard. From the list shown, choose the type of component that you wish to create. Depending on what you select, some of the steps shown in the list on the left-hand side of the dialog may change or disappear.

Details

On this page, enter the basic details about the component. The number of pins is the number on the actual physical PCB component. This may be less than the number of terminals on your schematic gates, for example if your gates may contain common pins for power and ground.

If you change the number of pins, there may be a small delay as other pages are updated to reflect the change in pin count (for example to re-scan libraries for matching pcb symbols).

Schematic symbol

On this page, choose the schematic symbol to use for your new component. Use the drop-down list to choose the relevant library, then click on the required symbol in the list of symbols in that library. The preview (if enabled) will update to show you a picture of the selected symbol.

If you cannot find the right symbol, click on [Find] to use the Find dialog to search the libraries to find the symbol you want.

PCB symbol

This page works the same way as the Schematic symbol page, allowing you to choose the appropriate library and symbol, or search libraries for the right one. Note that only those symbols with the correct number of pins will be displayed.

Assign Pins

This page is used to set up the pin mapping that defines how the terminals in the schematic are mapped to the pads in the pcb. It also allows you to enter the terminal ("logic" or "function") name for each pin.

Any pin that has 'Common Pin' set to 'Yes' will replicate the values for its terminal name and pin number across all gates on the component.

How you do this will depend on the type of component you are creating. For some components it is sufficient to assign the pins 1-to-1. For others, entering the pin numbers by hand is best.

Multi-gate components

For multi-gate components, first assign the common pins(if any), including setting up their pin numbers. Once these are set up, use the [Assign 1-to-1] button to assign pin numbers to the rest of the pins, skipping any pins (i.e. your common pins) that are already numbered.

In this way it is very easy to get the Wizard to do most of the work for you, only leaving you the job of adjusting any odd pins that need it.

Finish

The final page on the Wizard allows you to save the component to library and/or file, and to open it for editing in the normal component editor window.


Library Components

Components

Components are the fundamental building blocks of most designs. However, like atoms, they are not indivisible. They are built from one or more symbols, interlinked between schematic and PCB.

When created, the components must be placed in libraries to be useful, but can also be saved independently in a special file format. This file option makes it easier to maintain individual components (as opposed to libraries).

When a component is added to a design, both parts of the component, together with a copy of any required symbols, are saved as part of the design file.

Creating a Component

Assuming that any symbols required by the new component are already available, the first move when designing a new component is to select [File], [Libraries], {Component}, and check that the active component library is correct. If it is not, either create a new one, or browse for the correct one, as appropriate.

Then, click on the [New] button adjacent to the contents box. A fresh dialog appears. Enter the component name in the top edit box, and the required package type below (using the pick list). Browse for the correct PCB symbol library and symbol, then repeat the operation for the schematic symbol. The number of pins in each symbol is reported. The number of gates in the package defaults to one, and may need changing.

Note:- The number of gates refers only to the first schematic symbol type loaded. For example a relay may have one coil and four contact sets. The coil may well be the first symbol loaded, so it becomes gate a. The number of gates would be one, even though a further four contact sets will need to be added.

Click on [OK]. You are now in the component edit screen.

Editing

Whether you are editing a component in a library, or opening a component file, you will see a window with a vertical divider. The smaller window to the left contains the schematic symbol, and the larger right hand one the PCB symbol.

Package Types

There are sixteen different package types. When in the component editor, the easiest way to access them is to click on the properties button in the toolbar. The properties window has two tabs, {Component} and {Package}. The {Component} tab holds information about the part in general, including which package types are defined. The {Package} tab is used to re-select the package type and PCB symbol. By changing the package type, and PCB symbol used, alternative footprints can be linked to a specific part. It may be necessary to redefine the schematic links depending on the package selected. Note that changing a package type in this way adds a new package. It does not remove any existing types. It can also be used to change the footprint associated with a given package type, but as the function of the package type is to differentiate between different possible PCB footprints for the components, they should be matched as closely as possible.

The list of package types is held in a file PACKAGE.TXT, which may be modified with a text editor. The maximum string length is five characters.

Multiple Symbols

There are two ways in which a component can contain multiple symbols. The simple case is when all are of the same type, but things become more complex when several types are used.

The number required of the first type to be used is specified at the same time as the schematic symbol. Subsequent gates of other types are added using the [Gate] function on the [Add] menu.

Naming Connections

To name a connection when in component edit mode, highlight the connection on the schematic symbol. Then, select [Properties], either from the [Edit] menu, or using the toolbar. Select {Schematic Pin}, and enter the name in the Pin Name edit box. Close the box, and the name will appear both on the chosen connection, and on the equivalent connection on all matching symbols. Repeat the operation for the remaining connections.

Where different schematic symbols are used, they are named in exactly the same way.

Note: There is no requirement that any name be unique. It is even permissible to link unnamed connections.

Linking Schematic and PCB Symbols

In order to do this, it is essential that [Assign Pins] is first selected from the [Edit] menu or from the toolbar.

To link a schematic connection point to a PCB pad, click on the PCB pad and then on the schematic pin, or vice-versa. The PCB pad number appears in the schematic symbol, and the pin name appears in the PCB symbol. Repeat the operation to assign the remaining pairs of connections. Where the connection mapping is not 1:1, simply click on the repeated item for each instance (for example, where power and ground pins appear for each gate, or where enable or clock lines are common across several functional blocks).

Once the mapping has been completed, selecting a schematic gate will highlight the corresponding pins on the PCB symbol.


Creating Components

Follow this procedure to create a new Component definition. We recommend that you read this topic before starting to create your Library Components, even if you are going to use the Component Wizard. The full procedure is documented in the current version of the Users Guide.

You should have already created or identified any Schematic or PCB symbols before starting to create components. If you haven't already done so, start with the Schematic symbols unless you are creating PCB only component libraries.

Creating a component

From the Libraries dialog, click the [New Item] button by the Contents List - This opens up the New Component dialog.

Choose the appropriate schematic and pcb symbols and libraries.

Select an appropriate Package Name from the Package pick list

Enter the Component Reference to be used in the Component Reference edit box (for example R for resistors, C for capacitors D for diodes, IC for Integrated circuits, etc).

Press the OK button

Link the Schematic and PCB Pin Names

You will now see both the Schematic and PCB symbols alongside each other in a graphics screen. All that remains to be done now is to enter the Pin Names, and link the Pin Names on the Schematic symbol and the PCB footprint

To complete the 'minimum' amount of information required to be able to save the component you must correlate the terminals to the PCB symbol pads. This can be done by editing the Gates field in the editor grid or by using the [Assign Pins 1-1] option on the [Edit] menu. If the terminals and pads do not have a 1:1 relationship then you cannot use this option. The [Assign Pins 1-1] option is particularly useful when there are hundreds of pins!

The pin mapping set up here is used when the component is translated from the Schematic to the PCB design. If the mapping is not at a 1:1 ratio, you can edit the grid boxes to assign the corresponding terminals to pads. To assign a pin manually, click on either the PCB pad, or the Schematic terminal in the symbol windows, then click on the other, the PCB pad number is highlighted on the Schematic symbol. Repeating the selection assigns another pair of terminal to pads.

Another method of assigning pins is to edit the component grid directly, Select the Gate number to map to the corresponding PCB symbol pin number. Once the mapping has been completed, selecting a Schematic gate will highlight the corresponding pins on the PCB symbol. You will also see that when editing the grid, the corresponding pins on the symbols will be highlighted.

Using this grid you can also assign the terminals another name or an alpha- numeric name if required for a connector say. This is done using the Terminal Name grid box.

It is at this point that you can save the component as it now contains all the necessary elements to be used in both the Schematic and PCB designs and to be translated between each design.

Saving The Component

To save the new component, select the [Save To Library] option from the [File ] menu.
When you started the creation of the new component, you selected a library and entered a new name for the component. These are now presented to you in the Save To Library dialog. You can, of course, edit both the library and the component name, either way, press OK to save the component. This component can now be used in both the Schematic and PCB design editors using the [Add Component] option from the [Add] menu.

See Also

Component Wizard
Libraries
Library Structure


Creating PCB Symbols

Follow this procedure to create a new PCB library symbol. We recommend that you print this topic before starting to create your symbols. this procedure is the same as documented in the Users Guide (V5.0 and later)

If you haven't already done so, start with the Schematic symbols unless you are creating PCB only component libraries.

Also see: Creating Components
Also see: Creating Schematic Symbols

PCB Symbols

In principle, the design of PCB Symbols is the same as the Schematic Symbols except for the obvious differences.
Like Schematic Symbols, PCB Symbols cannot be used directly in the design and must be part of a component definition to be used.
You can start the PCB Symbol editor from the [New] and [PCB Symbol] dialog on the [File] menu.
When creating Symbols it is probably more advisable to use the Libraries dialog, this enables you to select the destination library for the new symbol.
The Technology file to be used can be chosen at this point by selecting it by name using the Tech Files dialog, select the Tech Files button to open the dialog.

The Technology dialog will display the path of the current Technology Files and the name of a Technology file. If one has not been previously selected, you will see as the selection. From the drop down list select a Technology file to use. Click OK to make the selection.
Click on the New Item button to start the Symbol Editor.
Once in the Symbol editor you are ready to create a new symbol.
You can start in many ways, but generally you would start by placing Pads, followed by any shape outlines (silkscreen outlines etc.) and then any free text, and the component reference name location. Most of the tools required for these processes are located on the [Add] menu.

Adding Pads

Pads are used to make the electrical connection points of the symbol. These will be used to make the electrical connectivity of the design.
When adding terminals, to get a perspective of the size and pitch of the pads it is better to view a working grid. This can be displayed by pressing the G key on the keyboard. To check the pitch of the grid select the [Grids] option from the [Settings] menu. You should check both the Working Grid and the Screen Grids. Make sure you understand the relationship between each of them and don't have odd grids in each, e.g. 33 in one and 50 in another, this will only make what is visible against what you are using very confusing. It is recommended that to start with you use a Working Grid and Screen Grid of 25 thou or the Metric equivalent, this may well be very different if designing fine pitched metric symbols. Adjust the grid size accordingly.

Once you are satisfied with the Grids you can start adding pads. From the [Add] menu, select [Add Pad]. On selection you will have a pad on the end of your cursor, position this on a grid point (or your required location).
The default terminal size will be taken from the [Remember Styles] [Pads] on the [Settings] menu, this can be defined in the Technology file.

With the addition of the first pad, a Symbol Origin marker and pad number are added.

The 'S' character is used to define the Symbol origin. This can be anywhere you like but should be consistent through all your library items. By convention Easy-PC places this marker on pad 1 of each symbol for through hole devices. This becomes the component centre if the device is a surface mount component. Unless a specific origin has been set, the symbol origin defaults to the most left point (priority), then the highest point (second priority) where there are several in a column. This ensures that for most symbols it defaults to the top left-hand corner.
The S symbol is sometimes left hanging away from the symbol itself when saved, this is often the cause of 'random' placement in the PCB design and can easily be found by pressing the 'A' key in the symbol editor with the symbol at fault on-screen.
The pad itself shows the final pad position and this will be regardless of the final pad style you choose to use.
The number is the pad number. This can be the pad number but can be renumbered in the component definition. The number is shown in the position it will appear when used in the design. This can be moved in the Symbol editor but cannot be moved once placed in the design.
The XXXX defines the location of the Pad name. This can be moved in the Symbol editor and in the design. The XXXX cannot be named in the Symbol editor and are displayed to show the location only. They can be defined when used in the component definition.
If you select the XXXX and choose Properties form the right mouse menu, the following dialog is displayed:

You can change the text alignment that will be used once the symbol is placed in the design, you can opt to align it Left or Right.
Once released, a second (and following the second, additional pads) will be available for placing. These pads will be automatically numbered in sequence and should be positioned accordingly as required. If you make a mistake in the positioning, you can renumber them at any time. You can manually renumber them using the [Renumber Pins] option from the [Edit] menu.

Press OK and select the first pad to renumber. Each click of the mouse will increment the pads by one number. If you wish to skip a number then the pad can be selected twice. Move onto the next pad to renumber it or press [Esc] to exit the option.

Tip: When adding pads, if you have moved the sequence number and the location or alignment of the pad name text, if you wish to use this on subsequent pads, select it first and then press [Add Pad]. This will take the style of the selected pad and add the next one in exactly the same way. If you don't select one first, the [Remembered Style] for [Pads] is used.

When all of the pads have been added it might look something like this:

On the PCB symbol each pad number must be unique, if they aren't, when you try to save them Easy-PC will alert you to this mistake and you will have to rectify it before exiting the editor.
If the PCB footprint is a surface mount device, pad placement would have been performed the same way except that the pad style would be different.
The pads would be added in the same way except that they would not have drill holes specified and a side would need to be defined for the pads. In the example below, the through hole pads have been replaced with surface mount pads.

Once the pads have been added to the design they will still be on sides, as they would be for a through holes technology. To make them unique to either the Top or Bottom side of the board you should select them all and from the right mouse menu select [Layers] or [Properties]. Both options have the same effect and can be used to change the pad layer.

Again, to make the pad sides more consistent in your library, the pad side should be set to Top. By setting them to Top, they are then also consistent with the standard Easy-PC libraries supplied. When used in the design, the side of the component can be changed to the opposite one using the [Change Layer] option or by selecting the component and pressing the shortcut key F (Flip) on the keyboard.

Adding Shape Detail

Any shape detail can be added using the [Add Shape] option from the [Add] menu. When selected, you are presented with the choice of Polygon, Rectangle and Circle. Select the shape required and draw in the shape. With the PCB symbol editor more consideration needs to be made to the Layer on which the shape exists.
The [Layers] dialog on the [Settings] menu is used to create layers which you may require in the design.

When adding the actual shape itself you can select which layer it will be placed on by using the [Change Layer] option from the right mouse menu.

The Old Layer will be shown as reference and the New Layers available for selection will be shown. Choose the new layer from the drop down list.
If adding shapes you may well require different shape detail on different layers, Silkscreen, Assembly, Placement etc. for example. Using [Change Layers] this can easily be achieved.
When the final component is used in the design, if the pads and shapes are on the Top layer (for example), if you choose to Flip the component to the other side of the design, the layers will be matched with their opposites on the other side of the design. Items on the Top layer would move to the Bottom layer and vice-versa.

Add the Component Reference Origin

The component reference origin is used to predefine the location of component reference when used in the design, e.g. U1, PL1, IC1 etc. If one is not defined in the symbol, the symbol origin will be used as the default position. It is better to define a component reference origin by using the [Reference Origin] option from the [Add] menu.
When selected the 'R' symbol is placed on the end of your cursor ready to be positioned in the design, single click to release it.

This can be placed anywhere on the symbol but should be consistent through all of your symbols. By convention, Easy-PC always uses the lower right hand side of the symbol to position the reference origin.

Adding text to the Symbol

Any free text can be added to the symbol. Use the [Add Text] option from the [Add] menu. This works in the same way as if adding it to the design.

Styles

As with Schematic and PCB designs, any item in a symbol may have a style attached (and an associated technology file). Styles assume a slightly greater importance with symbols, as they can dictate the degree of subsequent flexibility.
When the sizes, etc., of structures in a symbol are defined, they are saved with the symbol. If the sizes are not labelled with a style, they become fixed and immutable as far as the final design is concerned. However, when the sizes are named as a style, the symbol becomes associated with that style. When an associated component is used in a design, the style is added to those available for the design.

There is a potential flaw with this. Suppose that a style of the same name already exists in the design, and by some mishap it is different. The incoming component now generates a conflict. The program resolves this by asking whether the symbol is to use the style already existing in the program, or whether the name should be stripped from the style linked with the symbol. If the name is stripped, the values are fixed, and the symbol behaves as if the style had never been named.
The big advantage of using named styles in this way is that they can be accessed and changed from within the design. Clearly the ability to globally 'tweak' sizes can be most useful if the design is tight, or conversely if currents or impedances are higher than expected.

Saving the new symbol

There are three options when saving a symbol, all accessed from the [File] menu.
[Save] simply overwrites a previous file by the same name, if edited for example.
[Save As] saves the symbol to a new or alternative filename. In both these cases, a file is generated with the extension '.psy' for a PCB symbol. These files can be used to transfer symbols between libraries, as a convenient backup, or simply to hold an incomplete copy of a symbol whilst working on it.
The third option, [Add to Library], adds complete symbols to the currently selected symbol library. It will not allow incomplete symbols to be saved. A dialog prompts for the new symbol name, and gives an opportunity to check or change the current library.

When creating new symbols, this would be the normal option to use. From this dialog you change the name of the Library in which to save the symbol and the symbol name.

If you save the Symbol and forget where you have saved it to (this is a very common occurrence !), you can use the Find button to locate the item.

Adding Mounting Holes

If your symbol requires additional pads to be added for use as mounting holes you should use the [Add Pad] option. Although these pads will be sequenced along with the symbol pads, it does make it much easier if they exist outside the main pad sequence as they can be ignored. You can have a different number of pads to terminals between the Schematic symbol and PCB symbol.

The mapping of terminals and pads is covered in the section Creating Components


Creating Schematic Symbols

Creating Schematic Library Symbols

Follow this procedure to create a new Schematic library symbol. We recommend that you print this topic before starting to create your symbols. this procedure is the same as documented in the Users Guide (V5.0 and later)

If you haven't already done so, start with the Schematic symbols unless you are creating PCB only component libraries.

Also see: Creating Components
Also see: Creating PCB Symbols

Overview

Symbols themselves cannot be used directly in a design, they must be part of a component. They are nonetheless an essential resource for building the components fundamental to any design. The editing commands are largely identical to those used for the Schematic and PCB designs except for the subtleties associated with each symbol type. Symbols are capable of using styles and technology files to good effect.
Symbols necessarily split into two types; those for Schematics, and those for PCBs. This is recognised by having two separate library management modes, and subsequent creation modes.

Schematic Symbols

You can start the Schematic Symbol Editor from the [New] and [Schematic Symbol] dialog on the [File] menu, or by using [New Item] on the Schematic Symbol tab on the Libraries dialog.
When creating Symbols it is probably more advisable to use the Libraries dialog, this enables you to select the destination library for the new symbol.
The Technology file to be used can be chosen at this point by selecting it by name using the Tech Files dialog, select the Tech Files button to open the dialog.

The Technology dialog will display the path of the current Technology Files and the name of a Technology file. If one has not been previously selected, you will see as the selection. From the drop down list select a Technology file to use. Click OK to make the selection.

Click on the New Item button to start the Symbol Editor.
Once in the Symbol editor you are ready to create a new symbol.
You can start in many ways, but generally you would start by placing Terminals, followed by any shape outlines and then any free text, and the component reference name location. Most of the tools required for these processes are located on the [Add] menu.

Adding Terminals

Terminals are used to make the electrical connection points of the symbol. These will be used to make the electrical connectivity of the design.
When adding terminals, to get a perspective of the size and pitch of the terminals it is better to view a working grid. This can be displayed by pressing the G key on the keyboard. To check the pitch of the grid select the [Grids] option from the [Settings] menu. You should check both the Working Grid and the Screen Grids. Make sure you understand the relationship between each of them and don't have odd grids in each, e.g. 33 in one and 50 in another, this will only make what is visible against what you are using very confusing. It is recommended that to start with you use a Working Grid and Screen Grid of 50 thou or the Metric equivalent.

Once you are satisfied with the Grids you can start adding terminals. From the [Add] menu, select [Add Pad]. On selection you will have a terminal on the end of your cursor, position this on a grid point (or your required location).
The default terminal size will be taken from the [Remember Styles] [Pads] on the [Settings] menu, this can be defined in the Technology file.
There are four items of information displayed:

The 'S' character is used to define the Symbol origin. This can be anywhere you like but should be consistent through all your library items. By convention Easy-PC places this marker at the upper left terminal of each symbol. Unless a specific origin has been set, the symbol origin defaults to the most left point (priority), then the highest point (second priority) where there are several in a column. This ensures that for most symbols it defaults to the top left-hand corner.
The S symbol is sometimes left hanging away from the symbol itself when saved, this is often the cause of 'random' placement in the schematic design and can easily be found by pressing the 'A' key in the symbol editor with the symbol at fault on-screen.
The large 45 degree cross shows the terminal position.
The number is the terminal number. This can be the terminal number but can be renumbered in the component definition. The number is shown in the position it will appear in when used in the design. This can be moved in the Symbol editor but cannot be moved once placed in the design.
The XXXX defines the location of the Pad name. This can be moved in the Symbol editor and in the design. The XXXX cannot be named in the Symbol editor and are displayed to show the location only. They can be defined when used in the component definition.
If you select the XXXX and choose Properties form the right mouse menu, the following dialog is displayed:

You can change the text alignment that will be used once the symbol is placed in the design, you can opt to align it Left or Right.
Once released, a second (and following the second, additional terminals) will be available for placing. These terminals will be automatically numbered in sequence and should be positioned accordingly as required. If you make a mistake in the positioning, you can renumber them at any time. You can manually renumber them using the [Renumber Pins] option from the [Edit] menu.
To use Renumber Pins you must choose the start number:

Press OK and select the first terminal to renumber. Each click of the mouse will increment the terminals by one number. If you wish to skip a number then the terminal can be selected twice. Move onto the next terminal to renumber it or press [Esc] to exit the option.

Tip: When adding terminals, if you have moved the sequence number and the location or alignment of the pad name text, if you wish to use this on subsequent terminals, select it first and then press [Add Pad]. This will take the style of the selected terminal and add the next one in exactly the same way. If you don't select one first, the [Remembered Style] for [Pads] is used.

When all of the terminals have been added it might look something like this:

Apart from the shape detail the symbol is almost complete and suitable for use.

Adding Shape Detail

Any shape detail can be added using the [Add Shape] option from the [Add] menu. When selected, you have the choice of Rectangle, Polygon or Circle. Select the shape required and draw it in to create the symbol outline.

The editing options when using [Add Shape] are the same as for the shape editing in the Schematic or PCB design editors.

Adding the Component Reference Origin

The component reference origin is used to predefine the location of component reference when used in the design, e.g. U1, PL1, IC1 etc. If one is not defined in the symbol, the symbol origin will be used as the default position. It is better to define a component reference origin by using the [Reference Origin] option from the [Add] menu.
When selected the 'R' symbol is placed on the end of your cursor ready to be positioned in the design, single click to release it.

This can be placed anywhere on the symbol but should be consistent through all of your symbols. By convention, Easy-PC always uses the lower right hand side of the symbol to position the reference origin.

Adding text to the Symbol

Any free text can be added to the symbol. Use the [Add Text] option from the [Add] menu. This works in the same way as if adding it to the design.

Styles

As with Schematic and PCB designs, any item in a symbol may have a style attached (and an associated technology file). Styles assume a slightly greater importance with symbols, as they can dictate the degree of subsequent flexibility.

When the sizes, etc., of structures in a symbol are defined, they are saved with the symbol. If the sizes are not labelled with a style, they become fixed and immutable as far as the final design is concerned. However, when the sizes are named as a style, the symbol becomes associated with that style. When an associated component is used in a design, the style is added to those available for the design.

There is a potential flaw with this. Suppose that a style of the same name already exists in the design, and by some mishap it is different. The incoming component now generates a conflict. The program resolves this by asking whether the symbol is to use the style already existing in the program, or whether the name should be stripped from the style linked with the symbol. If the name is stripped, the values are fixed, and the symbol behaves as if the style had never been named.
The big advantage of using named styles in this way is that they can be accessed and changed from within the design. Clearly the ability to globally 'tweak' sizes can be most useful if the design is tight, or conversely if currents or impedances are higher than expected.

Saving the new symbol

There are three options when saving a symbol, all accessed from the [File] menu.
[Save] simply overwrites a previous file by the same name, if edited for example.
[Save As] saves the symbol to a new or alternative filename. In both these cases, a file is generated with the extension '.ssy' for a Schematic symbol, or '.psy' for a PCB symbol. These files can be used to transfer symbols between libraries, as a convenient backup, or simply to hold an incomplete copy of a symbol whilst working on it.
The third option, [Add to Library], adds complete symbols to the currently selected symbol library. It will not allow incomplete symbols to be saved. A dialog prompts for the new symbol name, and gives an opportunity to check or change the current library.

When creating new symbols, this would be the normal option to use. From this dialog you change the name of the Library in which to save the symbol and the symbol name.

If you save the Symbol and forget where you have saved it to (this is a very common occurrence !), you can use the Find button to locate the item.


Find

The Find dialog allows you to scan your libraries to search for particular components or symbols.

Libraries can be searched on up to three separate criteria (only two for symbols). Each of these criteria are enabled by 'checking' the checkbox alongside the relevant settings on the dialog.

Name

Matching on the library item name can be done in three different ways:

  • Is Exactly : only matches items with exactly the name specified
  • Starts With : only matches items that start with the given text
  • Contains : only matches items that have the given text anywhere in their name

Number of terminals/pads

This field allows you to limit the search to match only those library items with the specified number of pins.

Value

When searching for components, you can also choose to search for items that have a particular value. Leave the 'is' field blank to match all items that have this value regardless of its actual setting, or enter the desired setting to search for a specific value.

Results

On pressing Find, there may be a delay whilst any library index files are updated. Having done this, the libraries are searched for matching items. Any matches found are listed on the dialog, showing their name and library file, and for components their 'package' as well.

To select the desired item, simply click on it in the list. As you select the item, the corresponding 'master' dialog (Libraries, Add Component, etc) will update its details and preview to show you the selected item. To close the Find dialog, either click on [Close] or double-click the required library item in the list.

See Also

Libraries
Add Component


PCB Symbol Wizard

The PCB Symbol Wizard guides you step-by-step through the creation of new pcb symbols.

Using the PCB Symbol Wizard

The PCB Symbol Wizard starts with an opening page telling you what the Wizard is for, and with a list on the left-hand side showing the steps that the Wizard will guide you through.

Technology

Click [Next] to move to the next page of the Wizard. You can choose a technology file to be used when creating the symbol, thus providing you with access to your standard pad and line styles.

You can also choose the units in which sizes and other values should be displayed. This can be selected independently of any technology file chosen.

Type

The next page allows you to choose the type of symbol to be created. Choose the required type from the list. The preview in the lower left part of the dialog will update (as it does throughout the Wizard) to give you immediate visual feedback on what the resulting symbol would look like.

Pads

On this page you can choose the size, number and position of the symbol pads. The exact details you can set up will depend on the type of symbol you have chosen to create. For example, the number of pads for grid array symbols are specified by the number of rows and columns, whereas those for a DIL package are specified by the total number of pads.

Silkscreen Shape

The silkscreen shape is optional, but if you choose to create one then this page allows you to specify the layer on which it should be placed, and the dimensions used to create it.

Placement Shape

A placement or assembly shape can also be created if desired, in which case this page is used to once again specify where the shape is placed and what line style to use.

Finish

The final page on the Wizard allows you to save the component to library and/or file, and to open it for editing in the normal component editor window.


Libraries

The Library manager is accessed from [File], [Libraries] and is used to manage your libraries. The dialog contains three tabs for {PCB Symbols}, { Schematic Symbols}, and {Components}. The operation of all three options is similar.

Using the Library Manager

Library File

At the top of the library file section it shows the currently active library (note that if the path is long, it may be necessary to click on the entry then press [End] to see all the contents).

The [Browse] button allows you to select the library folder to search for the libraries. The [New Lib] button will enable the name of a new empty library to be created ready to accept library contents. Both the Directory and (Library) Name must exist before contents can be added.

There are no restrictions on the directory in which the libraries are kept. Easy-PC remembers the last directory used, and will offer this in the browser, but this can be changed simply by browsing elsewhere. It is highly advisable, however to keep component and symbol libraries in the same directory.

Library Contents

Below the Libraries entry is the Library Contents area displaying the contents of the library.

Adjacent are the [Add File] and [New Item] buttons.

[Add File] allows extra library items to be added, either from files or other libraries. Note: These files can be normal design files as well as symbol and component files, and can include files from previous versions or products (e.g. Easy-PC Professional).

[New Item] opens a new editor using the appropriate editor type for the library being created or edited. When you have finished with this screen it is necessary to use [File], [Libraries] again to return to the browser.

Highlighting one of the items in the contents box makes the [Edit], and [Delete] buttons accessible. If multiple items are highlighted, [Edit] will open multiple windows, and [Delete] remove multiple items.

The [Find] button allows you to search the library for particular items using the Find dialog.

The [Tech Files] button allows you to choose a technology file to be defined for use in editing or previewing symbols. The technology file assists with symbol creation and maintenance as it predefines a range of settings. These help to ensure a consistent design approach by providing a standard pool on which to draw.

There is also a Preview window which shows the selected symbol or component information.


Library Structure

Note:- This section only deals with library management. Separate sections cover symbol and component creation.

Overview

The library system is comprehensive. This completeness is required to give maximum flexibility and versatility for component management. A little understanding of how the underlying structure works will give a much better ability to use these capabilities to the full.

The libraries use a two tier system. The bottom tier is referred to as Symbols, and represents a resource used by the top tier, the Components. It is this top tier to which you refer when loading a component into a design.
The reason for using two tiers is that the symbols are the graphical representation of the component. A fairly small number of graphics tend to be common across many different components. (Consider an IC footprint, or a resistor Schematic symbol).
Consequently, the symbols can be used many times, which saves design effort and disk space, and keeps files smaller (less memory required). Also, if changes are required, it is much easier to change one common symbol than to change every similar component.

Schematic And PCB Symbol Libraries

There are two classes of symbol library. Those with the extension '.ssl' contain Schematic symbols, and those with the extension '.psl' contain PCB symbols. there is no limit how many symbols may be kept in a given library, but with extremely large libraries, loading times may be slower.

Component Libraries

Component libraries combine all aspects of a component, both Schematic and PCB Symbol references. They can be identified by the extension '.cml'. Each component in a library is aware of the names and library names of its constituent symbols. The components can contain several Schematic symbol gates in each component, and a number of footprints, each with its own symbol. For example, a component might have 3 NAND gates and a power gate for use in the Schematics, a DIL, and an SMD footprint for use in PCB, assigned to it.

Symbol Files

Any symbol may be exported and imported from libraries as a stand alone file. Schematic symbol files use the extension '.ssy', and PCB symbol files '.psy'.

Care should be taken when saving files. The extension is added automatically, an incorrect extension can cause confusion. E.g., a Schematic symbol saved to a file 'Fred.psy' would actually create a file 'Fred.psy.ssy'.

The symbol file is a useful and perfectly valid way of saving partly completed symbols before they are ready for adding to the relevant library.

Component Files

Components may be exported and imported from libraries as stand alone files. These files have the extension '.cmp'. These components are aware of the names and source library name(s) of their symbols. If a symbol cannot be found when opening a component file, you will be prompted to specify where the missing library can be found.

A component file is a useful and perfectly valid way of saving partly completed components before they are ready for adding to the relevant library.


Managing Component libraries

Merging Libraries

Libraries may be combined using the [Add] button in the library dialog box, as mentioned in the previous section. Besides copying to alternative libraries, this function has an important second function.
Components can have many different package types, each one corresponding to an alternative PCB footprint. When components are added together, their package types merge. This means that an extra package type for a component can be built and tested using a working library, then only added to a main library after checking.
When two libraries are merged, you are always prompted before a component is changed. You should beware of components (with the same name) using similar symbols from different libraries as it is easy to inadvertently associate the wrong symbol definition with a component.

Importing Libraries from Previous DOS Versions

Importing components from DOS files is relatively straightforward. Using the library management mode discussed earlier, add the DOS Schematic to appropriate Schematic symbol and component libraries. Next add the matching DOS PCB design to the PCB symbol library and the same component library as before. When you are prompted whether the components are to be updated, choose [Yes]. This ensures Schematic and PCB devices will correctly link.

To import libraries from EASY-PC Professional /XM, ensure that all the relevant original DOS symbol and component libraries are in a common directory, then open [File], [Libraries]. Follow the rule that '.pic' files become '.psl' files, '.sic' files become '.ssl', and '.idx' become .cml'.

Note: for the conversion of '.idx' files to '.cml' you also require the old EASY-PC files with the extensions '.nfo', '.pno', and '.par'. This will then ensure that all the entities required to reconstruct the component libraries are included. These files should have the same filename as the .idx file, e.g. micro.idx, micro.nfo, micro.pno and micro.par.

For each PCB and Schematic symbol file:
1. Use [New] to create a symbol file with the same name and file type as the original (e.g. Micro.pic would need Micro.psl to be created in {PCB symbol} mode.) It is essential that each of the libraries has the same name as previous.

2. [Add] each symbol file in turn to the new library with the same header.

3. Next repeat the operation with each '.idx' file in component mode. This time it is not necessary for the source and target filenames to match. All package types found will be imported. If any symbols are missing you will not be warned until you attempt to use a component that needs one of them.

See also Importing Libraries from Easy-PC Professional XM

Importing Libraries From Designs

In the same way that old libraries can be imported to create new libraries, new libraries can also be created from old designs or even from new designs. Library contents can be rebuilt using a sub-set of the PCB or Schematic design file.
Components can be rebuilt using Schematics or PCB designs, where as a Schematic symbol library can only be rebuilt from a Schematic design and a PCB symbol library can only be rebuilt from a PCB design.
Use the [Add] button on the Library Manager dialog to import the files as libraries.


Schematic Symbol Wizard

The Schematic Symbol Wizard guides you step-by-step through the creation of new Schematic symbols.

Using the Schematic Symbol Wizard

The Schematic Symbol Wizard starts with an opening page telling you what the Wizard is for, and with a list on the left-hand side showing the steps that the Wizard will guide you through.

Technology

Click [Next] to move to the next page of the Wizard. You can choose a technology file to be used when creating the symbol, thus providing you with access to your standard pad and line styles.

You can also choose the units in which sizes and other values should be displayed. This can be selected independently of any technology file chosen.

Type

The next page allows you to choose the type of symbol to be created. Choose the required type from the list. The preview in the lower left part of the dialog will update (as it does throughout the Wizard) to give you immediate visual feedback on what the resulting symbol would look like.

Styles

This page allows you to choose the styles to be used for the terminals and shapes.

Pads

On this page you can choose the size, number and position of the symbol pads. The exact details you can set up will depend on the type of symbol you have chosen to create.

Finish

The final page on the Wizard allows you to save the component to library and/or file, and to open it for editing in the normal component editor window.


Library Symbols

Symbols

Symbols by themselves cannot be used in a design. They are nonetheless an essential resource for building the components fundamental to any design. The editing commands are largely identical to those used for the schematic and PCB designs, and symbols are capable of using styles and technology files to good effect.

Symbols necessarily split into two types; those for schematics, and those for PCBs. This is recognised by having two separate symbol libraries, each with a different file extension.

Creating a Symbol

Symbol creation uses the standard editing commands. There is one notable exception which is line/track editing. If a line is required, this is created as an open polygon. The same features are available for editing these as for a line or track. Where multiple stubs are required in a schematic, it is often faster to use the duplicate feature (hotkey ) to repeat an existing stub.

It is important to remember to include the connection points when creating a symbol. The pin/pad names and numbers can be selected and dragged to new locations in the usual way. You will probably want to set a fairly fine snap grid for this operation. The order of pin connections in a schematic symbol is irrelevant, as pin numbers shown on the finished component are found from the pads in the corresponding PCB symbol.

Unless a specific origin has been set, the symbol origin defaults to the most left point (priority), then the highest point (second priority) where there are several in a column. This ensures that for most symbols it defaults to the top left corner.

The origin for the placement reference should be set before saving a symbol. As a precaution, if it is not set, it will default to the symbol origin. This ensures that it will always be closely associated with the symbol, but at a point unlikely to be optimum. If a symbol is created with this oversight, the placement reference on the resulting component can be dragged to an appropriate spot, until the original symbol can be corrected conveniently.

Styles

As with schematic and PCB designs, any item in a symbol may have a style attached (and an associated technology file). Styles assume a slightly greater importance with symbols, as they can dictate the degree of subsequent flexibility.

When the sizes, etc., of structures in a symbol are defined, they are saved with the symbol. If the sizes are not labelled with a style, they become fixed and immutable as far as the final design is concerned. However, when the sizes are named as a style, the symbol becomes associated with that style. When an associated component is used in a design, the style is added to those available for the design.

This can give rise to a potential problem. If a style of the same name already exists in the design, and by some mishap it is different, the incoming component will generate a conflict. Easy-PC resolves this by asking whether the symbol is to use the style already existing in the program, or whether the name should be stripped from the style linked with the symbol. If the name is stripped, the values are fixed, and the symbol behaves as if the style had never been named.

The big advantage of using named styles in this way is that they can be accessed and changed from within the design. Clearly the ability to globally modify sizes can be most useful if the design is tight, or conversely if currents or impedances are higher than expected.

Saving a Symbol

There are three options when saving a symbol, all accessed from the [File] menu. [Save] simply overwrites a previous file by the same name. [Save As] saves the symbol to a new or alternative filename. In both these cases, a file is generated with the extension .ssy in the case of a schematic symbol, or .psy in the case of a PCB symbol. These files can be used to transfer symbols between libraries, as a convenient backup, or simply to hold an incomplete copy of a symbol whilst working on it.

The third option, [Add to Library], adds complete symbols to the currently selected symbol library. It will not allow incomplete symbols to be saved. A dialog prompts for the new symbol name, and gives an opportunity to check or change the current library.

Importing from a File

There are three different types of file from which symbols may be added to a library. In each case, adding to the symbol library is done using [File], [Libraries], then by selecting the appropriate tab, and clicking on [Add].

The simplest case is where a symbol file is being imported. As with [Add to Library], a dialog prompts for the symbol name. The library cannot be changed at this point as it could be changed earlier (before selecting [Add]). If the name already exists in the library, a further dialog gives the option to overwrite or abandon the import.

The second case is where a design file is selected. All symbols of the relevant type found in the file are imported, together with their styles where appropriate. Again dialogs allow conflicts to be resolved.

The third case is similar to importing a design file, but in this case it is another symbol library of the same type which is used as the source. This is a rapid way of reducing the proliferation of libraries, but beware - component libraries record the filename of every symbol used. If the original symbol file cannot be found by a component, an error message is generated.

The major benefit of importing other symbol libraries is that it is not restricted to Easy-PC for Windows libraries. Symbol files (.sic and .pic) from EASY-PC Professional (and XM) can also be imported this way. If the new symbol library name matches the original, any imported DOS component libraries will also work (e.g. gates.sic would become gates.ssl).

See also Importing Libraries from Easy-PC professional XM.


256 Font Character Support

The full 256 character font set (European character set) can be used with Easy-PC For Windows. This font set can be used wherever text is entered or copied. Use the Alt key and the numeric keypad to enter the characters required.

For example (and as a selection only),

À Á Â Ã Ä Å Ç È É Ê Ë


Backups

Back-up Designs and Libraries to an alternative drive or floppy disk regularly.

Computer hardware does fail !! Save backed up work regularly under a different name and occasionally to a floppy drive. This makes it possible to re turn to historical versions of your de signs at any stage.

With the security copy feature enabled through the Preferences dialog, Easy-PC For Windows automatically saves your current design at regular intervals but changes the back-up name to use the tilde (~) character as its first letter. For example, mydesign.pcb would also be saved as a security copy as ~mydesign.pcb

You should ensure that that you do not use the ~design file as your working design. This will become apparent if the design name in your working folder is ~~mydesign.pcb. The double tilde will indicate that you have opened the back-up and that the system has created a back-up of your back-up !


Producing a Schematic and PCB Design

Basic Principles

The normal route for a design is create schematic, simulate it, translate it to PCB, optimise the component placement, and route the tracks. If you have one of our autorouters, route tracks means route critical tracks manually and then autoroute the rest.

If you have Layan, our electromagnetic simulator, then the critical PCB sections and their appropriate schematic segments would be prototyped first (with Easy-PC) and the performance of the circuit including the parasitic effects of the PCB optimised using Layan and Analyser. These would then be duplicated in the complete schematic and PCB design.

Schematic

Most engineers create their schematics dynamically and start at a simple part of the circuit and gradually build it up adding components and connections as they go. Here are the step-by step operations involved in producing a schematic design:

1. Start a new schematic design

From the Files / New menu select New Schematic.

2. Select a Technology File

Select one of our provided technology files which best describes the manufacturing process for the final product e.g. Double Sided Through Hole Plate.

3. Locate the Libraries to be Used

Locate the libraries containing the components that you wish to use, making sure that corresponding schematic and PCB symbols are the ones that you want. This can be confirmed using the library component edit screen. Library components with Easy-PC provided are listed at the back of this manual. If any components that you require are not supplied they can be created at any stage of the design.

See Creating a Library Component.

4. Add Components

Using Add/ new component menu button, select the first components from the required library and place them in rough position on the screen

5. Connecting Components

Having place the first of the components start connecting them together.

See Connecting Components in a Schematic.

6. Saving the Design

Once the design is under way it is always a good idea to give the design a name and to ensure that it is saved regularly. An automatic backup can be enabled using the Settings / Preferences menu. Ten minutes is a good auto-backup time to start off with, depending on the speed which you work! It can be a good idea to also save your schematic as part of a project. If your design is going to need several schematics to produce a single PCB then saving them as part of a common project is essential. It is a good idea to make sure that any project exists in it's own folder.

7. Net Names and Classes

It is a good idea to give all connections a net name to and to allocate a net class. Multi sheet schematic projects are joined together by using common net names. Any net names are automatically added to the technology file and after first use can be selected from the pick list rather than re-typed. This allows, even encourages meaningful net names.

8. Editing Components and Connections

Both components and connections can be edited or moved at any time using click and drag mouse actions.

9. Completing the Schematic

Add more components and connect them as you go, making regular saves, until the schematic is complete.

PCB

Here are the step-by step operations involved in producing a PCB design:

1. Translate to PCB

To create the PCB select Tools / Translate to PCB.

2. Select a Technology File

Select the appropriate technology file and the library files (if required for the PCB symbols) and you are presented with the components stacked by component type at the bottom of the workplace and a report if there were any problems with the translation. This will include details of any connections made to only one terminal of a device and any schematic symbol for which there was no PCB symbol.

If there any reported problems on the translate these should be sorted out depending upon the severity. " Net NNNN contains a single pin" message is probably a schematic error where a device pin should have been taken to a connector or test point. "Could not load component XXXXX, package YYYYYY into PCB design" message suggests that a schematic component has no corresponding PCB Symbol allocated.

After getting a successful translate, the PCB components are presented stacked up at the bottom of the work area.

3. Layout the PCB

The basic procedure for laying out the PCB is to place the components that must be in a fixed position, as dictated by physical requirements e.g. edge connectors, external controls, heat sinks etc, then place any critical components e.g. those associated with very low level or RF circuitry

4. Define a Board Outline

Optionally, create or load a board outline.

5. Position Fixed Components

Position the connectors and any other components that must have a fixed position in the design, Any bus connected components should be placed sensibly and in line wherever possible.

6. Optimise the Nets

Run tools / optimise / all nets and then working from the placed components gradually group associated components together re-optimising regularly until all of the components are placed and the density of the unrouted nets looks fairly even.

7. Route the Layout

If there are any layout critical areas of the board like RF sections or high speed clocks then these should be manually routed first. See Adding Tracks to PCB Layouts. Components and associated tracks can be dragged around at any time to make more room for tracks.

See Editing Components and Editing Tracks and Connections.

The clearances used in the board can be checked at any time using Tools / Design Rule Check.

If you have the Easy-Router autorouter then after defining the board outline and a routing area selecting Autoroute from the Tools menu and route the design.

Having added the critical tracks, any repetitive bus structures should be added and then the balance of the board. It is usually a good idea on a double sided board to have tracks going largely a right angles on opposite sides of the board i.e. North / South on the top and East / West on the bottom. This usually makes routing easier and can also minimise coupling between tracks on opposite layers.

8. Check the Layout

The complete design can then be checked for clearances as above, for unconnected nets using Tools / Connectivity check, and for agreement with the schematic using Tools / Integrity Check.

9. Add Text

Finally add any additional text required to identify each layer of the board, its part number and any revision information required and the design is complete.

10. Print a Checkplot

Printouts can be obtained at any stage using standard Windows printers using "Output / Windows" and selecting the layers required.

11. Generate Manufacturing Files

Gerber Photoplot and Excellon N.C. drill manufacturing files are created using the appropriate output menu. It is always a good idea to supply Inkjet, Laser printed or Pen plot paper copies of the outputs that you expect to your Photoplot House or PCB Manufacturer. You must also, of course, tell them what specification Material, Plating, Solder Resist and Silk Screen you require.

See Getting Your Designs into Production.


Creating Technology Files

Matching Schematic and PCB Technology files can be created to enable you to define your own Net classes and to enable them to be transferred from Schematic to PCB. They also provide a means of defining complete set-ups for particular design processes and include everything from display colours, screen and working grids, standard net names (optional), standard dimensions for all drawing parameters – like tracks, connections, component pads and text, Design Rule clearances, Board outlines Board layers used and even the standard set ups for the optional MultiRouter range of autorouters.

Technology files can be created from scratch or by modifying an existing Technology file and saving it under a new name.

How and when are technology files used?

Technology files provide a means of setting most of the important parameters when starting a new design or on first performing a translate to PCB operation from a schematic. Having started the new Schematic or PCB, those designs will not be affected by subsequent changes to the technology files. There is no danger that subsequently modifying Technology files will affect previous good designs.

Schematic Technology File

Select [File / New / Schematic Technology], select [None] in the Technology file window then hit OK. This takes you to a blank screen with Schematic Technology: Technology1 at the top.

Give it a your own name

In order to save your technology file and protect against mains dropouts during creation, hit [Settings Preferences] then set the Security Copy Interval to your choice - say 10 minutes - and hit OK. Now select [File / Save], select your desired folder and enter a meaningful file name for the technology file. Press return.

Note: Schematic Technology files have the extension ".stf".

Set the Units

Hit [Settings / Units] and select Imperial or metric as appropriate (Imperial is recommended if you will be using many of the supplied schematic library components). Enter the desired precision (number of decimal places after the decimal point). This should be 0 if you will be working in thou or mil (1/1000"), or 2 if working in mm. Hit OK.

Note: If you will often be swapping between metric and Imperial units, it is better to set the precision to 2 anyway.

Set the Working Grid (Snap) and the Screen Grid

There are two grids in Easy-PC. The working grid is the grid to which the cursor will snap all entries, and is entered as a multiple of the Units set above. Set Snap Mode to Grid. In Schematics, the other smaller snap modes would normally only be used temporarily during a design for very precise placement. Set the Working Grid pitch to [50] (0.050"). Select [Screen Grid] and set up the pitch of the displayed grid minor and major (10 x minor grid) screen dots. A Screen Grid of 100 would give minor dots at 0.1" intervals and a major grid at 1" intervals. Check the [Visible] box to display the grid.

Note that the colours of the screen dots can also be set with this dialog.

Setting up Styles in the Schematic Technology File

These styles will set up the line widths, connection dot, and text sizes used when drawing Schematics.

Select [Settings / Styles]. Hit the Pads tab and set name :[Junctions], shape: round, width: 40. This will set the diameter of the junction dots in schematics. Hit the Connections tab and the [Add Style button]. Enter a meaningful name for the style and enter the width that you want it drawn at. E.g. "Normal" and 5 (thou) - for use as connections between components and "Bus" and 50 thou for Busses.

Look at any styles that are already in the tables under the other tabs and edit or add to them as required.

Note: Connection crosses (the connection points on all components) can be hidden by setting the dimensions of the crosses to zero.

Net Classes

Create the main net classes for each of the main connection types / track widths that you are going to use in your PCB Layout. These can be added to at any stage of the design process, but a minimum of Power and Signal, i.e. fat and thin as far as PCB tracks are concerned, would be a good starting point.

Select [Settings / Net classes] and add what will be your most used one for all normal connections in your final PCB - Give it a name, say, "Normal", and ensure that it is of type "Signal". Hit OK.

Now in the same way add a net class called "Power" and make it of type "Power". The dimensions allocated to the tracks corresponding to these nets in the PCB, will be set in the PCB Technology file.

Other net classes could be added as required, for example Data, High Voltage, 50 Ohm, 75 Ohm, Clock, Mains etc., where different dimensions would be required in the final PCB.

Finally hit OK to complete the net class definitions and save the file.

Remembered Styles

This entry enables you to set up default styles when first starting a new design. – Default styles are those that will be used first. For example, after loading a few components to the schematic and starting to make connections between them the initial default width of those connections will be defined by the entry under [Settings / Remembered Styles / Connections].

That completes the main entries in the Schematic Technology file

PCB Technology File

Select [File / New / PCB Technology], select [None] in the Technology file window, then hit OK. This takes you to a blank screen with PCB Technology: Technology1 at the top.

Give it a name

In order to save your technology file and protect against mains dropouts during creation, hit [Settings Preferences] then set the Security Copy Interval to your choice - say 10 minutes - and hit OK. Now select [File / Save], select your desired folder and enter the same filename as you gave your Schematic Technology file and press Return.

Note: You can give the file any name, but by giving it the same name as the Schematic Technology file you will ensure that net classes are passed through to PCB when you perform a translate to PCB operation.

PCB Technology files have the extension ".ptf".

Set Units

Hit [Settings / Units] and select Imperial or metric as appropriate (Imperial is recommended if you will be using many of the supplied PCB library components). Enter the desired precision (number of decimal places after the decimal point), Values of 0 if working in thou or mil (1/1000"), or 2 if working in mm would be good starting points. Hit OK.

Note: If you will often be swapping between metric and Imperial units, it is better to set the precision to 2 anyway.

Set Working Grid (Snap) and Screen Grid

As with schematics, there are two grids. The working grid is the grid that the cursor will snap all entries to, and is entered as a multiple of the Units set above. Set Snap mode to quarter grid, the other smaller and free snap modes would normally only be used temporarily during a design for very precise placement. Working grid pitch [100] (0.100") and snap mode [Quarter Grid] are good general-purpose start points. Select [Screen Grid] and set up the pitch of the displayed grid minor and major (10 x minor grid) screen dots. A Screen Grid of 100 would give minor dots at 0.1" intervals and a major grid at 1" intervals. Check the [Visible] box to display the grid.

Note that the colours of the screen dots can also be set here.

Setting up the Board Layers

This is where the structure of the board is defined. The example here will be for a double-sided board with silk screened component identification on the top of the board. Note that solder resist is defined at the Manufacturing files output stage. You can use your own names for the layers.

Hit [Settings / Layers] and then [Add] in the Layers dialog. Layers can be added in any order and the order modified later. Starting at the top, in the Layer Name box enter "Top Copper". Hit the arrow at the end of the Type box and select "Electrical" in place of "Silk Screen". In the Side box select Top, and for Bias, select X (this is used by MultiRouter). Set the Usage to Electrical (so that the layer will be included in the Integrity and Design Rule Check routines). Now select the colour that you want this layer to use on the screen - say Red. Leave the Net entry blank as this is only used if you want the layer to be a Ground or Power Plane. Now accept your entries and hit OK.

Now in the same way add "Bottom Copper" with the Type set to Electrical, Side set to Bottom, Bias set to Y, Colour set to Cyan, and Usage set to Electrical. Hit OK again. Finally add the top silk screen layer with [Add]. Set this layer up as follows: Name = "Top Silk", Type = Silk Screen, Side = Top, Bias = No Tracks, Colour = Yellow. Leave Net blank, and hit OK. Check that the contents of the table are as you intended and hit OK to accept the Layers allocation.

Track and Pad Spacings and Board Edge Clearances

Select [Settings / Spacings] and set the clearances required by your PCB Manufacturer by overwriting the entries in the table. A value of 10 thou is a good, relatively low cost, clearance for all conductor patterns for photographically produced boards. Allow at least 20 thou clearance to the board edge for tracks and 100 thou for component pads (to allow for holding equipment in the assembly and Flow Soldering processes). Hit OK to save the clearances to the Technology File.

Setting up Styles

These styles will set up the track Nominal and Minimum widths, Via and Pad and Text sizes used in the Printed Circuit Board. Check with your Printed Circuit Board manufacturer to get his current capabilities consistent with the costs and application of your boards.

Note that both Nominal and Minimum track widths are used by MultiRouter.

Pad Styles

Select [Settings / Styles]. Hit the Pads tab and the [Add Style] button. Enter a meaningful name for your Via Style (e.g. "Medium Via") and enter the width that you want it drawn at (e.g. 48 thou diameter round pad with a 24 thou hole). Add more pad styles as required.

Note that if a style is used in component create then when that component is used in a PCB which uses the same style and style parameters then the component pads will be editable when the style is edited.

Track Styles

Select [Settings / Styles] and hit the Tracks tab. Select Add Style, and enter a name for your first Track Style and its Width (e.g. Name = "Small Track", Width = 10 thou), and hit OK to enter the track into the Track Styles table.

Add another track style called "Power Thin" with a Width of 25 thou.

Add another track style called "Power Normal" with a Width of 50 thou.

Look at any styles that are already in the tables under the other tabs and edit and add to them as required.

Net classes

Now add the main Net Classes for each of the main connection types that you defined in your Schematic Technology file. These can be added to at any stage of the design process, but a minimum of Power and Signal, i.e. fat and thin as far as PCB tracks are concerned would be a normal starting point. If you can't remember what you called them in your schematic technology file then you can open it at the same time and using [Window / Tile Vertically] swap between the two files in the normal manner.

Back in PCB Technology File, select [Settings / Net Classes] [Add] and enter the Name as "Normal", and ensure that it is of type "Signal". Select the Minimum Track Style from the style selector as "Small Track" as previously created and note that the width has automatically been entered. In Nominal Track Style select "Normal Track" as previously created from the list and note that its width has been entered. In the Via box select the Via style "Medium Via" previously created and note that its dimensions and shape appear.

Now in the same way add a Net Class called "Power" and make it of type "Power" to again match the Net Class added in the Schematic Technology file. Select the Minimum Track Style from the style selector as "Power Thin" as previously created and note that the width has automatically been entered. In Nominal Track Style select "Power Normal" as previously created and note that its width has been entered. In the Via box select the Via style "Medium Via" and note that its dimensions and shape appear.

Other Net Classes can be added using your own styles as required.

Remembered styles

This entry enables you to set up default styles when first starting a new design. It will not be necessary if you normally translate from a schematic as the track styles will be picked up from the net classes – Default styles are those that will be used first. For example, after loading a few components to the PCB and starting to make connections between them the initial default width of those connections will be defined by the entry under [Settings / Remembered Styles / tracks].

Default Autorouting parameters (for MultiRouter)

These can also be set up in a PCB technology file (Ideal for use in the class room) and can ensure getting good results from MultiRouter with minimum experimentation. Use [Tools / Routing parameters]

For a normal low density Double sided THP board try Router: Multi, Effort: 10, Passes: 999, Smoothing: 4, Final Smooth: check

Track Grid: 25, Via Grid Multiplyer: 1, Fatten tracks: unchecked, mitre: unchecked, add vias: check, Optimal Pad Exit: unchecked and Fix Results: unchecked.

Finally, save the file and the PCB Technology File is now complete.


Easy-PC For Windows

The online help for Easy-PC For Windows includes a wealth of information to help you get the best out of the product. Key help topics are listed below, or you can use the Index or Search facilities to find a particular topic.

  • Creating and using Libraries
  • Opening an existing design
  • Starting a new design
  • Setting up styles
  • Adding items to a design
  • Adding components
  • Adding shapes
  • Adding text
  • Adding pads
  • Saving your work
  • Security copies
  • Plotting and printing

Copyright © 1980 - 2002 WestDev Ltd. All rights reserved. E&OE


Hints and Tips

This Help topic covers a number of general tips for getting the best out of Easy-PC.

Moving a PCB Component

When moving a PCB component, select it by one of its pads and drag it. (Click on a pad, hold the key down then with the key down move the cursor. The component will move with the cursor).

Highlights

Always set up highlights to be brighter colours than you usually work with like bright green , white, yellow or (even) pink. You will be able to pick these coloured objects out even at very low zoom levels.

Finding Component Idents

If you manage to separate a component ident i.e. R3, from the component, zoom in on the ident then use [View / GOTO / Component / Name]. This will highlight both ident and component and automatically zoom the screen so that both are included.

Placing Components

When placing components after translate, first group together components that are located together and connected together in the schematic (off the board if necessary). This will dramatically reduce the number of long nets and enable you to see more easily how the main blocks connect together.

Component Type and Package Type Display

To turn off the component type and package type display, select the component, then in the Properties dialog, uncheck the boxes against component type and package type.

Crosses on Schematic Connections

To turn off the crosses on schematic connections, select Settings / Styles / Cross and set the width and length of the cross shape to zero.

Increasing Resolution

If you are working with very fine layouts, you can increase the resolution and range of tight zoom settings by reducing the Working Area ([Settings / Working Area]).

Note: The Working Area is constrained to include the bottom left corner of the existing Working Area and the top right corner of your layout. In order to reduce the Working Area to just slightly larger than your layout, your layout must be positioned in the bottom left corner.


Mouse Wheel

Using The Mouse Wheel

If you have a wheel mouse connected to your computer, the additional functionality that the middle ‘wheel’ button provides can be used in Easy-PC.
The wheel provides you with Zoom and Unzoom and Pan (both dynamic and single ‘shot’).

  • By rolling the wheel forwards it performs the Zoom operation.

  • By rolling the wheel backwards it performs an Unzoom operation.

  • Using a single click of the wheel button it performs a ‘single’ Pan (as it already does in version 4).

  • By moving the mouse with the wheel pressed down it peforms ‘dynamic’ Pan.

    • Also see: Zoom and Unzoom
    Also see: Frame
    Also see: Pan


MSVCRT.DLL Problems

You may experience a problem with Easy-PC For Windows crashing during some basic operations, such as Add Component, Save Component to Library etc. This has been tracked down to certain versions released of a Microsoft system file which has been found to be faulty. The file in question is a DLL called MSVCRT.dll.

In most cases the replacement DLL has solved this problem. The difficulty is in replacing the old DLL with the new one. Windows hangs onto the old file once it has been used and appears not to let the replacement happen. This happens mainly with Windows NT and particually when used on a network. You will need to use a DOS Prompt window to do this.

To verify that this is the cause, there are a number of checks you can make. The first being with the Windows Explorer. Search your local hard drive (C:) for a file called MSVCRT.dll In theory, there should only be one in existence in your WINDOWS\SYSTEM directory (or WINNT\SYSTEM32 if using NT). If there is one in this directory, single click on it and then right hand mouse click on it. From the context menu select Properties, use the Version tab and check the DLL's version. It must not be 6.00.8397 or 6.00.8267 as these are known to cause problems with Easy-PC For Windows. Microsoft have issued a new DLL which we have supplied on the CD-ROM located in the SUPPORT\VC6 directory. There is also a Readme file supplied to tell you what to do with it.

Replacement Procedure

Copy the file MSVCRT.dll supplied in the SUPPORT\VC6 directory on the CD-ROM into your C:\WINDOWS\SYSTEM directory on the hard disk. Reboot Windows and re-run Easy-PC For Windows.

You may not be able to copy the new DLL to the SYSTEM directory as the program might inform you that it is already in use. If this happens run a DOS Prompt window using the following:

Start the DOS Prompt window from the START and PROGRAMS menu off the taskbar.

Type in the following:

cd c:\windows\system

ren msvcrt.dll msvcrt.old

copy f:\support\vc6\msvcrt.dll c:\windows\system (f: being your CD-ROM drive letter)

Close the DOS window and reboot the computer. Easy-PC For Windows will now run ok.

If the program still won't let you rename it you will need to start the Windows program in DOS mode and type the same again.

You will need to reboot Windows once this has been done and try EPC Win again.


Popup Menus

The popup menus are context sensitive. They appear when the right hand mouse button is clicked They are grouped below by the active element when they are summoned. As these menus require a mouse to access them, they do not use keyboard short cuts, though the cursor keys and may still be used.

The available popup menus are:

Component Place / Edit Mode

Track Place / Edit Mode

Edit Track / Line Segment

Pad Place/Edit Mode


Remove Pad Exceptions

This allows pad exceptions added to specific pads to be removed using the Pad Properties dialog.

The Pad Style Exception switch controls the pad exception and its application.

Multiple pad exceptions can be applied or removed by using this switch. For multiple pad exceptions select the pads required using the <shift-pick> method. Care must be taken not to accidentally include the component outline otherwise the Pad Properties dialog will not be displayed.


Auto-Generate Plots

Auto-generation of plots for a design depends on the type of design and the type of the output device selected. On choosing to auto-generate plots, the first thing you need to do is decide on the output device type.

In a schematic design or a symbol, this is all you need to do. The single plot needed to print or plot your design is created and you are returned to the main Plotting dialog.

For a PCB design, selecting Excellon will automatically create a plot for the N. C. drill data. For other output types in a PCB design, you are presented with another dialog that allows you to choose what your set of plots should cover.

The options available here allow you to control the set of plots created for your design. Oversized plots for top and bottom can be used for solder resist (solder mask), under-sized plots for solder paste, and so on.

For powerplanes, one or two plots will be created for each powerplane layer depending on the output device type and whether or not the layer has other (non-powerplane net) items on it.


Component Pin Report

This report shows the number of component pins used when transferred into the PCB design from schematics without running the transfer option. For users with the pin limited variants it will mean that they can access whether a higher specification product is required without purchasing it first. This report will only take into consideration component pins which are used on PCB symbol items extracted from the libraries for use in the PCB design and will not include any additional 'free' pads which maybe added e.g. for mounting holes etc. This report is only available in the Schematics design editor.

Component Pin Count
-------------------
Report Written : Monday, July 19, 2000
Design Path    : C:\Projects\Job99.csh
Design Title   : Job99
Created        : 19/07/00 17:26:42
Last Saved     : 27/04/00
Editing Time   : 10 min
The total number of Components Pins required are 20.
End Of Report.

Use this information if attempting to understand the number of component pins required where the design is transferred to PCB. This is important if you have one of the pin limited variants or the demo disk and trying to establish the product variant required for purchase.


Component Position Report

This report is used to output the positions of the components but is a suitable format to drive assembly machines. If not the precise format, this format can be used as input to pre-formatters to manipulate the data into the actual format required.

The report is run from the Tools menu using the Component Positions option.

Component Positions Report
--------------------------
Report Written : Wednesday, April 21, 2000
Design Path    : C:\Designs\Examples\rename.pcb
Design Title   : Design For D&B Ltd
Created        : 21/04/00 20:01:33
Last Saved     : 21/04/0 22:11:37
Editing Time   : 14 min
Name   Component     Side   Centre           Rotation
-------------------------------------------------------
C14    74HC00        Bottom (19150.00,20222.50) 90
R13    74HC00        Bottom (19550.00,20222.50) 270
U1     74HC00        Top    (18550.00,19772.50) 0
U2     74HC00        Top    (18150.00,20051.25) 0
U32    74HC01        Top    (19150.00,21051.25) 0

The report is sorted alphabetically in component reference name order.

The report is self explanatory but the syntax of the report body is as follows:

Reference Name, Component Type, Comp Side, Comp Centre, Comp Rotation

The component centre is displayed in the current design units (defined in the Settings, Units dialog).

The component rotation column is in degrees.

The component centre is taken as the component bounding box excluding the component reference name or any other component bound text. It does however include pads and silk screen shapes.


Design Status Report

The size and complexity of a design can have a significant effect on the final cost. The status report gives this information. It is generated by selecting [Status Report] from the [Output] menu.

The report is broken into a series of sections.

Design Summary

The header section contains the design summary information (filename, title, path, date and time of creation and last save, and total editing time).

Board Area

In the case of PCB designs, the next item is the board area in active units squared, e.g.. a board 4” x 6” will report as 24 000 000 square thou.

Layers

The available layers and their types follows.

Component Types

This is a listing of all component types used, their frequency, and an overall total for both components and their pin connections.

Nets and Drill Sizes

The final two sections report on the number of nets, by type, and drill hole sizes and quantities.

Schematic Status

For schematic designs there are fewer sections. Apart from the header already mentioned, there is just a more comprehensive component section followed by a comprehensive section on nets, which splits them by net type.


Manufacturing Designs

Getting Your Designs into Production

Once you have finished a design in Easy-PC, it is very tempting to generate the Gerber and Excellon manufacturing files and pass the whole thing over to your PCB house with a request for a couple of prototypes.

If you do, you will almost certainly have the PCB manufacturer on the phone demanding further information.

In addition to the manufacturing files, you should also generate a paper checkplot from a printer or a plotter, together with a pads-only plot showing any non-plated, or otherwise non-standard holes (fixing holes, etc.).

You should also provide the manufacturer with any other relevant information relating to the board. This following list can be used as a check list:

Type of Board

e.g. Plated Through Hole (PTH), Multilayer, Surface Mount, Flexible, etc.

Board Material

e.g. FR4

Board Thickness

e.g. 1.6 mm

Copper Thickness

Outer layers

Inner layers

Ground / Power planes

Solderable Finish

e.g. Hot Air Solder Level, Fused Electroplated Tin / Lead

Finish Thickness

e.g. 6 - 8 micron

Edge Connector Finish

e.g. Gold on Nickel

Edge Connector Plating Thickness

e.g. 2.5 micron Au on 5.0 micron Ni

Number of Layers

Number of Solder Resist Layers

e.g. Topside and Underside

Solder Resist Type

Solder Resist Colour

Number of Silk Screen Layers

e.g. Topside and Underside

Silk Screen Type

Silk Screen Colour

Panellisation Required ?

Discuss details with Manufacturer

Fiducial Marks Required

Discuss details with Manufacturer

Files Supplied

e.g. Gerber and Excellon

Software Used

e.g. Number One Systems' Easy-PC for Windows 95/NT

Drawings Supplied

e.g. Checkplot, Board Outline, Drill Description, etc.

Number of Boards required

Delivery Required

If you are pushing the technology to the limits (i.e. with very thick or thin laminate or copper layers, very small drill holes, etc.) you should check with your manufacturer early on in the design process. Typical current manufacturing limits are:

Maximum Copper Thickness

1525 g (5 oz.)

Minimum Copper Thickness

37.5 g (1/8 oz.)

Minimum Conductor Width

0.05 mm (0.002")

Minimum Element Spacing

0.075 mm (0.003")

Maximum Number of Layers

40

Maximum Multi-layer Board Thickness

7.5 mm (0.3")

Minimum Multi-layer Board Thickness

0.25 mm (0.01")

Minimum Drilled Hole Size

0.15 mm (0.006")

Maximum Drilled Hole Size

6.25 mm (0.25")

Minimum Slot Width

0.5 mm (0.02")

Minimum Copper Around Holes

0.375 mm (0.015")

Minimum Groundplane Clearance

0.625 mm (0.025")

Note: Getting anywhere near these limits will make your designs very expensive to manufacture! The following list gives more reasonable limits for general-purpose double-sided plated through boards. These are the limits set in the Default Technology File supplied with Easy-PC:

Board Material

FR4 Glass fibre laminate

Board thickness

1.6mm

Board copper

35 micron

Plating

Tin-Lead 60/40

Silk Screen Colour

White

Solder Resist

Top and Bottom

Solder Resist Pad Clearance

0.008 in diameter

Layers Used

Top Silk Screen

Top Metal

Bottom Metal

Min copper width

0.007in

Min copper clearance

0.007in

Min drill size

0.4mm

Min track to track clearance

0.007in

Min track to Pad clearance

0.007in

Min pad to pad clearance

0.007in

Max no of Plated hole sizes (Drills)

10

Min copper free width at edge of board

0.020in

Via Diameter

0.0320in

Via Shape

Round

Via Drill Hole

0.016in


Drill Table Insertion

Automatic Drill Table Insertion Into The Design

You can automatically create or update a drill table of sizes & counts in the design itself by selecting the Drill Table Text check box on the NC Drill dialog.. This works by you choosing a particular text style in the design to distinguish the drill information, and positioning the text where they want the upper left of the list.
Any single item of text using this same style must exist in the design, this provides the initial 'top left' position for the drill table . It is advised that you use a style named Drill Table, and make the text in the design read Drill Table as well. When NC Drill is next run it deletes all text using this style before re-inserting the table.
When the NC Drill option is run and the table generated, if you add shape borders to an appropriate layer (the layer used for manufacturer and the one which contains the Drill Table), the finished result could look something like this below:

Also see: NC Drill Output


DXF Output

Creating DXF Files

With mechanical CAD, the AutoCad DXF (drawing exchange format) file format has become something of a de-facto standard. It is supported more or less accurately by most 2-D and 3-D applications.

One quick note. When importing into any version of AutoCad proper, it is important that no prototype is used. This is at variance with AutoCad’s default settings. If this is set incorrectly, AutoCad will attempt to impose its default styles on the imported file, with a consequent serious risk of corruption or failure to import.

The DXF dialog is context sensitive, so different contents will appear for schematic and PCB designs. These are mentioned below.

Layers

On the PCB dialog only, a listing of the available layers is displayed, with adjacent check boxes for selection. A radio button makes it simple to [Select All Layers].

Destination

Beneath this (at the top for schematics), is a browser to set the destination file. By default the output has the same path and file header as the design file, but the output extension is fixed as ‘.dxf’.

The selection boxes below the browser have common choices for ‘Lines’, ‘Shapes’ and ‘Text’. ‘Terminals’ appear for schematics, and ’Pads’ for PCB's, together with some output check boxes for Board outline, connections, and areas.

Line Styles

The choice of line types is ‘Solid’, ‘Altsld’, ‘Segsld’, ‘Seghol’, and ‘Centreline’. ‘Solid’ is the normal filled wide line style. With some CAD programs, this does not import well, in which case ‘Altsld’ (alternative solid) should be used instead. ‘Segsol’ (segment solid) treats each line or track segment as a separate entity, while ‘Seghol’ (segment hollow) leaves the segments unfilled, creating the outline in standard line style (equivalent to ‘Outline’ mode with the other output formats). Finally, ‘Centreline’ shrinks each line or track to a single standard line.

Pad Styles

‘Shapes’, ‘Terminals’, and ‘Pads’ simply have the self-explanatory options ‘Solid’ and ‘Hollow’. Again, the outline is in normal line style.

Text Styles

‘Text’ has two options, ‘DXF Font’ and ‘Stroke Text’. ‘DXF Font’ exports text as ASCII strings with an associated font style. ‘Stroke Text’ converts the text to a collection of vectors, so that the character style is accurately preserved, but at the cost of file size.

Output Options

The three check boxes for PCB designs, ‘Output Board’, ‘Output Connections’ and ‘Output Areas’ respectively control whether the board outline, unrouted connections, and copper fill areas are included in the output.

Finally, the ‘Output Entities Only’ check box prevents the output of any connecting lines or tracks. The output file contains nothing but DXF entities.


Generic Netlist Output

The generic netlist feature allows selection of the items to be output in a more neutral format to that of the standard Easy-PC format.

The dialog includes options through Check boxes to enable or disable output features to be selected for inclusion in the netlist file.

A basic example of the full netlist is shown below:

U2 "74LS74" "14DIL"
U1 "74LS74" "14DIL"
Net "GND"
U1.8
U2.13

The netlist is split into two sections:

Components and PCB Symbols

Component reference name, Component name, PCB Symbol name

Component name and PCB Symbol names are within quotes

Nets

Net name (in quotes) prefixed with the keyword Net

Component ref name and pin (following the . [dot])

All connections within the net are shown between the Net keywords

To display the netlist following generation select the View Netlist File switch on the dialog.


Gerber Setup

Include Aperture Table

‘Include Aperture Table’ embeds the aperture table into the main Gerber files . This is more secure, but some older equipment requires the aperture table to be separate.

Hardware Arcs

‘Hardware Arcs’ can be used with modern equipment that supports curve commands. Older equipment will need the curve approximated by a series of short straight line segments.


IDF 2.0/3.0 Output

(Cost Option)

The IDF format is used as an alternative by some of the other MCAD (mechanical CAD) vendors for importing into their own systems. IDF is an alternative to DXF is most instances.

Easy-PC For Windows can export both the IDF 2.0 and 3.0 formats.

The IDF Export facility is available as a cost option - please contact Number One Systems for the current list price.

The ability to create IDF 2.0 and 3.0 format files is a cost option and can be authorised using the Settings Optional Features menu option. For specific details on how to authorise cost options, please refer to the front of this manual and the section covering installation.

Once the option is authorised and Easy-PC For Windows has been restarted, the options will appear on the Tools menu.

Using The IDF Output

Fundamentally, the format for both is the same except for a new feature in IDF3.0 which is described separately. The dialog shown below is for the IDF3.0 output but is the same as for IDF2.0 except for the additional Mounting Offset Value panel.

Both output types (IDF2.0 and IDF3.0) require two files to be output for import into the host MCAD (Mechanical CAD) system. These two files define the board outline and component positions, and the component boundary, height, units and Part name.

Board Filename is used to define the 'board' file (although it doesn't contain board only information). The file extension is .idb

Library Filename is used to define information about the Parts used in the board file. The file extension for this file is .idl

Board Thickness is used to define the actual thickness of the finished PCB. This is defined in the current working design units as specified in the Settings Units menu option.

Height Value appears in both IDF2.0 and IDF3.0 formats. This is used to define the height of the components.

When assigning component values to define the height of components, they must be defined at the Component library level and cannot be local Value attributes. Each component type would then have a height assigned to it. If your design doesn't contain Values for height, they must be added to the component library for that device and then an Update Component performed on the design.

Note: If individual components of the same component type have individual Values for height assigned to them, the IDF option will ignore the value until they appear unique for the component type.

Mounting Offset Value is only used for IDF3.0 formats.

This value is used to define the height that the actual component sits off the PCB. This is used to allow for sockets and special components which have large clearances from the PCB.


Layers Report

A [Layers] report is available on the [Output] menu.
This reports all information associated with [Layers] and [Layers Types] from the [Settings] menu.

Also see: Layers
Also see: Layer Types


Output Drill

Excellon NC Drill Output

The NC drill output is only available when a PCB is being edited. It outputs an Excellon drilling machine compatible format file (which is suitable for most modern NC drilling machines).

The NC Drill Setup dialog allows you to control various features of the drill output.

The 'Drill Table Text' is used when automatically creating drill tables in the design. A text item using the specified text style is added to the design as a 'placeholder', and is automatically replaced with the up-to-date drill table information when the drill output is generated.

The Remove Duplicate Drill holes button is used to remove any drill hole which is coincident to another. Where coincident drill holes exist, the smaller of the drills is removed. It is recommended that this option is selected unless instructed otherwise by your manufacturer.

The Include Tool Sizes option allows you to include the size of each tool as a header in the drill output file. Check with your manufacturer to see whether they can handle this information.

You can also specify the precision of the units used in the output file. The format of the NC Drill file is defined as an Integer and a Decimal. These values describe the leading whole number as an integer and the trailing number using the decimal value as a precision. The default for most plotters is 2.3 format but some require 2.4 format. Please consult your manufacturer before changing these values.

The switch for outputting in Metric Units (or Imperial) allows for changes to the Units without changing the main design system units.

All drills output in the file and report are sorted in drill size order, starting with T001 as the smallest.

Also see: Drill Holes Checks
Also see: Automatic Drill Table Insertion


Net Completion Report

The Net Completion report (available from the Output menu) checks your PCB design for breaks in electrical continuity. Any breaks are reported, allowing you to check your design before proceeding to manufacture with a design that contains potentially expensive faults.

In the example below, we can see that there is one break in the continuity of this design, which we would need to rectify before producing the artworks.

The Net Completion option is run automatically on opening the Plotting and Printing dialog, to help you avoid these costly errors.


Netlist Output

The netlist feature allows a PCB style netlist to be output from either Easy-PC Schematics or Easy-PC PCB. If output from Schematics, the netlist is a collated netlist. This means all net names and Component references are fully resloved as would be required for input to a PCB design editor.


Output Formats

Easy-PC provides a full range of output capabilities. These are accessed from the [Output] menu. Apart from normal Windows print devices, there are dedicated drivers for the most common production requirements. The Output formats available are:

  • Standard Windows printing devices
  • Excellon compatible NC drill files
  • Gerber photoplot files
  • HPGL compatible pen plotter
  • AutoCad compatible DXF files
  • IDF 2.0/3.0 format export


Output Menu

This menu controls the generation of various manufacturing outputs and reports relating to the current design.

Design Status Report

This generates a design status report, it contains statistics about design such as number of vias, length of connections and track segments etc. The default viewer used is Notepad and the default file extension is .rep.

Unconnected Pins Report

This generates a report of all the unconnected pins within the design. The default viewer used is Notepad and the default file extension is .rep.

Component Positions Report

This report is used to output the positions of the components but is a suitable format to drive assembly machines. If not the precise format, this format can be used as input to pre-formatters to manipulate the data into the actual format required.

Layers Report

This reports information about the layers defined in the design. The report also includes Layer Type information.

Parts List

This generates a parts list based on user defined criteria. The Parts list can be output in formats other than that of the standard report. The default viewer used is Notepad and the default file extension is .lsp.

Stockit

This generates a Comma Separated Variable format file suitable for export to Stockit, Stockit Professional or StockWin. The destination is specified using a browser window. The default extension is .csv for Stockit and .par for StockWin.

Generic Netlist

This feature enables a generic netlist to be defined and output. Using features within the interface, the netlist can be manipulated to a more neutral format other than that of the standard Easy-PC For Windows netlist format.

NC Drill

This item only appears for PCB designs. See Outputting from Easy-PC for full details. A dialog box allows the selection of layers to be output, with full configuration options. A browser allows the destination to be chosen.

The NC Drill output format is in Excellon format.

Gerber

This item only appears for PCB designs. See Outputting from Easy-PC for full details. A dialog box allows the selection of layers to be output, with full configuration options. A browser allows the destination to be chosen.

The Gerber output formats possible from this option are RS-274-D and RS-274-X

Pen Plot

See Outputting from Easy-PC for full details. A dialog box allows the selection of layers to be output, with full configuration options. A browser allows the destination to be chosen.

Windows

See Outputting from Easy-PC for full details. A dialog box allows the selection of layers to be output, with full configuration options. A browser allows the destination to be chosen.

DXF

See Outputting from Easy-PC for full details. A dialog box allows the selection of layers to be output, with full configuration options. A browser allows the destination to be chosen.

Netlist & Easy-PC PCB Netlist

This generates a Number One Systems format netlist file. The destination is specified using a browser window. The default extension is .net for Schematic designs, and .pnt for PCB designs.


Output - Power Planes

Power planes are becoming increasingly common with high speed digital designs, and the increased use of precision analogue / digital conversions. It is of course axiomatic that a power plane is dedicated to one signal. Easy-PC provides for this to be named on the chosen layer. Inclusion of a net name in a layer definition automatically defines that layer as a power plane regardless of other settings.

There are a number of considerations when using power planes. Easy-PC will tolerate other tracks on a power plane, and will generate a clearance round them, BUT such clearances can reduce or defeat the effectiveness of a power plane as a low impedance high frequency path, so they should be kept to a minimum.

Power planes are not shown during editing. Rather they are generated during post-processing (which explains their inclusion here). Two files are required for one power plane. The first is a negative of the required copper, and defines the holes in a continuous copper plane. The second is a positive, which defines all copper items appearing inside the holes defined by the first file. By reversing the sense of the first, and adding it to the second, the required power plane is generated.

Settings

The clearance specified as Isolation Gap not only describes the separation between pads and power plane, but also specifies the width of the thermal relief profile round connected pads. The Thermal Relief figure specifies the width of the four webs connecting appropriate pads to the power plane. Clearly it will normally be somewhat larger than the isolation gap.

To create the first file, set output to separate layers, and select only those layers needed for power planes, with drill holes filled. Set appropriate figures for the thermal relief and isolation gap and proceed with output as normal.

To create the second file, again set output to separate layers. Select any layers desired for output, including resists if required, but again include the power plane layers. Drill holes may be filled or not, as you wish. You must at this point set both thermal relief and isolation gap to zero. Now proceed with the output as normal.

Because of the ability to allow for random tracks within the power plane, it is not safe to leave odd tracks on the plane, even if they are in the same net. Any such track segments should be unrouted using right click, [Net], [Unroute Segment].

Power Plane Outputs For Windows Printers

Plot combinations are possible using the switches but also final composite plots to give the full plane required in the correct positive/negative film for use directly with Windows printers and photo-sensitive films.

In order for -ve power planes to be output you must have the Separate switch on the Layers Output selection.

When the Power Plane list box is selected four types of plot outputs are displayed. Four are displayed for the Windows outputs only, for the Gerber or Pen plot outputs only two types are displayed, these are indicated below:

Negative (plot isolation) - This is not available for Gerber/Pen plot outputs.

Positive (plane & items) - This is not available for Gerber/Pen plot outputs.

The composite plots can still achieved using the two remaining outputs but have to be done using a Gerber viewer and combining plots.

Negative (only plot gaps)

This is used to produce a plot of all the oversize in the plane, mainly for the Gerber output, to be reversed and combined with a Positive (only plot items) plot.

Negative (plot isolation)

Used for to create the full power plane with isolation gaps, thermal relief and embedded tracks (with isolation) but in negative mode. To create the power plane from this plot, the image would need to be photographically reversed. Producing this type of plot saves printer toner and can be photographically reversed to get the plot image required.

Positive (only plot items)

This is used if the power plane contains 'embedded' tracks or items. This plot is the item itself without any isolation or thermal relief. This would be used in conjunction with the Negative (only plot gaps) plot to produce a power plane with embedded items for a Gerber plot.

Positive (plane & items)

This is the full power plane output with isolation gaps and embedded tracks with isolation clearances and thermal relief where connected to the plane.


Parts List Output

The user definable parts list output allows you to select and output any of the predefined fields and user defined value fields to a formatted report.

The fields shown in the Field Selection And Order box are used for output. This box also shows the field size in characters and the value type selected. This information can be changed using the Edit button or by double-clicking on the value item. New items can be added to this box by selecting New. Once added, the order in which they appear in the report can be changed by moving the item in the list to another location using the Up and Down buttons. Any fields not required can be removed using the Delete button.

New/Edit Button The Parts list fields are defined through the New, or once defined, Edit buttons. There are four sets of information within this dialog.

Heading Name - this is an editable text field which is used as the field heading in the report.

Width - this is used to define the field width in characters. Each field start directly following the last. If spaces are required between fields use a larger Width value than the largest field value entry.

Built-in Fields/Values - These enable the field type to be selected for inclusion. Built-in fields are predefined by the program as part of the design item information. Values are user defined and added to each component as a value field with a name and value.

In the Values example above, both Height and Manufacturer have been added to selected components within the design, these are not standard fields. Multiple fields can be selected by using the Shift and Control keys or by dragging the mouse down over the fields required. Where multiple fields are selected and Value information is available for those fields, only the first entry found for each will be output. If all fields are required for all components, insert an entry for each of the fields in the Field Selection And Order box.

Options

The options check boxes allow the fields in the report to be formatted using predefined formatting. For example, a CSV (Comma Separated Values) report can be created by selecting the Output as "Comma Separated Value" (CSV) File check box.

This will output this type of report:
Ref,Value,Centre X,Centre Y
C1,10pF,19.05,33.02
R1,33K,20.32,38.10
R2,33K,20.32,43.18


Pen Plot Setup

This dialog is concerned with once off settings relating to the plotter in use. Of these the most important is the area available for plotting. This is usually smaller than the size of the plotter bed, as most plotters allow a handling margin round the border of the media. The figures for the maximum plot size (or plot limits) are generally given in the plotter manual .

It is not enough to know the maximum size of the area available for plotting. The plotter must also know where it is within this area, so the plotter origin must also be known. Fortunately there is a rule of thumb followed by most plotters. For plotters with a bed of size A3 and below, the plot origin is normally in the lower left hand corner. For plotters larger than this (whether flatbed or gripwheel), the plot origin is normally in the exact centre of the plot area.

The other parameters are fairly self explanatory. Pen width is essential to determine how to break wide lines/tracks up into pen strokes, and pen speed can have a large effect on final plot quality. As it is so dependent on pen type, media, and the individual plotter, no recommendations can be given here.

Some early plotters do not support the HPGL arc and circle commands. If you have problems plotting when the ‘Hardware Arcs’ box is checked, yours could be one of them. Most plotters will plot faster if this box is checked.

The maximum sheet size handled by a pen plotter varies widely, and it is easy to generate a small plot in the centre of a large piece of media. It is also easy to forget that the default plotter bed setting may be too large for the sheet size actually in use. It is common to use media smaller than the plotter’s maximum capacity, in which case you can end up plotting on the unprotected plotter bed. It is possible to adjust the plotter bed settings under [Setup], but a record should be kept of the previous settings for future use.


Plot Contents

Each plot contains all the information needed to generate the required plot output. This includes layer selections, positioning information and output styles.

The first page defines what the plot should be called, the type of plot (artwork, outline, etc), and (for some output devices) the destination to which the plot should be written.

The Layers page (available in PCB only) allows you to choose which layers to be included in the plot.

It may seem odd that layers would need to be output together, but consider the case where a design is using all layer pads, and a dummy middle layer has been added. By outputting this dummy layer together with the silk screen, the silk screen is generated with all pads showing. This is no use as a silk screen, but it makes an excellent assembly drawing!

For penplot output, the layer table is where the pen numbers would be entered.

The Settings page allows you to set various options relating to what should be included on the plot. Some controls will only be available in PCB designs, and some (e.g. the powerplane settings) will only be enabled if the appropriate layers are selected.

The final page allows you to specify how the plot should be positioned and scaled.

The scale box determines the size of the finished plot. It may be edited directly, or it can be set automatically with the [Fit Plot] button.

The next pair of boxes define the lower left hand corner of the area to be printed. Normally this defaults to the lower left hand corner ofthe design, but it can be changed if it is intended to tile a design at a larger scale than normal. Immediately underneath is a similar co-ordinate pair for the top right hand corner of the design. Both these co-ordinate pairs refer to absolute co-ordinates within the working area.

The final pair of co-ordinates do not refer to the working area, but to the print media. They specify the offset between the lower left hand corner of the output media and the lower left hand corner of the image. This defaults to zero, but you may get a ‘Plot will NOT FIT’ message. This is because some printer drivers require a paper handling margin to be left, so there will always be some offset. The quickest way to find the smallest valid figure is to use the [Fit Plot] button. This co-ordinate pair is also set automatically by the [Centre Plot] button.

All the above co-ordinates can be toggled between metric (mm) and imperial (inch) values.

Rotation frequently gives a better match of a landscape design than the common portrait print format.

Mirroring will give, for example, a view of the back of the board as it actually appears.

[Centre Plot] centres the plot into the middle of the available working area. It also gives an indication (by inspecting the offset) whether an increase in scale can be tolerated.

[Fit Plot] is a very useful function. It works out the maximum possible scale of a printout, including rotation if it helps, then positions this in the centre of the output media. Three adjustments may be made for this - scale, rotation, and offset. Clearly, using this is likely to give an odd value of scaling, but there is no reason why the figure should not be changed to a round figure, and the output re-centred.

A more interesting use is to determine required margins. The smaller of the two print offset co-ordinates is likely to be the minimum margin. Frequently (but not always) this applies to the other axis as well. If this is not the case, you will need to load a different design, with a different aspect ratio to force the co-ordinate to be set for the other axis. If, for instance the first design was long and thin, the new design should be short and fat, and vice versa.


Plot Settings

The Plot Settings dialog allows you to view or change a number of general and device-specific settings relating to plotting and printing.

The buttons along the top of this dialog allow you to access the device-specific setup dialog for each type of output device. These settings are independent of any particular plot job, and are generally stored in the system registry (and hence 'persist' between design sessions).

The Job Files area of the dialog allows you to view (or change, using the [Browse] button) the directory where the 'master' job files are stored.

Plot files are written out to the location specified in the next area of the Settings dialog. This should be set up to fit with the way you want to organise your files.

Finally, the Options section contains various settings that you can use to control the way the plotting works.


Plotter Compensation

The ability to apply a 'compensation factor' to plots as per earlier (DOS) products is available in the plot position dialog. This allows a small (0.9 - 1.1) adjustment to be applied to the scaling of all X and/or Y co-ordinates.

This applies to all print/plot types but not the NC Drill output.

Plotter compensation would be used when plotting directly onto film for in-house prototype production of PCBs for example. The compensation is required where the plotting or printing device does not accurately plot at a scale of 1:1. For some printer types the accuracy for PCB design work has limitations. A printers mechanism can effect the repeatability and accuracy of the finished print to a considerable degree. Both suffer, particularly if a friction feed is used to pull the paper or film through the printer. Small variations in slippage or roller diameter can have a much larger variable effect on the distance moved by the paper or film. In addition, the heat process used to fix the image in a laser printer can distort paper, or transparent film, to an unpredictable manner.

The plotter compensation is available through the Position Plot dialog next to the Scale entry.

This provides access to the dialog in which the compensation values are defined.

The Compensation dialog allows you to type in X and Y factors using values between -0.9 and 1.1. The default value is set at 1 and 1 respectively. Only very small changes are required to compensate for printer inaccuracies.

Plotter Compensation Calibration

A calibrated Easy-PC For Windows design is supplied - compensation.sch, which will allow the accuracy of your printer to be checked.

This file should preferably be printed on your printer at the highest possible resolution with the scale set to 1.000 and the compensation factors set to 1.000, 1.000.

If your printer cannot print all the file due to limited memory , print the file at a lower resolution. If the print will not fit on the selected paper size, print at a scale of 0.900.

The print consists of a grid with sloping top and right sides and with the centre lines marked "1.000". The horizontal centre line should measure exactly 5.000 inches and the vertical centre line should measure exactly 10.000 inches.

(If you have to print at a scale of 0.900 to fit the print on the paper, the nominal sizes are 4.500 inches and 9.000 respectively.)

Use a good quality steel ruler to measure the horizontal centre line from the vertical scale line to the sloping vertical line on the right of the paper. If the measurement is exactly 5.000 inches, (or 4.500 inches at a scale of 0.9000), your X axis compensation factor is 1.000. If not, move the ruler vertically, measuring the width, until a vertical ruler position is found where the width measurement is exactly 5.000 inches, (or 4.5000 inches). The X axis compensation factor can then be read off the left hand vertical scale. Note that one small division on this scale equals a factor change of 0.0002

Repeat the process for the vertical lines, looking for a measurement of exactly 10.000 inches, (or 9.000 inches), and reading the Y axis scale a factor off the bottom horizontal scale. On this scale, one division represents a factor change of 0.0004.

Due to random variations in the printing process, the printed image size can vary from one sheet to the next, it is a good idea to print several copies of the chart, measure each, and enter the average of the measured compensation factors.

Enter the measured factors, X first, followed by Y. The compensation factors are saved with the design and are used when Easy-PC For Windows is next run.


Plotting and Printing

Plotting and Printing ("plotting") is done using the Plotting and Printing dialog. This provides you with the tools needed to generate all the plot files you will need to produce your designs.

This help page tells you what the different parts of the plotting dialog are for, and also lists an example of the steps to follow to create a plot job for a typical PCB design.

The Plotting dialog

The Plotting dialog is divided into two main areas. The first deals with the current Plot Job file, and the second shows the contents of that Plot Job. Buttons in the top right allows yo to run the plot job and to access various subsidiary dialogs to view or change settings.

Plot Jobs

Plotting all works around the concept of a 'Plot Job'. Each job defines a list of plots, with each plot specifying the type of output device and what is to be included on the plot. Plot Jobs can be created, saved and re-used, and are independent of any particular design file. If you are reasonably consistent about the technology settings you use for your designs, you should be able to create a small set of Plot Jobs that can be re-used time and again to generate the plots for all your designs.

When opening a Plot Job, the program looks in two places. The first is the Job Files directory, and the second is the directory where the current design is stored. The 'Load Plot Job' dialog lists the jobs it finds in these two locations, and displays the description (if any) for any job file you select.

The row of buttons along the top of the Plot Job area allow you to manage the current plot job:

The function of these buttons (from left to right) are:

  • New : create a new (empty) job
  • Auto-generate : create a set of plots (see Auto Generate for more details)
  • Open : load an existing job file
  • Save : save the current job
  • Save As : save the job under another name

Plots

Each plot in a job specifies the type of device it will output to, the layers to be included in the plot, and a range of other settings depending on the type of plot (such as pen numbers, inclusion of pin names and numbers, etc).

There are two lists in the lower (plots) area of the dialog. The left-hand list shows you the plots that are already defined for this job. The right- hand list shows the items (layers etc) that don't have plots defined for them in this job.

Plots are managed using the buttons provided:

  • Add : add a new plot to the job
  • Copy : add a new plot by copying an existing one
  • Edit : edit the selected plot
  • Delete : delete the selected plot
  • Reposition : reposition plots to re-align with selected plot

A typical plot job

If we consider this PCB design:

  • two signal layers
  • two powerplanes (for power and ground)
  • through-hole components on top side

then the following steps would be all that is required to create a plot job for this design:

  1. Auto-generate, click on [Gerber]
  2. Under Layer/Plot types, uncheck 'All', and check all others except 'undersized'
  3. Under Side, check 'All'
  4. Click [New Job], then [Close]
  5. Auto-generate, click on [Excellon]

See Also

Auto-Generate Plots
Plot Settings


Solder Paste Mask Outputs

Solder resist plots are generally pads-only plots which are undersized by a small amount, usually 5 thou or thereabouts. This can easily be done using one of two methods. The first is done using the Plot dialog to create a Pads-Only plot of the Top or Bottom electrical layer.

By selecting a Pads Only plot the Pads Only Plot options are enabled on the Settings page of the plot contents dialog. From this you can select the Over or Under sizing (this option is also used for Solder Paste Mask plots) of the pads and the pad types to be output.

The second method is to create a new layer called Solder Resist using the [Layers] option from the [Settings] menu and to setup this new layer using the [Layer Type] option.

By setting up the layer type to have all pads except Vias available for plotting or display, these will be used for the solder resist. The Layer must then be created to have use this new Layer Type.

Using this method enables the pad sizes to be controlled specifically on a one to one basis using Pad exceptions.

From the [Styles] option on the [Settings] menu, select the [Pads] tab. Select each of the pad styles in turn which will appear as a different size to that of the default pad stack.. Select the [Add Exception] option and select the Layer to change (Solder Resist) and the new Width and Length to be used. In the example above, the pad has been oversized by 5 thou. A plot for this layer will still need to be created, but you do not need to oversize the pads as their actual sizes have already been set up.


Split Power Planes

The Pour Copper feature can also be used to create split power planes. By using Copper areas on an inner power plane layer, and a layer nominated for plane use but not associated with any nets, a split plane can be generated. The layer doesn't need to be a type of Plane as long as it is an electrical layer.

The Inner layer must exist in the design and must be electrical. There should be no net name associated with it if defined as a power plane. The Copper Areas must be defined on that layer and must each be associated with the required power/ground nets which will connect to it. Enough space should be left between each of the copper areas, although when poured the copper areas will be spaced to at least the distance of the Copper to Copper spacing rule defined in the Spacing dialog.

When poured, the split planes will have the effect of being 'split' from eachother.

The layer would then be output as a 'normal' electrical layer as the plane has already been generated.


Stockit and StockWin Output

Stockit Output

A properly formatted parts list is very useful when manufacturing products, but it is not usually a good format for the transfer of information to, say, spreadsheets and databases. What has become a common method is the use of comma separated values files. In essence these are a list of items (values, names, quantities etc.) separated from each other by commas. The blocks of data are frequently enclosed in quotes to further delineate them. It is usual to place all the information relating to a given item on one line, and use the carriage return to initiate the record for the next item.

The Part Number Source is taken from the design using Values defined for Components. Select the value field which you wish to use as the Part Number in StockIt or StockWin.
The Output Format radio buttons allow you to select the output format required of StockIt or StockWin.
StockIt, Stockit Professional and StockIt For Windows are stock control programs produced by Number One Systems. They, in common with many other applications, are able to import data using comma separated values files. Full details of the format are given in the StockIt manuals. The file for export to StockIt is generated from the PCB design, using [StockIt] on the [Output] menu. As it is intended to be machine readable, it is written directly to file, without being displayed in Notepad. StockWin has its own output format.
An example Stockit format file is shown below:

"C1","10pF"
"PL1","Molex10"
"R1","1K7"
"R2","3K3"
"U1","SN74LS00"

StockWin Output

This menu option is used to extract a bill of materials from the design in the StockWin ASCII format. This will output a .par file in commas separated values format (CSV) ready to be loaded into StockWin to generate a Parts List. The Parts List can be used to extract costing information about the finished PCB design comparing the imported parts list against the stock database. The format is very specific and would not need to be edited normally but has been defined below for clarity.

The .par file format will look like this:

"Issue","1",""
"Number","Part No Field",""
"Title","FINISHED BOARD",""
"","74LS00","","U1"
"","BC108","","TR1"
"","74LS04","","U2"
"","74LS04","","U3"

Where the fields are:

Quantity (Syntax is *Qty), Part or Stock No, Description (pulled form database), Reference


Top Layer Power Planes

This section covers the principles for creating power planes on a double sided PCB where the top layer has tracks and vias on it but is also defined as a power plane with full copper coverage.

For designs where the top layer power plane is connected to a nominated net name e.g. GND, and where these connection points assume a thermal relief will be created, create the design as normal adding your tracks and vias as required. Now you are ready to create your powerplane plots.

Output this layer as normal to Gerber to create the top track layer plot.

There are two methods for achieving this:

  • Using Pour Copper, or;
  • Using a full power plane output.

    • Using Pour Copper

    This is detailed on the help page Pour Copper

    Using The Full Powerplane Method

    If you auto-generate your set of plots in the Plot dialog, the necessary pair of plots will be created for you. Otherwise you will need to create the two plots yourself. They will both plot the top layer, the only difference between them being the 'Powerplane' setting on the Settings page of the plot dialog. One will plot 'positive', the other 'negative'.

    If you view the two plots in CAM350 both be positive. The copper shape added will be omitted from the plot because the area will be inverse to plot it. By using the composite mode you can actually view the end result before you plot it. Obviously, the power plane plot with the oversized areas will need to be reversed before plotting.

    If the board needs to be covered in copper but left unconnected from the plane itself, using the Settings menu and Nets, add a net name which will not be used in the design e.g. Dummy. This dummy net can be added into the design by adding a net name of Dummy using the Settings Nets option. Using the same technique as before, edit the top layer to have the net name Dummy and then output the top copper layer as a plane. The plane will now be created but this time will not have any connection points with thermal relief or isolation gaps on it. The reversed image and composite will need to be created as before.

    It is best to try a simple example first to see what is being created and what needs to be output before committing to a manufacturer.


Unconnected Pins Report

The Unconnected Pins Report, when checked against the schematic, will rapidly indicate which connections have not connected properly. By eliminating those connections which have been deliberately left open, the remaining suspect connections rapidly become obvious. Exactly the same procedure will qualify those PCBs which have never needed a schematic.

The report takes the format of a header giving general information about the file, followed by detailed list by component of each pin found without a connection. In each case the pin number and name (where relevant) is given. At the end of the file is a short summary of the faults found.


Windows Setup

The Windows Setup dialog allows you to specify the Compensation to be applied to Windows printouts, and access to the standard Windows Setup dialog.


Add Files To Project

Project Menu

The Project Menu only appears on the top menu bar when File, New, or Project are selected and has only one entry.

Add Files To Project

This is the only menu item found under the Projects Menu.

It opens a screen browser which adds selected files to the active project. Multiple files may be highlighted and added, and will be automatically assigned to schematic or PCB. An error message reports any files with unrecognised formats.


Project Menu

Project Menu

The Project Menu only appears on the top menu bar when File, New, or Project are selected and has only one entry - Add Files To Project.

Also see: Add Files To Project


Adding Elements

Adding Elements to your Designs

As a general rule, any item being added to a design will continue to be added until the function is cancelled. For instance, should you add a component, when it has been placed, the program will offer you another component to place and so on until you right click and cancel. Exceptions are when you add a design, or a unique structure such as a board outline.

Styles and Technology Files

Most of the elements in Easy-PC which are user definable, like Connection and Track Widths, Pad Shapes and Sizes, Text Sizes can have a named "Style" allocated to them. Styles can also be used when adding track width limits to a net class.

Having defined the dimensions of the element once in a design the style can be applied instantly to any other element of that type. What is more, subsequently changing the Style will change all objects using that style.

Styles can even be used to define pad sizes during component creation and then any layout using these components can have the component pad sizes changed instantly with a simple style change.

Adding components using styles to a design automatically adds the style to the design. Conflicts are flagged and can be easily corrected.

All of the Styles, Net Class Definitions, all of the layer definitions, the grid definitions, the units used, the Board Outline and Routing Area, and even all of the Net Names in a design can also be saved as a Technology File. By loading the Technology File when starting a subsequent design all of the set-ups are immediately available. Even naming nets is a breeze as if you have used them before, you simply select them from a pick list.

Layers

When adding elements to PCB designs, a layer will have to be defined for the element.

Also see: Layers


Barred Text

Barred text can be included in your schematics or PCB design.

To use this facility, add text as normal using the Add Text option but precede the characters you wish to be barred with the barred text delimiting characters which by default are the double underscore characters (__). As an example, if you wish to have the word One of Number One Systems barred you would define the text string as Number __One__ Systems. This would then be written to the screen as.

If you wish to have barred text and use the underscore character you can either set the default delimiter character to another character or use an additional underscore character within the text string.

It is possible to change the barred text delimiting character via the General tab on the Preference dialog using the Text Barred Character.

The character specified as the Text Barred Character will cause all doubled occurrences of that character to enable or disable the barring of subsequent characters in that text.

Note that this facility is provided mainly for use when importing other designs that already use other text barring delimiters and that changing the specified character will not convert existing barred text to the new delimiting characters.


Working Area - Best Fit

This option automatically gives the maximum screen resolution available for the size of the design. To use this option select the Settings menu and Working Area and from the dialog Best fit. The working area can be subsequently increased after using best fit.

Note that any re-sizing of the working area invalidates the co-ordinate tracking used for the Undo option. Resizing the drawing area will erase all Undo records.


Cursor Types

There are three styles of cursors available within Easy-PC:

  • The standard Windows 'arrow' cursor
  • Large full design, cross hair
  • Small cross cursor

    • Cursor types can be selected in the [Preferences] page from the [General] tab using the selection from the list box.

    Cursor types can be changed in the design during use by pressing the shortcut key on the keyboard. Each press of the key will toggle the cursors through each type.


Design Options

The dialog is used to define design item options.

Adjust Text Rotation (Ensure Readable) - this check box will ensure that any component which is rotated and which has text associated with it, e.g. Component reference name, that the text will always be readable regardless of the rotation angle. The text will always be oriented to be readable from the right of the drawing or the bottom.

Bus Terminal Size (SCM only) - this defines the length of the 45 degree angle connection between the bus and the connection to it. The size value is along the length of the angled segment.


Dynamic Optimise

Move - Dynamic Optimise

Move allows connections to be optimised dynamically. This option is turned on using a check box on the Preferences tab (Dynamic Optimise (PCB only)). When the option is on, a message is displayed on the status bar. Due to potential speed problems while the selection is actually moving the optimise uses a "closest node optimise" for each moving node. Because of the way that nodes are processed this does not always produce the optimal pattern. The algorithm does however provide a good visual indication that part of the selection connects to part of the design outside of the selection and indicates a likely connect point. A full optimise is performed on the moving nets when the move is finished to produce the optimal pattern. This may cause a short delay for very large nets.

During dynamic move pads on large devices are automatically switched off to speed up the move and to make the screen less cluttered in terms of the items displayed. This de-clutter aids the placement of large devices which would normally be obscured by many pads. If the component movement is stopped momentarily the pads are redrawn.


Installing Cost Options

Cost options are automatically installed into the Easy-PC For Windows environment during the installation of the main product. Each of the cost options will require an additional Product Key code to run them.

The Product Key code is initialised through the Settings, Optional Features menu option within Easy-PC For Windows.

Each of the features can be selected for authorisation but the process of Applying the code will request each of the codes to be entered.

With the correct Product Key code entered you are prompted with a verification that the code number has been successful, click OK to continue. The cost option authorised is now available to run and will be indicated so by the 'tick' in the product check box.

Avialable Cost Options

Easy-PC For Windows currently has the following cost options:

Easy-Router II - a based based integrated autorouter.
Gerber Importer - reads Gerber format files.
IDF 2.0/3.0 Exporter - exports the mechanical CAD IDF format.
SPECCTRA interface - an interafce which allows the SPECCTRA autorouter to be used.

Note:
Although the SPECCTRA interface is enabled through the [Optional Features] dialog is is currently not a cost option but can be obtained through your local sales office or from Number One Systems on +44 (0)1684 772662

Easy-Spice - a SPICE based analogue/digital mixed mode simualtor.
Note:
This product is NOT installed and authorised through the main Easy-PC product.


Layer Types

The Layer Types dialog allows you to define a type of layer and its usage for down stream processes, e.g. colour display or manufacturing output selections etc.

The Name used for the layer type is the one which appears in the Layers dialog under Type, it is not the one used for the layer name, although they can be the same if required.

The Usage of the type can be Electrical or Non-electrical only. Electrical is only used for a physical electrical layer, for example Top Copper or Inner Layer 2 etc.

The next four selections of define the display and output of pad types within the design and their eventual usage.

Pads denotes 'free pads' within the design e.g. mounting holes or pads not part of a component.

Surface Sym. Pads denotes component pads which are surface mounted e.g. are defined and appear on the Top or Bottom electrical layers.

All Layer Sym. Pads denotes all through hole component pads.

Vias denotes all vias within the design.

These switches when used with the Display menu option will provide control and views of the specified layer with the pads/vias show on or off depending on the selections made.

When used with the [Output] menu option will effect the pads/vias output to printer or plotter. These settings for the specified layer override the [Plot Pads Only] switch settings in the [Output] options regardless of what the switches are set to.

The Layers Type dialog can be accessed from the [Layers] dialog using the [Layers Type] button.


Layers

This entry only appears for PCB files. The window shows the current values of all layers in use. The name cross references the other properties; type, which defines special functions (e.g. power plane), side, usage, autorouting bias, and net name. The net name field is used for special functions, such as power planes. The usage field principally defines whether a layer is part of the circuit, which affects the connectivity. The boxes may be resized by dragging bars. In addition to the [Edit] command, boxes may be opened for editing by double clicking on them.

Defining Layers

Before any structure (other than a board outline) can be added to a PCB design, there must be at least one layer available on which to place it. If a technology file is in use, this will normally define the necessary layers. Otherwise they must be created.

Select [Settings], [Layers], [Add]. Define a layer name. If the pulldown menu is accessed for layer type, 'Silk Screen' and 'Electrical' are offered. These are not exclusive so, for instance, a layer could be described as 'Mechanical' if it were to hold board profiling information. It is necessary to choose the side ('Top', 'Inner', or 'Bottom'), and usage ('Electrical' or 'Non-Electrical'). The bias setting is principally used to describe layer properties for autorouting, but also defines a layer to be used as a power plane. When a layer is defined as a power plane, it will be necessary at some point to define the net name associated with the plane. A selection of colours is also available to use for the new layer.

When complete, the new layer is added as the top entry in its 'Side' category. 'Top' layers are above 'Inner' layers, which in turn sit on the 'Bottom' layers. [Up] and [Down] will shuffle layers within their category, but not outside it.

Remember that most designs will need at least one electrical and one silk screen layer as a minimum.


Technology File Manager

This dialog is used for browsing and managing Technology files.

If a style has been added to a design and it is required for use in another Technology File for subsequent use in other designs - or if a technology file contains a style that is required in a design, the [Settings] [Technology Files] dialog gives a method of Bi-directional transfer.
Select the required Technology file, select the tab containing the required style type, highlight the style or group of styles to be transferred then press the [Copy] button. The style(s) will be copied over and if the Technology file has been changed you will be asked to confirm that the changes should be saved.


Net Classes

This window allows net classes to be defined and maintained. The boxes may be resized by dragging verticals, and edited by double clicking as well as by using the Edit button.

Adding Net Classes

You should create the main net classes for each of the main connection types / track widths that you are going to use in your design. These can be added to at any stage of the design process, but a minimum of Power and Signal, i.e. fat and thin as far as PCB tracks are concerned, would be a good starting point.
Select [Settings] [Net classes] and add what will be your most used class for all normal connections in your final PCB - Give it a name, say, 'Normal', and ensure that it is of type 'Signal'. Press [OK].

Now in the same way add a net class called 'Power' and make it of type 'Power'. The track styles (sizes) linked to any nets using these net classes in the PCB design will be set in the PCB technology file.
Other net classes could be added as required, for example Data, High Voltage, 50 Ohm, 75 Ohm, Clock, Mains etc., wherever different dimensions would be required in the final PCB.
Finally press [OK] to complete the net class definitions and save the file.

Also see: Nets


Nets

A Technology File saved from a design will also include all of the user entered Net Names in that design. This means that when allocating net names to subsequent designs they can simply be chosen from a drop down list rather than typed in again. This minimises keystrokes, reduces spelling mistakes and means that net names can be standardised throughout a design team working on different sections of a product.

Also see: Net Classes


Pad Exceptions

Component pads in PCB can use a style different from the style defined in the symbol. The style is changed on the Pin tab of the Properties dialog.

This allows you more control over the pad style used for individual pads, i.e. allowing the shape of pad one to be changed without changing the symbol stored in the library - often useful when squeezing tracks into tight areas.

This also overcomes problems where the style used by the symbol in the library does not match the style in the design with the same name. In this case the symbol that is added to the design will use the style in the design and a local style will be defined on the pads that "looks" the same as the style defined in the library.

Pad Exception Entries On The Properties Dialog

Where pads are selected the Properties dialog shows pad style exceptions entries. With no pad exceptions, either through Styles or local styles, the exception setting is 'greyed' out and the exception switch left unchecked. If pad exceptions for the selected pad do exist then the Pad Exception box is checked and the pad exception shown.

Also see: Styles
Also see: Properties


Preferences

Use the [Settings] [Preferences] dialog to configure how your design tools will operate.

General Tab

The general tab contains the following sections:

General

The General section contains an edit box used to specify the interval between Security Copy backups of open design file. A setting of 0 disables security backups.

Number of Undo Levels is used to specify how many undo levels the program will remember. The maximum number possible to set is 50, but using large values will drain your system resources. It is recommended that a value of 5 or 10 should be sufficient for most design purposes.

There is a check box which determines whether Sounds are enabled by the program, this alerts the user of editing actions such as adding connections and making a legal connection.

Component Editor - Check the Use Grid box to apply the standard grid when creating or editing component symbols.

When checked, the Open check box causes newly-opened designs to be displayed at a zoom setting that just fills the window. If this box is not checked, the previous zoom and pan settings are used.

Save As

This section controls whether Associated files are copied or not. The three possible switches are No (not copied), Prompt (ask for copying first) or yes (copy files without prompt).

The Overwrite Existing Associated Files check box will allow any existing associated files to overwritten when a file is renamed or saved. If this check box is left unchecked the associated files are not overwritten.

Drawing

This section refers to design drawing items and their use.

The Cursor drop down list box allows the selection of the Current Windows Cursor, Small Cross or large cross to be used.

Text Barring Character (when doubed) defines the character used for creating barred text.

The View All on Opening Designs enables you to automatically resize the design being opened to view its extents without having to select the View All option.

Draw Drill Holes will enable the drawing of any drill holes within the design. Pads or Vias which have drill holes but the option selected to Off will be shown as solid rather than with the drill cut-out as a 'doughnut'.

Auto Pan

This section sets the Auto Pan to be enabled and the Delay Before Starting. The Default Delay switch enables you to restore the recommended system delay for Auto Pan.

Directories Tab

The Directories tab contains the following sections:

Libraries

The path to the current library directory can be defined here. Use the browse button to locate the required directory.

Technology Files

The path to the directory containing your technology files can be defined here. Use the browse button to locate the required directory.

Interaction Tab

The Interaction section contains three settings. These control the general (line, polygon, etc.) and both PCB and Schematics editor interaction, For more information on the angle modes, see Edit - Track - Line Segment.

General

General Segment Mode is used during the addition and editing of general shapes within both the PCB and Schematic design editors. The selections are Fillet, Free, Mitre, Orthogonal and Right Angle.

The default Rotation Step is used by the rotation command during rotation of items. (this is always Anti-clockwise [counter-clockwise]).

Stitch Connections / Tracks - This option has been included to permit single click working. If this check box is not checked, connections can be started and ended with a single mouse click. If the box is checked, connections are stitched between clicks on component connections.

Delete Removes Attached Tracks / Connections - When checked, this box causes all attached tracks or connections to be deleted when a component is deleted. If the box is not checked, the tracks or connections remain in place.

Add Component Keeps Library Styles is used to force the component being added to the design to keep its own style rather than using the style values defined in the technology file being used.

PCB Only

PCB Track Segment Mode defines the editing mode for track segments. The selections are Fillet, Free, Mitre, Orthogonal and Right Angle.

Dynamic Optimise - When checked, this option causes nets to be automatically optimised as components are moved. This only applied in PCB mode, after translation to PCB and before the nets are routed. This option is particularly useful for de-coupling capacitors on the design.

Allow Duplicate Tracks - If this box is checked, multiple track routes may be used in parallel to complete a single connection without a warning being issued.

Schematics Only

Add Connection to Bus Displays Net Name - this switch enables the net names of connections attached to busses to be automatically displayed when connected. If the check box is left unchecked, the net names can be displayed using the Properties option on each connection point to the bus.

Display Implied Junctions on Pads - this is used when designs have been imported from EASY-PC DOS schematics which had pseudo junction points and which are not the same as the real electrical junction points used in Easy-PC For Windows.

Cross Probe Tab

The Cross Probe tab is used to define selections for use with the Cross Probing mode.

Bring Probed Design Windows to Front - this will enable the design which is being probed to the front of the windows to be the active design. Particularly useful if using multi-sheet schematics where there are a number of open sheets.

Which Designs To Probe

The radio buttons allow a choice of one of the the modes of operation:

Probe Corresponding Design (Same Project or Same Name) - this ensures that only the corresponding design is probed to. The design must have the same name or be part of the same project.

Probe All Open Designs - this will allow any design that is currently open to be probed to. Care should be taken using this mode as a totally unconnected design could be probed to without warning.

Also see: Security Copy
Also see: Stitch Mode
Also see: Barred Text
Also see: Cross Probe
Also see: Undo
Also see: Redo
Also see: Shortcut Keys
Also see: Auto Pan


Relative Co-ordinates

The relative co-ordinates system has the ability to set the relative co-ordinate by typing in a set of X Y values, by using the hotkey ‘O’ and by using the mouse to get precise movement.

During the use of Absolute co-ordinates, if an item is moved and the 'O' key pressed, the Relative Co-ordinates systems starts to operate and the Use Relative Coordinates box is checked. The X Y co-ordinates display on the status line are also reset to zero (0,0) to show the reset.


Remembered Styles

This allows you to specify the default working value for the item being used in the design. If using a default style but changing it during use for another value, the value currently being used will be remembered.

Pads

Allows a pad style to be defined.

Text

Allows a text style to be defined.

Lines

Allows a line style to be defined.

Vias

Allows a via style to be defined.

Net Classes

Allows a Net Class style to be defined for use when routing tracks.

Also see: Styles


Screen Grid

Grids and Screen Grid

Much of the time when you're designing a layout, you are interested in where the cursor is relative to some other pad or track on the drawing. Easy-PC can display a matrix of grid points on the screen to help align features on precise co-ordinates.
The grid settings are adjustable using the [Settings], [Grid] option.

At Zoom level 2 try using the direct command G to switch the Screen Grid 0.1" grid on and off the screen. Zoom and Unzoom with the grid visible on the screen. Check with the co-ordinate display and see how the grid pitch changes from 0.1" to 1.0" as you go between zoom levels 4 and 8.
On the {Working Grid} tab is the grid Size and Snap Mode of the grid. This can be displayed during editing by selecting the direct command H.
This is used when moving and positioning components, for example.

The {Screen Grid} tab is used to define the display of 'dots' to guide you while designing. [Size] is used to define the grid and uses the [Secondary Colour] to display them. The [Primary Colour] is used to display another grid based on 10 times the size of the Secondary Grid (defined in the Size box).
The [Visible] check box enables the grids to be displayed on or off (this is also the same as the direct keyboard command G).


Security Copy

Security Copy, as set up in [Settings] [Preferences] saves a copy of the current file to the current directory and prefaces the filename with a ~. This file is overwritten each time the security copy is saved. It is intended to help protect you from power failure. Do not rely upon the security copy or the Undo-redo facility to go back to previous versions of your designs.


Settings Menu

Many of these settings can be incorporated into a technology file, ensuring consistency across projects.

Preferences

The are four tab selections from this option. Each tab is divided into sub-sections of functionality

Optional Features

This dialog is used to authorise any products which are cost options or which need special authorisation.

To use this dialog you select the option(s) required by checking one or more of the check boxes. You then press the Apply button and the program will ask for a Product Key code. Type in the numbers/letters and click the OK button, the program will then tell you that the authorisation has been successful. If it hasn’t then retype the Product Key code ensuring that you follow the number and letter sequence precisely. If you still get further problems contact the technical support desk at Number One Systems.

Technology Files

Technology files provide a means of setting most of the important parameters when starting a new design or on first translating a schematic to a PCB. Once a schematic or PCB design has been started, it will not be affected by any subsequent changes to the technology file.

As technology files have such a great influence on defining the behaviour of a project, the number of controllable variables is considerable, and requires no fewer than six tabs to give adequate control. These tabs define {Pad Styles}, {Text Styles}, {Line Styles}, {Track Styles}, {Layers}, and {Miscellaneous} other settings.

In general, when a technology file is applied to a new project, the styles clearances and settings within that technology file are those used by that project. This settings window gives the facility of reviewing the styles and technology file. Each tab is similar in format, with a browser and edit boxes to define the path and filename of the relevant file. Two windows list the styles for the current file and technology file, with an option to add any selected styles in the current design box to the technology box.

Design Options

The dialog is used to define design item options.

Working Area

Used to define the area in which you work. You can select the size you require or you can elect to use Best Fit which will resuze the design automatically for you.

Layers

This entry only appears for PCB files. The window shows the current values of all layers in use. You can use this dialog ro create and edit Layers within your design.

Layer Types

The Layers type dialog allows the type of layer to be defined. This is used for defining what gets displayed on that layer and for it usage during the output process.:

Grids

There are two separate setting tabs in the grid settings window, for the working grid and the screen grid.

Working Grid

The two boxes set the nominal snap grid, and the appropriate fraction of this figure currently in use.

Screen Grid

The first box sets the pitch of the grid dots displayed, with a tick box to determine whether they are hidden. The other boxes show the current dot colour. Secondary dots are those at the defined pitch, while primary dots occur at every tenth position both horizontally and vertically.

Units

Metric or imperial operation can be selected with this dialog box. The precision box controls the number of decimal places displayed in the co-ordinate box on the status bar.

All units are stored internally to 1/10th Micron so there are no rounding errors between Metric and Imperial.

Care should be taken if switching between the unit types and the precision of units used. It is not normal practice to switch from Imperial at no decimal place precision to Metric at the same precision.

Styles

This is the main window for defining linked sets of properties to be used as styles within a project. There are four tabs, to cover the styles associated with {Pads}, {Text}, {Lines} and {Tracks}.

Pads

All the properties relating to a pads physical size and shape are presented here, i.e. layer, shape, width, length, and drill hole size. Placement related items (such as orientation) are omitted. The boxes may be resized by dragging verticals, and edited by double clicking as well as by using [Edit]. A cross at the left hand side indicates a user defined item.

Text

The text properties controlled by this tab are its height and thickness. The styles without a cross on the left hand side are internal program types which must be present. The boxes may be resized by dragging verticals, and edited by double clicking as well as by using [Edit].

Lines

The only line property not related to its use in the design is the width, so this is indexed here. The left hand side crosses indicate user defined styles.

Tracks

The only track property not related to its use in the design is the width, so this is indexed here. The left hand side crosses indicate user defined styles.

Remembered Styles

This allows you to specify the default working value for the item being used in the design. If using a default style but changing it during use for another value, the value currently being used will be remembered.

Pads

Allows a pad style to be defined.

Text

Allows a text style to be defined.

Lines

Allows a line style to be defined.

Vias

Allows a via style to be defined.

Net Classes

Allows a Net Class style to be defined for use when routing tracks.

Spacing

For autorouting and design rule checking, configuration of the minimum clearance is important. This window allows values for all relevant clearances to be configured. <Double-clicking> on a box allows it to be edited.

Nets

This window cross references net names and classes. The numeric nets may be suppressed so only named nets are shown. The boxes may be resized by dragging verticals, and edited by double clicking as well as by using the Edit. button

Net Classes

This window allows net classes to be defined and maintained. The boxes may be resized by dragging verticals, and edited by double clicking as well as by using the Edit button.

Net classes are used on connections and tracks to defined the track thickness and to allow the definition of classes per ‘groups’ of like signals. The autorouters also use the net class information to assign thinknesses of tracks and via styles to the tracks.

Relative Coords

This item toggles between display of absolute and relative co-ordinates. When in relative co-ordinate mode, the menu item is checked. The relative co-ordinate entry also has a dialog which can be used to type in a set of relative co-ordinates. Each time the ‘O’ key is pressed these co-ordinates are reset to the current cursor position.


Spacings

To create or edit the Spacing rules use [Settings] [Spacings] and set the clearances required by your PCB Manufacturer by editing the entries in the table. This is done by in the edit box and entering the new value required. 10 thou is a good relatively low cost clearance for all conductor patterns for photographically produced boards.

Allow at least 20 thou clearance to the board edge for tracks and 100 thou for component pads (which allows a margin for holding equipment in the assembly and flow soldering processes). Press [OK] to save the clearances to the technology file.

Also see: Design Rules Checking


Optional Stitch Mode

On the [Preferences] tab is a check box, "Stitch Tracks/Connections". When switched on this option will allow connections and tracks to be ‘stitched’ into the design without stopping and starting. When switched off, Add Connection and Add Track will no longer start another connection or track when one is finished. Even when this option is off, stitching can still be performed in the PCB Add Connection mode by double clicking to finish the first connection, the next connection will then be automatically started. This check box is off by default.


Styles

Styles

Styles are used when adding track width limits for autorouting to a net class. From then on, wherever a net is given a net class it will automatically pick up all of the parameters of that net class. What is more changing the net class on a design will automatically change all of the elements which have been given that net class.

Styles can even be used to define pad sizes during component creation and then any layout using these components can have the component pad sizes changed instantly with a simple style change.

Adding components using styles to a design automatically adds the style to the design. If a conflicting style already exists in the design, the existing style will take priority and the incoming pad will have its style name removed (effectively fixing the size).

All of the Styles, Net Class Definitions, all of the Layer definitions, Working Grid definitions, the Units used, the Board Outline and Routing Area, and even all of the Net Names in a design can also be saved as a Technology File. By loading the Technology File when starting a subsequent design all of the set-ups are immediately available. Even naming nets is a breeze as if you have used them before, you simply select them from a pick list.

Changing Styles Globally and Locally

Styles can be changed in several ways. For new designs, changing the style in the Technology File will affect all subsequent designs. For existing designs a style can be changed either by editing the style using the [Settings / Styles ] menu OR directly on an object using Select Object then RH Mouse key for Properties then editing the properties of that object. Note that if you give the changes a style name you are given the option of adding that named style to the design. IT WILL NOT BE ADDED TO THE TECHNOLOGY FILE. If you change a style using [Settings / Styles] it will affect all objects in the design that use that style i.e. the changes will apply globally to that design.

Also see: Technology Files


Using Technology Files

Most of the elements in an Easy-PC design like tracks, pads and, text can have a named "Style" allocated to them in the same way that paragraphs can have styles in a word processor.

Technology files

Like a word processor a group of styles can be combined and then used on successive designs to save time when setting up new designs of varying types. For example, the set up for a four-layer fine line surface mount board with internal power and ground planes is completely different from that for a low-cost double-sided board. The use of styles can also help to standardise company practices. In Easy-PC, this combination of styles is called a Technology File.

Easy-PC Technology files also include many other useful attributes to help you standardise and maintain the quality of your designs and save time when creating designs similar to previous designs.

You can take advantage of having different Technology files for different product ranges or different manufacturing processes. A Company designing washing machine control units - working in a damp atmosphere with mains on board, may also have a group designing production test equipment. In a classroom situation, one group of students may be working on microprocessor designs, while another group of less advanced students are working on simple single-sided audio circuits. Obviously each group would be working to totally different rules for board properties, track widths and design clearances. These can be set up instantly using Technology files.

When to use Technology Files

Technology files provide a mechanism for setting most of the important parameters when starting a new design or translating a schematic to a PCB. Once a new schematic or PCB design has been started it will not be affected by any subsequent changes to the technology file. There is not danger of damaging existing designs by changing the contents of a technology file.

Grids, Snap Mode, Units, Backup Timer, Board and Routing Outlines, and Autorouting

Technology files include all of the Units, Screen and Working Grid settings. They remember your standard setting for your Backup Timer. They can even include standard Board Outline and Routing Area definitions.

Net Names

A Technology File saved from a design also includes all of the user-defined Net Names used in that design. This means that when allocating net names to follow on designs they can simply be chosen from a pick list rather than entered again. This minimises keystrokes, reduces spelling mistakes and means that net names can be standardised throughout a design team working on different sections of a product.

Styles and Technology files minimise errors and produce faster results

Having defined the dimensions of the element in a design its style can be applied instantly to any other element of that type. What is more, subsequently changing the style in the design will change all objects using that style. Note: Modifying a technology file only affects future designs started using that technology file. Existing schematics and PCBs will not be affected.

Transferring styles (and Design Rule Clearances) between designs and Technology files

If a style has been added to a design and it is required to add it to a technology file for subsequent use – Or if a technology file contains a style that is required in a design, the [settings / Technology files dialog gives a method of bi-directional transfer.

Select the required Technology file, select the tab containing the required style type, highlight the style or group of styles to be transferred then hit the copy button. The style(s) will be copied over and if the Technology file has been changed you will be asked to confirm that the changes should be saved.

Also see: Styles


Units

You can change the Units from Imperial to Metric units and vice versa. This is done with the [Units] entry on the [Settings] menu. Because Easy-PC uses 1/10th Micron database precision, there are true Imperial / Metric conversions at all times and so rounding errors do not appear. This accuracy is essential in modern designs where mixed Imperial and Metric components are created and placed.
Try these commands and see how the co-ordinate information changes. Changing the units does not affect the pitch of the grid by simply changes it to be the same size in both imperial and metric units.
Care must also be taken when switching units to ensure that the Precision of the units is changed accordingly. For example, Imperial units in Thou would normally be defined to 0 (Zero) decimal paces, while Metric units in Millimetres would be defined to 2 or 3 decimal places because of the rounding and accuracy required. This is especially important for the definition of drill sizes.
One final important point for unit precision, be careful if changing between the unit types on the same design. It is possible to sometimes define an item as say 12.99 and to round the unit precision up to 0 decimal places which then shows 13 as the displayed size. But because the value hasn't been changed, the value is still 12.99 as the stored value and the value which is then used throughout the design for all operations.


Working Area

The edit box allows the maximum working area to be defined in the current units. The smaller the chosen working area, the greater the available magnification and screen resolution. Selecting Best Fit automatically moves the current design near to the bottom left hand corner of the working area and shrinks the working area to give the best resolution. Note: If you use this function, you will not be able to Undo any changes made beforehand.

Also see: Best Fit


Automatic Component Rename

Automatic component rename is used in PCB to effectively re-sequence the components so that the names and numbers are consistent across the board. Typically, this style of rename is used for service engineers' convenience when diagnosing problems on the board and using the Schematic circuit references to fault find.

To run this feature you must have board outline defined in the design.
To run this function you select the [Auto Rename Components] option from the [Tools] menu.
From this dialog you can choose to rename All Components in the design or only those starting with a particular name stem, e.g. U, or IC etc. and to rename components on a given side, Top Side, Bottom Side or Both Sides. If Top or Bottom Side are selected the rename is only performed on that side. If the Both Sides selection is made the rename will rename one side first and the other side after, using the direction specified. The direction doesn't change when renaming the 'back' of the design, so effectively the renames on the back are mirrored or the opposite as to X direction specified.
You can also opt to select components which are placed outside the board outline, normally these would not be included.
You can choose to makes renames on individual board outlines where multiple board outlines appear in the design. It maybe that you've include multiple designs in one design files or that you are making a 'flexi-rigid' style of PCB in which case multiple board outlines would be used for the same design.
The Direction of the renames can be selected using From and Then, the side (Using), the name stem Reference used for the rename and the band of the name reference search using the Strip Width.
The selections for the rename direction are Left to Right or Right to Left, or Top to Bottom or Bottom to Top. These directions can be applied to either From or Then but the X and Y rename directions can only be selected for one of these boxes e.g. you cannot select Left to Right in the From box and Right to Left in the Then box, the directions must be X followed by Y or Y followed by X. It is normal practice to direct the renames to be left to right followed by top to bottom. This practice means any service engineer can pick up a board and find a component quickly just by looking at it.
The Strip Width value provides you with a method of dividing the width of the board into strips so that the rename option knows where to find the names when making the renames. When considering the strip width you should be aware that the strip will look at the centre of the component bounding box including the component silk screen information but excluding the component reference name.
The width to be used will depend on the type of components on the design, for fine pitched devices a lower value should be used but if conventional components have been used then make it larger. Typical values might be 100 thou, for an SMT design with mixed technologies, or 250 thou for a conventional through hole design.
Care should be taken defining the Strip Width, if you get renames which are unexpected or the sequence appears out of step, the strip width should be checked or the position of component names checked. Components will be renamed in a strip if their centres are in the strip band.
The renames are stored internally within the PCB design so that the changes can be back annotated to the Schematics using the 'Back Annotation' facility.


Auto Route Nets

Auto Route Nets using Easy-Router II

Introduction to Easy-Router

The Easy-Router II product is a cost option which can be purchased from the Number One Systems sales office [+44 (0) 1684 773 662] or from your local dealer.
Easy-Router has been designed specifically to work with Easy-PC, to handle small to medium sized designs of moderate complexity. It makes use of the latest software technologies to achieve its results. Easy-Router uses a TrueShape shape-based data model, which means that every item is stored using a true representation of its shape with no loss of accuracy. This is turn allows the routes to be packed as closely as your design rules permit.
Easy-Router is also a multi-pass router. This is also known as “rip up and retry”. This means that it can work on improving its own routing pattern by ripping up tracks it has already laid down and re-working them.
As an integral part of Easy-PC, Easy-Router has direct access to the object-oriented data model of Easy-PC itself. This means that there is no waiting around for data to be translated into and out of the router, thus eliminating a potentially time-consuming step in the process.
Another advantage of the integral nature of Easy-Router is that it can update the picture as it runs, allowing you to see the results as they are generated. You can also stop the router at any time, modify tracks yourself, and then re-start the router to complete the task. Interaction with the router actually goes beyond this, as you can use the power of Easy-Router to help you route tracks during manual editing. These features will be described in more detail later on.

Overview

An autorouter is a set of software routines that automatically determine the routes of inter-connections on a printed circuit board. Using an autorouter to route even part of your PCB will give you a significant saving in time (and hence money!), and by combining the power of an autorouter with your experience in PCB layout, the resulting design can beat even the most labour-intensive manual layout results in terms of manufacturability, cost and even aesthetics.
An autorouter takes sets of 'nodes' (connection points) and works out physical paths (where possible) between those nodes whilst at the same time obeying the design rules needed for error-free manufacture. During this task it makes many decisions about what to do when tracks cross, directions of track segments on different layers, design rule spacings between different kinds of items, and so on.
Rather than slavishly insisting on keeping horizontal tracks on one layer and vertical tracks on another, it will also reduce the manufacturing cost by removing vias and unnecessary 'steps' where it can.

When using the [Tools] [Unroute Nets] feature you are given the choice of three options:

[All Nets]

This will route all of the nets within the design. A dialog is displayed form which to make the routing choices.

[Browse Net Classes]

This will display a dialog from which to choose the net classes to route.

[Selected Nets]

This will route any net which is currently selected within the design.

[Selected Connections]

This will route any connection which is currently selected within the design.

[Browse Net]

This will display a dialog from which to choose the nets to route.


Auto Place Components

Autoplace has been added to aid designers in the placement of designs. It is not intended as the 'ultimate' human placement engine replacement! It's intention is provide an intelligent user guided placement tool which uses a set of complex rules to assess and evaluate the placement area and the given components which should be placed into it. Once the placement tool has executed to a satisfactory level of completion you should further manually refine the placement of components to provide the correct spaces in the design for manufacturing assembly.

With the rules built into the program, consideration is taken when looking at existing placed components and components placed which are 'fixed'. You should first place and fix onto the board any components that have critical placement e.g. edge connectors, high speed devices etc.

The Autoplace option is run from the Tools menu. There are three options to choose from under the Auto Place Components option:

All Components means all of the components in the design, including any in the component bin but excluding any fixed components.

All Unplaced Components is the any component which is in the design and is inside of the component bin only. It excludes 'unplaced' components outside the board area (even though they are effectively unplaced waiting for placement).

Selected Components is used for components which have been selected first to be placed as a priority over any other components.

It should be noted that any routed components will not be considered for placing.

Once a the component selection type has been made from the menu the following dialog is displayed:

This dialog contains the features required to enable user control over the placement of the design using a set of pre-defined rules.

Allowed Rotations - When placing, if any of these check boxes are checked the rotation indicated will be allowed and the placement tool will attempt to use these to improve placement.

Allow Flip for Surface Mount Components - During placement, if an SMT component can be or needs to be flipped, with this switch checked it will be attempted.

View Placement is used to view the placement as it happens. With this switched off the final placement is only visible once the placement has completed.

Minimum Effort - This mode will perform an auto-place based on the following rules:

Rotation of 0 and 90 degrees, and flip will only be attempted if the tool cannot place the component.

Components are placed to the nearest nodes rather than using and optimised position.

Move to Comp Bin - Selecting this button moves all unfixed components into the Component Bin. It is essential to ensure all critical components not fixed are fixed before using this function (accidental move of critical components can be resolved using Undo). Components can be fixed using the Properties dialog and the Fixed status switch within it.

It is also important to note that components moved repeatedly to and from the component bin are always returned to their 0.0 degree rotation state regardless of the rotation angle that they were placed on the design. This repeated movement

could be because of placement iterations or the addition of components to the design while still checking for the final placement of the design during the design process itself.

Minimum Spacing - This assigns spacings used during placement between two sets of items: Components and Board (Comp to Comp and Comp to Board respectively). When the spacing calculation is taking place, 'component' is taken as the total component bounding box excluding any component text but including shape items e.g. silk screen outlines outside the pad extremities.

Component bounding boxes will be at least the minimum spacing distance apart, and the minimum spacing from the board. Also, design rules spacings for pad to pad and pad to board will be observed when automatically placing. Alternatively, you could add a placement outline around the component in the library and the component to component spacing to zero (0). Working values could be 20 thou. And 50 thou. Respectively but will depend on your manufacturers recommendations.

Placement Grid - This is a user defined grid on which the components will be placed. The value you set here effects both the placement pitch and the speed at which the tool operates, and also the completion rate. A course grid will take less time but will possibly not give a very good completion percentage but will finish fast. Whereas, a fine grid will give a very accurate result but will take a long time. A compromise can be reached between time and percentage placed by using a realistic grid setting based on the majority of component types on the design. Once you have achieved a small enough grid to be able to place all components onto the board, reducing the grid will have the effect of placing tighter, but will take a lot longer.

The chart below indicates a guide to grids based on our findings:

Technology Type | Grid Setting
Mainly conventional technology (DIL) | 0.100" +
Mixed conventional and SMT technology | 0.075"
Mainly SMT technology | 0.050"
Fine line SMT technology | 0.025"-0.050"

Comp Order Bias - The Size versus Connectivity slider indicates your chosen preference to placement based on the Size of components or the Connectivity of components. Size will place larger components first, whereas Connectivity means place components that have the strongest pull onto the board first i.e. components with a high number of pads connected to nets already on the placed design.

Using the Size bias will mean that large components are placed early to ensure they get onto the board, but they can get between components on some nets resulting in a longer overall connection length total.

Boards which are very dense in terms of number of components would be biased towards Size, whereas designs which are connection dense would be biased more towards Connectivity.

Autoplace - This button starts the auto placement based on the dialog selections made.

Canceling the Auto-place option while it is running will allow you to keep components placed so far, with the option to discard them by clicking No.

On completion of placement a dialog is displayed showing the completion results, click the OK button to finish.

The report shows the Number of components placed into the design and the Number failed. The Connection Length figure is the total length of all the connections in the placed design (and excludes components connected in the component bin), this figure is in the current design units. The number of Connection cross-overs shows how many of the connections within the design cross each-other. This is a good indication to aid the next design process which is normally the routing of the design, the less cross-overs the better the routing potential.


Back Annotation

Back annotation provides a facility to make changes in the PCB design to the net names and component reference names, either manually or in the case of component names automatically, and to then apply those changes back to the master or original schematic design.

Any changes made to the PCB are automatically stored with the PCB design, there is no separate or additional file to retain with the design. This means that the associated schematic design will be able to detect whether back annotation changes are required when the option is selected.

Back annotation is run by selecting the Back Annotation option in the Schematic design editor or from the PCB design editor. If run from the PCB design editor without the associated schematic or project open, the system opens it automatically ready for the back annotation.

With the Back Annotation dialog you have the option to View Renames before they take place and to click OK to perform the changes.

Back Annotation Renames Report
------------------------------
Report Written : Thursday, August 05, 1999
Design Path    : C:\Examples\Design99.pcb
Design Title   :
Created        : 05/08/99 11:58:05
Last Saved     : 05/08/99 12:00:56
Editing Time   : 48 min
Outstanding PCB renames awaiting back annotation to the Schematics design(s).
Rename Component from "U2" to "U1".
Rename Component from "U1" to "U2".
End Of Report.

The report for both the View Renames and when the OK button is clicked shows the steps which need to be taken by the program to change the schematic so that it is In-step with the PCB design.

When the OK button is clicked you are presented with a warning dialog which allows you to confirm the back annotation changes. This is your final chance to escape the changes before they are made permanent.

The changes are made permanent with no undo facility available because back annotation is seen as a 'down stream' design process after the initial PCB design and one which is synchronising the schematic and PCB designs.

Once the changes are made to the schematic, the design should be saved.

Back annotation should be used after any changes to PCB net names, after using the automatic component rename option, after making any manual component changes, and before making any changes to the schematic (after making net or component name changes in PCB). If back annotation changes are pending for the schematic and a Forward Design Changes is attempted, you are prompted to use the Back Annotation facility first.

Be warned, if Back Annotation is not run to make necessary changes the schematic design can easily become out of syncronisation with the PCB design.


Reports Connectivity Check

Connectivity Check Report

The connectivity is a vital part of a design. When a schematic is being designed, the connectivity is generated automatically as the interconnections are drawn. After translation to PCB, or in the case of a PCB only design, the connectivity becomes vulnerable to editing operations. It is all too easy to decide that a net needs to be routed the long way round, and remove the link before manually rerouting it. This is no problem. What does cause a problem is when part of this route is accidentally omitted.

The Integrity Check compares netlists. A design can pass perfectly and still be faulty because there are two clusters of tracks, electrically isolated, but with the same net name. This is a common result of the above scenario. The Connectivity Check detects all such instances, and generates a detailed report to enable corrections to be made. It will also detect places where a net has been started but not finished, so that only one connection is present.

To generate the report, select [Tools], then [Connectivity Check]. The dialog which opens contains a check box for ‘Report’, which should be active. You can also choose whether the whole design should be checked, or only selected items. If you choose only selected items, all nets with the same name as any of the selection will be checked, not just the specific highlighted items.

The report comprises some header information about the design, followed by a detailed report of problems found. The last few lines contain a summary, giving a quick overview as to the extent of any problems.

Empty Nets Message in Report

When the check reports Empty Nets it is because any net that has a user-defined name (not Nnnnn) will not be automatically deleted when you remove items from the net. If you check Settings | Nets you'll see there will be some (corresponding to those marked "empty" in the report) that have no X mark next to them. These are the empty nets. Nets are allowed to be empty, not least to allow them to be set up in a technology file from the start.


Design Rule Check

Design Rule Check

Regardless of the skill and experience of a designer, mistakes will happen. Probably the commonest is a violation of necessary clearances. This can range from simply squeezing too many tracks through a gap, leaving a track too wide between IC pins, putting vias too close, etc. to inadvertently crossing another track, or forgetting to change the layer of a segment. The effects are often not trivial.

While it is perfectly acceptable for unrouted tracks to criss-cross over the board, routed tracks must not cross each other, and should be routed with a certain minimum clearance between each other and between tracks and pads. Another check is making sure all parts of tracks that should be connected together really are.

The design rule check goes a long way towards avoiding these problems. As it has no relevance for Schematic designs, it can only be accessed when a PCB design is loaded. Assuming that a PCB file is active, the clearances used for the check are set up from [Spacings] under the [Settings] menu. All combinations of tracks, pads, vias, shapes, text and board outline can be specified independently. The check itself is started from [Design Rule Check ] under the [Tools] menu.

A dialog box controls which items are included in the check. If an area has been highlighted, it is also possible to check just this selection. A check box selects the report.

The format of the report is similar to most of the others in that it starts with a header block giving information about the design file, followed by a list of all the errors found. Each error is described by type, location and layer, followed by a summary of the errors found.

Note: If there are several errors between two items, only the first is reported. The occurrence of several errors is most likely with track to track faults. There is no risk in this as re-running the checker will always report the next error until all are cleared, and on large designs it helps keep the report to a manageable size.

When a Design Rule Check has been completed and one or more errors have been reported, you can move through the errors in turn using the [View], [Goto] [ Next Error] and [View], [Goto] ]Prev Error] entries. Alternatively, you can use the shortcut keys of and for Previous and Next Error respectively.

At each error the display will pan and zoom if necessary to show the offending elements in the centre of the screen with a line linking them together. There will also be a text item indicating the type of error, e.g. T -T is a Track to Track error marker.

To clear the DRC error markers you should either remove them from the design by making the appropriate edits and re-run the checker, or to remove them temporarily (to view a clear design for example) simply click the [Delete Errors] button on the [Design Rules Check] dialog.

A better method of hiding the error markers temporarily is to select them as not displayed in the [Settings] [Display] menu option. Beware, this is dangerous in case you forget to re-run it before plotting.

Note: you can also use the Online DRC option to check for design rule violations as you are editing.

Error Markers

The error markers shown are:

  • T - Track
  • P- Pad
  • V - Via
  • C - Copper
  • X - Text
  • B - Board
  • D - Drill hole error

See Also


DRC Drill Hole Checks

Design Rules Checks can be carried out on items (in the Spacings dialog) against drill holes. This check is to ensure that the drill hole does not violate the item being checked against.

For Track to Drill hole checks the following rule applies:

Where P is the pad diameter, D is the drill diameter and T is the track width

If ½ T is greater than ½ (P-D), an error marker is created e.g. T - D

The resultant effect that will be achieved when the track is backed off during the plotting output stage is shown below:

The problem is when you get a thick track which is much bigger than the pad, the back-off causes the track end to be pulled so far out of the pad (to avoid the drill hole) that there are two small 'cuts' between the track and the pad which can cause 'over-etching' during manufacture.

The diagram above illustrates the area which the over-etching could occur. With larger tracks this is obviously more exaggerated.

When an Track To Drill hole error exists, the track isn’t backed off during the output stage. In every instance where this situation occurs the edge of the track will be plotted over the pad to the far edge of the pad, covering the drill hole (effectively the same effect as potting with 'Fill Pads' switched on).

When this happens and the track width is not adjusted, the error messages are really warnings that this rule has been violated. They indiacte the location of the violation and show where the back-off is ignored.


Design Rule Check Report

Regardless of the skill and experience of a designer, mistakes will happen. Probably the commonest is a violation of necessary clearances. This can range from simply squeezing too many tracks through a gap, leaving a track too wide between IC pins, putting vias too close, etc. to inadvertently crossing another track, or forgetting to change the layer of a segment. The effects are often not trivial.

The Design Rule Check goes a long way towards avoiding these problems. As it has no relevance for schematic designs, it can only be accessed when a PCB design is loaded. Assuming that a PCB file is active, the clearances used for the check are set up from [Spacings] under the [Settings] menu. All combinations of tracks, pads, vias, shapes, text and board outline can be specified independently. The check itself is started from [Design Rule Check] under the [Tools] menu.

A dialog controls which items are included in the check. If an area has been highlighted, it is also possible to check just this selection. A check box selects the report.

The format of the report is similar to most of the others in that it starts with a header block giving information about the design file, followed by a list of all the errors found. Each error is described by type, location and layer, followed by a summary of the errors found.

Note:

If there are several errors between two items, only the first is reported. The occurrence of several errors is most likely with track to track faults. There is no risk in this as re-running the checker will always report the next error until all are cleared, and on large designs it helps keep the report to a manageable size.


Easy-Router Autorouter

(Cost Option)

This is the Number One Systems’ own shape based Autorouter, Easy-Router, available as a cost option.

The router can handle two signal layers and unlimited power plane layers. SMT devices can be automatically stub routed to the power plane using this product.

Easy-Router not only includes fully automatic routing but also and auto-interactive mode, where a connection can be selected and the router left to complete or finish it off.

The autorouter is aimed at small to medium sized designs of moderate complexity.

For further information please contact our sales office for a datasheet and demo disk.


Forward Design Changes

Adding a Component to a Schematic and Modifying the Corresponding PCB

This is done using the Forward Design Changes option:

First ensure that both schematic and PCB have identical connectivity using the PCB Integrity Checker.

Make any modifications to the Schematic design and save the changes. These changes can be on a single sheet or on multiple sheets within a Project.

From the Tools menu select the Forward Design Changes option. From the dialog displayed click the OK button. The changes will now automatically be made to the design of the corresponding name.

Run the Integrity checker again to confirm that the designs are synchronised (this is not really necessary but will help your confidence in the systems!).

Save the PCB design.

Then save the designs under a new name to allow you to go back to the old design if required.

Forward Design Changes does a partial netlist translate from SCM to PCB to the update design. This means that design changes made in the Schematic can be forwarded into the PCB design automatically.

The diagram below indicates the 'flow' of information within Easy-PC.

Design changes which are 'pushed' forward include:

  • Net name changes/additions/deletions
  • Connection/Net changes/additions/deletions
  • Net Class changes/additions/deletions
  • Component changes/additions/deletions
  • Component Values changes/additions/deletions
  • Package changes/additions/deletions
  • Pin changes additions/deletions*

    * disconnects track from pad end using the corner of the last segment inserted and reconnects to new pad without altering track path significantly.

    Undo levels are retained for all forward design changes (restricted within number of Undo levels defined in Preferences).

    Note: Forward design changes are often called ECO's. ECO's are Engineering Change Orders and is a terminology normally used in larger companies to describe a 'note' to inform the PCB layout engineer of changes to the design being laid out. In the case of Easy-PC, it is called Forward Design Changes to best describe the function being performed. It is this function used if an ECO is raised to modify the design.

    To use this option the design should have been transferred to make a PCB design first. The PCB design doesn't necessarily have to be placed, simply having the design components and connections in PCB is enough to be able to apply further design changes from the Schematics. Components may also reside in the component bin as discussed previously.

    [Forward Design changes] is located on the [Tools] menu in SCM/PCB or Projects. Before attempting to perform changes to the PCB the Schematic design should be saved though this is not essential.

    When this menu entry is selected you are prompted with the dialog shown.

    The Component Library Directory capability will be used to load new components into the PCB design. Although stored in the actual application it provides you the opportunity to change the location using the Browse button. The Ignore Different Package check box will ensure that the component package remains the same even it has changed on the schematic. Use Component Bin will add any new components to the component bin and will make the bin visible when the design changes are made.

    When the OK button is clicked, changes are made automatically and a report of the changes and/or errors is produced. The Undo option can be used to revert the changes made to the PCB.

    If the design has any name changes which have not been back annotated to the schematic before a Forward Design Changes process is attempted an error message is displayed. Click on OK to clear the message and use Back Annotate before retrying Forward Design Changes.


Reports Integrity Check

Integrity Check Report

Whenever manual alterations to the schematic or PCB are necessary, it is relatively easy to make some on-the-fly modification to the schematic or PCB (or both) and get them out of step. This is where the Integrity Check becomes useful. The checker compares copies of the netlist for the schematic and PCB designs. The result is a report which lists any discrepancies found. This should enable the faults to be found and corrected, but you should also see the sections relating to the Connectivity Check and Unconnected Pin reports. To generate this report, select [] from the [Tools] menu.

The format of the report is a header block giving information about the design files, followed by a detailed report, and a summary if appropriate.


Measure Gap

This is an interactive option to measure the gap between two electrical items.

Measure Gap is available from the Tools menu. A small floating ‘results’ window appears, this prompts you to select the first item to be measured. This window can be moved if it obstructs the items you wish to measure.

Select an electrical item, then a second item, the results window shows the ‘DRC’ distance between the two items. This is the real distance between the points as would be calculated through the DRC option and is measured against the closest point of each item selected. The electrical items selected will be highlighted in the selection colour to show which are chosen. A small line also indicates the points chosen for the measurement as confirmation.

The window can be cleared using the small cross [X] or by pressing Esc on the keyboard. This will also cancel the option when you have finished.

Sometimes there is no measurement that can be shown, for example if the two items are track segments on different layers, this is indicated in the result window too.


MultiRouter

Getting the Best out of MultiRouter

MultiRouter takes an unrouted board and uses all of the information contained in the Layers definition, the Net Classes, the Track and Pad Styles used in the net classes and, without taking a tea break, it routes it. MultiRouter usually achieves 100% successful routing, but it will probably need more than one pass to do so. On very complex and dense layouts it can take many ten’s of passes.

Schematics

While you are still in schematic mode, prior to translating the design to PCB, ensure that appropriate net classes have been set-up for each of the main track types in the PCB. (i.e. Signal, Power, Clock etc.).

PCB Layouts

The following information details the steps that need to be taken when working on the PCB:

Layers

Ensure that the layers and routing directions are set up correctly in the [Settings / Layers] dialog.

Tracks, Gaps and the Routing Grid

MultiRouter is a grid-less router, but constraining it to carry out most of its routing to a grid can give faster and tidier results. When a grid is specified, MultiRouter will still go off grid when necessary to connect to off grid components.

It is always a good idea to select a grid that is consistent with nominal track widths and clearances. For example, with a grid set to 0.025", track widths of 12 thou. and clearances of 10 thou. will ensure that there is plenty of room for parallel tracks on that grid with sufficient clearance between them. If, however, the track widths were set to 0.020", there would not be sufficient room to route one track per grid pitch.

Note: It is usually better to have the track slightly wider than the gap, as etching will reduce the track width at each edge by the same amount as the copper thickness. This would typically be 70um, or about 3 thou. Using 15 thou. tracks and 10 thou. gaps produces roughly equal track and gap sizes when the board is manufactured.

This calculation is recommended for all combinations of track and gap widths, although the signal track width and the track to track gap are the most important. When calculating track to pad, remember that it will be {half-track width + track to pad gap + pad radius} which gives the critical figure.

A little simple arithmetic can dramatically improve routing performance.

Track Widths and Via Pad Dimensions

Ensure that your net classes are set up with the required via dimensions and the nominal and minimum track widths.

Design Rule Clearances

Check [Settings / Spacings] and ensure that they are consistent with the requirements of your board manufacturer and PCB assembly house. If additional Guard Spacings are required for any nets (e.g. for high voltages) these should be included in the net definitions

Board Outline and Routing Area

Remember to include the board outline and routing area.

Placement

Position the components on the layout such that natural groups of interconnected components are kept near to each other. This will minimise the number of long connections in the final layout. When positioning components, running Net Optimise regularly will show where the most connections are.

Evaluating Routability

You can run the preview router will give a quick, single pass, evaluation of the overall routability of the layout. This can be useful in homing in on an acceptable placement.

Memory Planes and Busses

If your design contains groups of several repeated components all with similar connections, such as memory planes, these should be routed first using the Memory router function in MultiRouter.

Critical Areas and Nets

Route critical areas like amplifiers or high speed clock generators manually. If necessary for EMC requirements, route supply lines and decoupling components first, in order to minimise loop areas.

Routing Effort

Using the lowest routing effort consistent with achieving 100% completion will usually give the neatest layout.

A layout which will achieve >90% completion on a preview pass at effort 5 is likely to achieve 100 % completion on multipass routing, within five or so passes. If it only achieves 60 percent completion on preview then a review of placement, design rules and even number of layers is called for.

Errors, Fails and Effort 10

The MultiRouter screen reports errors and fails for each pass. An error is reported where a net crosses or violates the space of another net. These nets are marked for either being shoved aside or ripped up and re-routed on a later pass. A fail is reported where nets violate and all routes for those nets have been tried consistent with the effort specified. Fails will only be re-tried at effort 10.

Some users use effort 10 all of the time.

Power Supplies and Decoupling

MultiRouter will connect unrouted nets to the nearest available manually routed track on that net. This is particularly applicable to power supplies rails. If a power supply net has been manually partially routed MultiRouter will replace the unrouted nets with stub lengths connecting at right angles to the power bus. This can be a great time saver when critical power supplies need to be manually routed.

Note: When using this technique it is essential that the pre-routed track, and the unrouted net have the same net name.

Some engineers use MultiRouter to route their power supply nets first, manually adjust and fix them, and then automatically route the rest of the circuit

Analogue and RF Layouts

RF sections of a layout are normally routed manually. The comments in the power supply section also apply to analogue and RF layouts, but even more so. Care needs to be given to the general positioning of circuit blocks. Power supply transmitted noise can be a serious problem, giving degraded performance, and in extreme cases, instability. Areas of copper and/or guard tracks and rings may be needed for isolation. The components demanding most power should always be the closest to the power inlet. In extreme cases (such as the bipolar 555 timer) a series resistor in the power supply, with a local reservoir capacitor, may be appropriate to decouple surges.

Remember, three terminal regulators have poor RF rejection, so rely on adjacent RF decoupling. Consider separate regulators for critical circuit sections.

Surface Mount Components

When using surface mount components selecting [pads optimum Pad Exit] in the MultiRouter set-up dialog will ensure that tracks always come out of the thin end of a pad, minimising potential acid traps and making flow soldering easier. At the manufacturing output stage ensure that there is solder resist between surface mount pads

Unrouted tracks - Less than 100 % completion

If there are a lot of unrouted tracks in a small area, it is usually better to re-position some of the components rather than route the offending tracks manually. Sometimes interchanging or rotating, rather than separating, components is all that is required.

Changing pad or track styles, to create extra space can have an immediate effect on routability.

Sometimes, forward planning can avert problems before they arise. For example, for a given copper area per contact (for board adhesion), an in-line connector with circular pads has the worst clearance between adjacent pads. Square pads are an improvement. Better still are oval or rectangular pads. Remember, however, that more clearance will be required alongside the connector if these are used.

Mitring

Mitring - putting 45 degree corners on right angle corners - reduces the overall copper area and can also improve high frequency performance. The settings for minimum and maximum mitre lengths are not usually critical and can be set to suit your personal preferences.

Smoothing

Smoothing not only improves the look of a layout; it also improves the manufacturability and can reduce the cost.

Always smooth prior to passing for production.

Checking the Design

It is axiomatic that nobody's perfect. There are few more embarrassing situations than finding that the urgent batch of boards you have just received won't do the job. For this reason, you should always use the Design Rule, Connectivity and Integrity checkers before releasing designs to production. A schematic file with a matching name is necessary in order to do this.

By the same token, it is worthwhile ensuring the track and pad sizes are correct, mounting holes match your enclosure, board profile is correct, etc.

Backups

Always keep a backup copy of the unrouted layout. If there are design changes in future, it is easier and neater to re-route the whole design rather than just the altered area. When a design is complete, there is a strong temptation to clear out redundant working copies. These should be kept at least until production is established.

Speeding up MultiRouter

Add more memory to your computer.

MultiRouter DOS Products

If you have the DOS version of MultiRouter you should follow this procedure in order to be able to use your existing licence with the latest version of Easy-PC For Windows.

It is assumed that Easy-PC For Windows will be installed into c:\Program Files etc.

Before installing the Easy-PC For Windows product do the following:

Ignore the existing MultiRouter installation if not standard install.

Create a new directory called c:\XM\MR

Copy the contents of both MultiRouter disks into c:\XM\MR

Run the standard Easy-PC For Windows installation from the CD-ROM and it will unpack the MultiRouter directory contents to C:\XM\MR, it doesn't use the Program Files MultiRouter directory.

You must have MR version I0726 to run correctly with EPC Win 2.1 or later.

Now run the Easy-PC For Windows product and it will use the existing MultiRouter product licence.


Online DRC

As well as the full 'batch mode' Design Rule Check, you also have the option of using Online DRC to catch errors as you are editing.

This option, that is enabled from the [Tools] menu or the [Preferences] dialog, will check any items that have been added or moved as a result of interactive editing operations. This includes, for example, all tracks attached to a component you have moved, or all tracks and vias added when manually routing.

As you 'finish' adding or editing each item, the checker examines the items you have been adding or editing, and checks those against all the surrounding items for any spacing violations or cross-overs. If errors are found, error markers are added to the design so you can see where the errors are, and a message box appears prompting you to choose whether to finish with errors or resume editing (in which case the error markers are removed).

The same design rules are followed by both online and batch checkers, including all your spacings.

See Also


Optimise Nets

Use [Tools] [Optimise] on nets (it doesn't work for Tracks) to make the rats nets the shortest possible length between all connected items in the design.

[All Nets]

This will optimise all of the nets within the design.

[Browse Nets]

This will display a dialog from which to choose the nets to optimise.

[Selected Nets]

This will optimise any net which is currently selected within the design.

Each option can be used depending on the control of optimisation required.


Optimise Vias

Use this option to help reduce the manufacturing cost of your boards by reducing the total number of vias in the design.

Each track with vias is checked, and where possible the track is swapped to remove the vias. Checks are made before swapping, to make sure that no design rule errors would be introduced.

On completion, the number of vias removed is reported as an actual number and a percentage.

Easy-Router

If you are using Easy-Router, there is a checkbox on the router dialog that allows you to include via optimisation as a 'cleanup' stage at the end of routing.


Specctra Autorouter Interface

The Cadence Specctra autorouter interface is only available if you have purchased the specific routing option for the Specctra autorouter.

For information regarding its use, please refer to the Installation Guide and Specctra Users Guide supplied with the software or to the technical support department at Number One Systems.


Tools Menu

This menu accesses the various utilities available, both integral and supplementary. As most of these are design specific, there is only one entry on this menu that appears in both standard design modes.

Design Rule Check

This item only appears for PCB designs. In conjunction with the figures specified in [Settings], [Spacings], it reports on any clearance violations. The default viewer used is Notepad. The default extension is .drr.

Measure Gap

This option is used to measure the distance between items and report the value. It will also show you the point at which it measures. The measurement is taken using the same geometry calculated using the design rules checking routine (so it is accurate!).

Connectivity Check

This item only appears for PCB designs. It verifies that all nets and tracks bearing the same name or number are actually physically connected, and generates a status report of errors. The default viewer used is Notepad and the default extension is .ccr.

Integrity Check

This item only appears for PCB designs. As designs may be manually modified, this checks that both schematic and PCB files correspond, and generates a report detailing items only present in that part of the design. The default viewer used is Notepad. The default extension is .sdn for schematics, and .icr for PCBs.

Forward Design Changes

This menu option is used to ‘push’ changes made to the Schematics through into the PCB design without changes your component placement. It allows the changes to be made with minimum impact.

Back Annotation

Changes made to the PCB to component name and net names can be back annotated to the corresponding Schematic design or Project using this option.

Auto Place Components

This option is used to automatically place PCB components into the board outline.

Auto Route Nets

This option is used to automatically route the connections in a PCB design. This is a cost option and can be purchased through Number One Systems, please contact us for more information.

Auto Rename Components

This option is used to automatically rename components within the PCB design into logical positions determined by the selections made in this dialog.

Update Components

Imports a new definition of components and their relevant symbols into the current design. The source library is chosen from a browse window.

All Components

Updates all components in a design.

Browse

Allows the component to be chosen from a pick list.

Selected Components

Updates previously selected component(s).

Optimise Nets

This item only appears for PCB designs. It determines the shortest route which will connect to all points in the specified net(s).

All Nets

This selection optimises all unrouted nets.

Browse

This selection opens a browser listing all the net names and numbers. The selected net is optimised if it is still unrouted.

Selected Nets

Unrouted nets which have been highlighted are optimised.

Unroute Nets

This item only appears for PCB designs. The whole of selected nets are unrouted, and subsequently may be optimised. The subsidiary browser operates as described under Optimise Nets above.

All Nets

This selection unroutes all nets.

Browse

This selection opens a browser listing all the net names and numbers. The selected net(s) is unrouted.

Selected Nets

Nets which have been highlighted are unrouted.

Translate to PCB

This item only appears for schematic designs. It converts a schematic design into the corresponding rats nest in PCB mode. Please note that this function overwrites, rather than appends to, any prior designs with the same name.

Component Pin Count

This item only appears on the menu for schematic designs. It can be used to check the number of pins that would be used when the design is translated to the PCB design editor. With some variants of Easy-PC PCB there are artificial component and pad limits imposed on the products. This will vary between 500 pins, 1000 and 2000 pins. There is also the full unlimited product.

Installed Tools (Simulators, etc.)

If you have installed a Number One Systems electronic design tool such as Easy-Spice or Layan on your PC, it will appear at the bottom of the [Tools] menu. Depending on the tool concerned it may only appear in Schematic or PCB mode, or it may appear in both.


Translate To PCB

When the [Tools] [Translate to PCB] tool is selected, Easy-PC will automatically cross reference the Schematic symbols to PCB symbols and will resolve the correct pin numbers for all the component pin names. This process automatically collates the netlist and resolves associated nets to create the netlist.
The mechanism for translating to PCB will include a request for the [Name] of the PCB [Technology File] to be used. The file chosen here will contain your design requirements matching the type of design being generated e.g. SMT, double sided, single sided etc. The [PCB Design] filename can be changed as required but the default name should be the same as the Schematic.
The check box to enable Components to be added to the Component Bin can be selected. The alternative is to allow the components to be added directly to the design. These would be positioned in a stack somewhere near the bottom left hand corner of the design.
A report is generated if there are any problems with the translation. This includes details of any connections made to only one terminal of a device and any component for which a PCB symbol could not be found. The latter would be fatal and would need to be corrected.
Any problems reported following translation should be sorted out depending upon the severity.

"Net NNNN contains a single pin"

- suggests a Schematic error where a connection should have been taken to a device pin, but failed to connect.

"Could not load component XXXXX / package YYYYYY into PCB design"

- suggests that a Schematic component has no corresponding PCB symbol allocated (at least for the chosen package type).

It is best to sort out any problems and re-translate, as it is less work to correct errors now.
A PCB design window will automatically appear in the main application window with four components in the component bin. In the Bin will appear, the 14 pin and 24 pin DILs and the D-type connector with the corresponding references, “U1", ”U2", "PL1" and “CONN1". Each connection that you made on the Schematic is also represented by a connection in the Layout joining the appropriate component pins and is generally known as a 'Rat's Nest'. This connectivity still remains but is not shown until the components are moved out of the Bin and into the design. This happens automatically.
In Easy-PC these thin white lines are called "unrouted Connections" and they can be displayed or hidden at any time through the [Display] option on the [View] menu.


Unroute Nets

Tracks within a design can be unrouted back to their 'connection'. Do not use Delete to remove the tracks, Delete will remove both the track and the connection from the design. Instead, use the Unroute option from the right hand mouse menu under Nets once a track is selected, or use the Tools menu and Unroute Nets. On the Tools Unroute Nets option there are various options which give more refined selection as to what is being unrouted at the time.

When using the [Tools] [Unroute Nets] feature you are given the choice of three options:

[All Nets]

This will unroute all of the nets within the design.

[Browse Nets]

This will display a dialog from which to choose the nets to unroute.

[Selected Nets]

This will unroute any net which is currently selected within the design.

Each option can be used depending on the amount of unrouting required.


Update Components

Components and Symbols can be updated or changed in the design using two features.
Update Component is available on the right hand mouse menu when a component is selected. This is used to update the current component on the design to a new or updated component from the library. This feature can also be used to force component updates from the library if required. Components within a design are always unique as are Symbol instances. A design cannot contain a DIL14, for example, which has two different shapes or pad shapes, they will always be identical. Once a component or symbol is added to the design, the next addition of that item will be duplicated form the design.
When the option is pressed (and it can also be accessed from the [Tools] [Update Component[ menu option) the dialog you are presented with allows a number of key functions to be performed.

Only update item if version different in library effectively allows you to 'force' an update even if the library items are the same. Leave the check box unchecked if you wish to force the update.

Remove pad style exceptions is used to control local pad style exceptions which have been added to components which are to be updated from the library. It is also used if the technology file used for the library creation and the design technology files are different.

Change Component is available on the right hand mouse menu on the Properties option when a component is selected. By selecting this option you are able to change components and/or Packages for that component in the design.
The net effect for both of these options is that if a component or PCB symbol is incorrect in the design, instead of removing the device and its connections/tracks, you simply replace the component or symbol for the one which is required or updated.

When selected frrom the [Tools] menu, you are presented with three options:

[All Components]

This will update all components within the design.

[Browse]

This will display a dialog from which to choose the components to update.

[Selected Components]

This will update any selected components in the design from ones from the library.


Auto Pan

Easy-PC is also provided with a smooth auto-pan function. This operates by moving the cursor to within approx. 1/4 inch (0.7 cm) of the current design window edge, this value is approximate for a full screen design on a 15" monitor. The design pans until the cursor is moved outside the panning tolerance. Panning works with and without design items selected ensuring an optimum user defined view of the design at all times. The enable switch for panning control is through the Preferences dialog and the {General} tab.

Once the switch is selected you can move the cursor around on the screen and when it gets near the edge anywhere the design will pan in that direction. The delay before the pan is started can be also controlled on this dialog. Moving the slider to the right makes the auto-pan work sooner, whereas moving it to the left makes it less sensitive, which means you have to leave it at the edge longer before it becomes active. The Default Delay button will apply a built-in setting which is a compromise between being usable and speed of operation.

For the autopan facility to work the design must be zoomed in at least one level.

Also see: Pan


Component Bin

The component bin is provided to store and view unplaced components in the PCB design editor, and unused gates in the Schematic design editor.

Because the component bin is a dockable toolbar it can be left 'floating or 'docked' on one of the sides in the design area. To move it, simply click and drag an edge of the bin to the desired location. The component bin will move while being dragged, as soon as you release the mouse button it will remain in it's present location until moved further.

The component bin can be toggled on and off using the Preview Bar switch on the View menu. When switched on it will remember it's last location, the same as any other toolbar.

The component bin contains two sets of information.

The Component Bin Preview window shows the component currently selected in the bin, along with its pad numbers and names. This updates automatically as each component within the bin is selected.

The Component bin window lists the components currently in the bin. This shows the component reference name, the component name and component type and is sorted alphabetically on the component reference name. For a schematic design and for a multi-gate component, the gate name and symbol name are listed for each gate of the component. The components (or gates) are selected by clicking in this list.

Placing Components Into The Design

To actually place components into the design once they are located in the component bin can be achieved by clicking on the required component in either the Preview window or the bin itself, and dragging it into the design.

Note: the drag may be canceled either by dropping the component back into the bin, by pressing the <Esc> key or once released, by pressing Undo (Ctrl Z).

Adding Component To The Bin

Components can be moved to and from the bin using a number of methods:

  • By dragging to the bin from the design

  • By using the right hand mouse button

  • From the Autoplace facility

  • From Add Component

  • During Translate to PCB

Dragging To The Bin From The Design

The most practical is by clicking and dragging the component from the design into the bin. Multiple components may be selected and dragged in a single operation by using the <Ctrl> pick or <Shift> pick methods. If the component is connected with connections only, the connections remain in tact but are not displayed until the component is brought back into the design. Electrical connectivity and total design integrity are retained at all times (even though the connections may not be displayed). This is for PCB only, if using schematics and components or gates are moved into the bin which are connected, a warning dialog is displayed requesting the move is confirmed.

If tracks exist to a component a warning dialog is displayed if the component is moved into the bin. You can at this point select to discard all tracks to the component by clicking Yes, or returning to the design by clicking No or Cancel.

If you click Yes, when the component is replaced into the design the tracks are not rebuilt, and the component remains unrouted. At this point only Undo can restore the tracks if you've made a mistake, provided you have enough Undo levels set to get back to the point where the component was routed!

During any possible move of components to the component bin, if a component(s) is fixed a warning dialog will be displayed.

This provides you the opportunity to confirm the move of the component(s) but is an additional safety feature for critical components which may have been deliberately fixed.

Using The Right Hand Mouse Button To Move Components To The Bin

Another method of moving components to the bin is by selecting the component(s) and right mouse click. On the shortcut menu, the Move To Component Bin option will allow you to directly move any selected components to the component bin. This shortcut menu option is also available if a frame select has been executed, even if it includes alien objects such as board outline, copper or free text etc.

Again, the same rules apply for routed components as before.

Place To Component Bin Using The Autoplace Facility

Another quick method for moving all components from the design to the component bin is to use the Autoplace function located on the Tools menu. There is a button on this dialog for moving all components to the bin, named Move To Comp Bin (this is discussed in the section for Autoplace)

Using The Bin From Add Component

Add Component provides a check box and Component Count entry to send components directly to the bin ready for placement.

When using the Component Bin in the schematic editor, if using Add Component and two of a four gate component is added to the design, if Cancel is pressed, the last two gates are added to the component bin. Copy paste also does the same with the unused gates in that it places them into the component bin.

Using The Bin During Translate To PCB

From within the Schematic design editor, the Translate To PCB option has a Use Component Bin check box which can be used to place all the components into the component bin instead of on the design.

Right Hand Mouse Key Functionality In The Bin

Within the Component Preview and Component Bin windows, there is additional functionality accessed through the right hand mouse button. This is:

  • New…

  • Delete From Bin

  • Empty Bin

New… will display the Add Component dialog from which you can select and add components directly to the bin.

Delete From Bin enables you to deleted the selected components or gates from the bin and a confirmation message is displayed before deletion.

Empty Bin will delete all items in the bin regardless of whether they are selected or not. Again, a warning dialog of the deletion is displayed.

Any item deleted from the bin can be recovered using the Undo functionality provided it is within the number of undo levels defined.

Also see: Preview Bar
Also see: World View
Also see: Component Preview


Component Preview

From the Add Component dialog you can see a graphical preview of the current selected symbol in the current library. The preview dynamically updates as each symbol or component is selected in the list box.

Also see: Preview Bar
Also see: World View
Also see: Component Bin


Display

The Display dialog allows you to change the visibility and/or colour of a range of items in your design. Colours can also be set up in technology files, allowing you to set up standard colours to be used across all your designs. Colour Files can also be saved and re-loaded, allowing you to easily switch between different colour setups.

Using the dialog

The PCB dialog has two pages, one for the layers:

and one for the other settings:

The Schematic dialog has only one set of controls:

Colours are changed by dropping down the list of colours and clicking on the desired colour. Visibility is changed by simply turning the relevant checkbox on or off, or by toggling the relevant grid 'cell' between Yes and No.

Colours should generally be used which contrast between different electrical layers, e.g. Top and Bottom electrical layers should be distinctive against each other. This contrast will make it easier to identify layer changes and electrical differences.

The buttons down the right-hand side of the dialog allow you to close the dialog saving changes (OK), save the changes without closing the dialog (Apply), or close the dialog without making further changes (Close or Cancel).

Colour Files

The current settings on the dialog can be saved out to disk as small 'colour files' for later re-loading. Any changes made on the dialog will be applied before the colours are saved to disk.


Viewing Pin Names And Numbers

If you wish to switch of the display of all Pin Names and Numbers in the design, use the [View] [Display] option. This can display both pin names and numbers with two separate check boxes, this only affects the screen and not the printing/plotting outputs.

The symbol and design editors allow individual pins to define whether their pin number and pin name should be displayed, this is enabled through the Properties dialog.

In a symbol the check boxes define the default state for a pin when the symbol is added to a design.

In a design the check boxes control whether the pin name and/or pin number are displayed and post processed. The Properties Component tab also contains a pair of check boxes to control the display of all pin names and pin numbers on that component. This means that in schematic mode, complex components like microprocessors can have their pin names and numbers displayed but simple components like resistors and capacitors can have them turned off.


Frame

Frame

You are provided with Frame to selectively zoom around the design to specific areas.
Frame will allow you to click and drag a box around items within the design and for the option to fill the screen with the selection. A note to mention here is that quite often you will drag a box on the design and get a selection but no zoom, this will be because you have not selected the Frame function first!!

View All

The [View All] option is available on the [View] menu and also on the toolbar. View All allows you to display everything in the design fitting it to the design area of Easy-PC For Windows. This includes anything outside the board outline or even outside the drawing sheet if placed outside. View All takes the maximum extents of everything added to the design.

Also see: Zoom and Unzoom


Goto Component

Finding a Component in a Design

Use the [View] [Goto >] [Component] option to select the component required to find. Select the component from the drop down list or type its name if known. The component is highlighted and the screen view panned to position the component in the centre of the window.


Goto Net

The [View] [Goto >] [Net] option will find any net within the design. Use the drop down list to select the name required or type in its name if known. Partial names can also be typed in to get you near the name, and then the drop down list selected to retrieve the full name required.

The list will display all names including named and default net names.


Goto Relative Origin

When set use the [View] [Goto >] [Relative Origin] option to move the cursor to this origin.

Also see: Relative Origin


Goto Selected Origin

Use the [View] [Goto >] [Selected Origin] option to move the cursor to the origin of selected items or a selection in the design. The screen view panned to position the component in the centre of the window.
This only works in select mode and not while moving items. If multiple items are selected, the selection origin will be the centre of the selection bounding box.


Goto XY

The [View] [Goto >] [XY] option will move you to the X, Y coordinates typed in within the design. The design will move to centre the X, Y coordinates typed in.


Highlight Net

Use the [View] [Highlight Net >] option to highlight nets within the design.
Using the options available you can choose the net to highlight and the way in which they are selected.

Browse

A small dialog will allow you to choose the net name. The dialog will also display the Net Class of the net chosen.

Selected Nets

With nets already selected in the design, choosing this option will apply a highlight to them.

Remove Highlight

The highlights can be removed using the [View] [Goto >] [Remove Highlights] or [View] [Highlight Net >] [Remove Highlight] options.

For changing the Highlight colour, also see: Colours


Pan

Pan is not available as a menu command but is available through a keyboard shortcut key. Use the P key to pan the design centre to the location of the cursor. If you click once, a single pan is executed, if you keep the P key pressed, a dynamic pan is executed until the P key is released.

Using the Mouse Wheel

The Pan feature is also available on the mouse wheel if fitted. To Pan once, click the mouse wheel. To 'dynamically' pan the display, click the mouse wheel but keep it pressed. The Pan operation will stop when you release the mouse wheel button.

Using Pan in the World View

Pan can be used when the world view is active. You can use the P key but not the mouse wheel button.

Also see: Zoom, Unzoom and Frame
Also see: World View
Also see: Preview Bar
Also see: Auto Pan


Previous Error

Previous and Next Error

Previous and Next Error are used once the Design Rules Check option has been run.

Goto Previous Error

Use the [View[ [Goto >] [Previous Error] to select the previous design rules error marker in the design. This will be the previous one in the design database and not the next visible one or closest. The design will move at its current zoom level to fit the error marker in the centre of the display.

Goto Next Error

Use the [View[ [Goto >] [Next Error] to select the next design rules error marker in the design. This will be the next one in the design database and not the next visible one or closest. The design will move at its current zoom level to fit the error marker in the centre of the display.

Also see: Design rules Check
Also see: Colours


Preview Bar

The preview bar is an additional toolbar provided to accommodate interface features for the world view display, the component bin and the 'Speedbar'.

How to use the Preview Bar

It can be toggled on and off using the Preview Bar option on the View menu. When switched on it allows the world view option to be used and the component bin to be viewed and used. The Preview bar contains information for the design displayed in the currently active view and is only displayed when it is relevant to the active design, e.g. if it is a PCB or SCM design, or technology.

Also, like other toolbars, it may either be 'docked' or 'floating'. When docked it may be fixed to either the left or right hand edges of the Easy-PC window. When floating, it appears in its own window and will always appear on top of the Easy-PC window. To move the Preview bar click on one of its borders, or if it is floating, on it its title bar and drag it to the desired location. If you drag it to the edge of the Easy-PC window it will automatically dock. To stop the Preview bar from docking hold down the < Ctrl> key while dragging. It is also possible to toggle between docked and floating modes by <double-clicking> on its border or title bar.

What appears in the Preview Bar

The topmost area is the World View. The drop-down list below this allows you to choose what to display in the lower part of the Preview Bar. The default setting is to display the Component Bin, in which case the lower part of the Preview Bar shows the Component Bin Preview, and Component Bin.

The Speedbar

To access Speedbar functions, choose the desired option from the drop-down list. Choosing any option other than the Component Bin will switch off the Component Bin Preview and Component Bin, replacing them with a listbox for the Speedbar results. The Speedbar provides you with the following functions:

  • Colour Files : single-click access to Colour Files saved from the Display dialog. Simply click on the colour file name in the list.
  • Layers On/Off : toggle display of individual layers on and off (PCB only).
  • Goto Component : click on a component name to jump straight to that component and highlight it (the same as View | Goto | Component).
  • Goto Net : click on a net name to jump straight to that net and highlight it (the same as View | Goto | Net).

See Also

Component Bin
World View
Component Preview


Refresh

Refresh

In some instances, the display will not redraw completely, you will need to force a display 'repair'. Use the [Refresh] option to redraw the picture. You can also use the keyboard shortcut key Ctrl-R to do this.

Also see: Pan
Also see: Frame
Also see: Zoom and Unzoom


Remove Highlight

When the [View] [Goto >] option or [View] [Highlight Net] options are used, the item located will be highlighted using the highlight colour. Use the [View] [Remove Highlight] option to remove this highlight.

For changing the Highlight colour, also see: Colours


Select Package

Select Package is used in the Component Editor for selecting a package type to use with the component being edited or created. It can be used more than once to provide the component with 'alternative' package types, e.g. SM, DIL etc.


Status Bar

As the cursor moves around the active drawing area (within the square border), that the co-ordinate display at the bottom of the window changes. If you move the cursor from one side of the border to the opposite, you will see the co-ordinates go from 0.000 to approximately 39.000 (with Imperial units set). This represents the largest board that Easy-PC can handle:- 39 inches square or the metric equivalent. Changing between Imperial and Metric units is covered later.

The status bar at the bottom of the screen shows more than just the X Y co-ordinates, it provides instant information about any selected item(s). This information is the most commonly required information during use, more detailed information is also available if the item is selected and the Properties menu clicked using the right hand mouse key.


Toolbar

The toolbar is a 'palette' of commonly used tools. As you move your cursor over each button, if you pause momentarily, a small label will appear. This is called a tooltip and will provide you with the function of each button when selected.

The toolbar is actually divided into a number of separate toolbars, each of which can be independently positioned and displayed. One toolbar (the 'Document' toolbar) is 'context sensitive', switching its contents depending on the type of the currently active document.

To switch a toolbar on or off, choose the name of the toolbar from the list displayed on the [Toolbars] option on the [View] menu, or by right-clicking in the toolbar area.


Values

Using the [Values] option you can add a 'label' or attribute to an item.

Values are an important property of components. They are the means by which, for instance, the value, rating, perhaps type or tolerance of a component (such as a resistor or capacitor) can be stored with the component, and displayed in a Schematic or PCB design.
A further, and most important application, is that values are the means by which part number and value information can be stored for inclusion in Parts lists. It is also the mechanism used for passing important variables to the Spice simulator.
To add or edit values while in the component editor , select [Values] from the [Edit] menu. From the dialog, click [Add] to create a new value, or highlight an existing Value before using [Edit] or [Delete].
The value is displayed in the format: , , . From the [Add] dialog you can enter the Name and Value:
For example, the Value name chosen is one of Value. This is slightly confusing as the Value (the 'attribute' or 'label') used has a name of Value so that it represents the component value, e.g. 1K8 or 10pf, for a resistor or capacitor respectively.
The Value name is simply a 'label'. For Parts lists, it is important that consistent names are used. For instance PartNo:, and PValue: might be chosen, when a Parts list is created, you will need to select these names to use them in the Parts list. By using different ones, you can customise your Parts list. For instance, you may need a Parts list with your own references for internal use, but require one with NATO designations for a defence subcontractor. Simply use two different Value names, one for each type.
The Values used for Spice models when using the Easy-Spice product are defined in the Easy-Spice manual.

Also see: Easy-Spice


View Menu

The view menu controls the way designs are presented on the screen.

Display

This is the main screen colour configuration window. Apart from configuring colours, check boxes also show which structures will be displayed, and which suppressed.

Screen Grid

This toggles display of the screen grid on and off.

Goto >

This opens a sub-menu specifying the target of the move instruction.

X/Y

This moves the cursor to the specified co-ordinate. A dialog box opens to accept the co-ordinates.

Component

This jumps to the specified component origin. A browsable dialog box opens to enter the component reference.

Net

This highlights the specified net. A dialog box opens to enter the net name or number.

Relative Origin

This jumps to the relative origin at the current zoom level.

Selected Origin

This jumps to the origin of any selected design items or selection at the current zoom level.

Previous Error

This item only appears for PCB designs. When a design rule check has been performed, this function zooms in to the previous error before the one currently being corrected.

Next Error

This item only appears for PCB designs. When a design rule check has been performed, this function zooms in to the next error to be corrected.

Remove Highlight

This unhighlights the selected nets.

Highlight Net >

This menu opens a dialog to select the net(s) to be highlighted.

Browse

This browser is the same as [Goto], [Net].

Selected Net

This only operates if a net has already been selected.

Remove Highlight

This is the same function as [Goto], [Remove Highlight].

Powerplane >

This menu opens up the powerplane visualisation menu.

Show

Shows the powerplane visualisation.

Hide

Hides the powerplane visualisation.

Regenerate

Regenerates the powerplane if a design item has been moved or modified.

Zoom

Zooms in by a factor of 2, centred on the cursor.

Unzoom

Zooms out by a factor of 2, centred on the cursor.

Frame

Waits for a frame to be drawn, then zooms in as close as possible while still including all the frame contents.

All

Zooms to a frame which is just large enough to include all the current design.

Selection

Zooms to a frame which is just large enough to include all the current selection.

Refresh

Redraws the screen to remove editing clutter.

Toolbar

Toggles display of the toolbar on and off.

Status Bar

Toggles display of the status bar on and off.

Preview Bar

Toggles display of the Preview bar on and off.

Properties

The tabbed property dialogs accessed from this menu entry are described in detail in Tabbed Property Dialogs.

Select Package

This entry only appears when editing a component. It opens a dialog from which the package type to be edited can be selected. The initial default is the first entry.

Values

This option opens a dialog listing the currently assigned values, each with a check box to control the display. Add opens an edit box to enter new values. Edit allows the selected value to be changed.


Powerplane View

Vewing Powerplanes

If producing multilayer PCBs which use an internal (or external) powerplane, you can visualise the full plane by using the [View] [Powerplane] option. It is generated using the same output mechanism used to generate the manufacturing plots rather than a simple 'bitmap' image. There is a menu option [Powerplane] with three sub-menu options:
Show, Hide and Regenerate.

Show

Show displays a dialog allowing the selection of which power plane to view. If only one powerplane is present in the design, it will not display this dialog but go straight into the display of the powerplane.

Hide

Hide turns off the visible powerplane mode and resumes the 'normal' view mode.

Regenerate

Regenerate, this recalculates the visible powerplane items and redraws the picture. The full powerplane displayed using this option cannot be plotted directly without using the plotting modes on the Output menu.


World View

The world view window provides you with a view of the design area complete with its own interaction to allow the Frame and Pan operations.

A simplified view of the design containing the board outline and components is displayed, allowing the topology of the design to be identified.

The white rectangle shows the portion of the design that is currently displayed in the active view.

To Pan in the world view, position the mouse cursor at the desired view centre then either, click the left mouse button, or press the 'P' key on the keyboard (short-cut for Pan).

To frame in the world view, define the required view area, by holding the left mouse button down, moving the mouse to define the view rectangle, then releasing the left mouse button.

By using the Pan or Frame action within the world view will change the current design view to reflect these actions.

For the best results using the World View, set the Working Area to Best Fit. This option is found on the Settings menu. Use this option if the design appears especially small in the World View window.

Also see: Preview Bar
Also see: Component Bin
Also see: Component Preview


Windows Menu

Window Menu

These are standard Windows viewing commands.

Cascade

Overlays design files diagonally across the screen.

Tile Horizontally

Tiles open designs in a vertical column. Horizontal breaks.

Tile Vertically

Tiles open designs in horizontal row. Vertical breaks.

Arrange Icons

Arranges the icons of open, but minimised designs.

Open Windows List

The currently active design windows are listed for selection at the bottom of the menu. You can switch to the next window by using the standard Windows command Ctrl+Tab